List[Null, Null, Null, Null, Null, Null, Null, Notebook[List[Cell[CellGroupData[List[Cell["Physical Connector Classes Based on Energy Flow", "Title"], Cell[TextData[List["\nIn addition to the previously presented translational ", StyleBox["Flange_a", Rule[FontFamily, "Courier"]], " there is also a rotational Flange_a connector class., shown renamed below, from the library called ", StyleBox["Modelica.Mechanics.Rotational.Intefaces", Rule[FontFamily, "Courier"]], " for one-dimensional rotational mechanical systems. \n"]], "Text"], Cell["connector RotFlange_a\t\t\t\"1D rotational flange\"\n  Angle phi\t\t\t\t\t\t\"Absolute rotational angle\";\n  flow Torque tau;\nend RotFlange_a;", "ModelicaInput"], Cell["", "Text"], Cell["type Angle = Real(final quantity = \"Angle\", final unit = \"rad\", displayUnit = \"deg\");", "ModelicaInput"], Cell["", "Text"], Cell["type Torque = Real(final quantity = \"Torque\", final unit = \"N.m\");", "ModelicaInput"], Cell[TextData[List["\nThe connector class ", StyleBox["Frame_b", Rule[FontFamily, "Courier"]], " below from the ", StyleBox["Modelica multibody systems", Rule[FontSlant, "Italic"]], " (MBS) library is an example of a connector class of the kind that contains extra potential variables to get around problems caused by connections that cause higher index systems. \n"]], "Text"], Cell["connector Frame_b\t\t\t\t\t\t\t\"Frame b of a 3D mechanical element\"\n  import Modelica.SIunits;\n  output SIunits.Position \t\tr0[3]\t\t\"Frame origin in inertial system\";\n  Real\t\t\t\t\t \t \tS[3, 3]\t\t\"Transformation matrix\";\n  SIunits.Velocity\t\t \t\tv[3]\t\t\"Absolute velocity of frame origin\";\n  SIunits.AngularVelocity \t\tw[3]\t\t\"Absolute angular velocity of frame a\";\t\n  SIunits.Acceleration\t  \t\ta[3]\t\t\"Absolute acceleration of frame origin\";\n  SIunits.AngularAcceleration \tz[3]\t\t\"Absolute angular acceleration\";\t\n  flow SIunits.Force \t\t\tf[3];\n  flow SIunits.Torque \t\t\tt[3];\nend Frame_b;  \t\t\t\t\t\t\t\t// From ModelicaAdditions.MultiBody.Intefaces", "ModelicaInput"]], Open]]], Rule[FrontEndVersion, "4.1 for Microsoft Windows"], Rule[ScreenRectangle, List[List[0, 1280], List[0, 951]]], Rule[WindowSize, List[890, 909]], Rule[WindowMargins, List[List[-3, Automatic], List[Automatic, -1]]], Rule[StyleDefinitions, "MathModelica.nb"]], Null, Null, Null, Null, Null]