List[Null, Null, Null, Null, Null, Null, Null, Notebook[List[Cell[CellGroupData[List[Cell["Modeling Discrete Events and Hybrid Systems", "Section"], Cell[CellGroupData[List[Cell["Events", "Subsection"], Cell[TextData[List[StyleBox["An event is, using everyday language, simply ", Rule[FontSize, 14]], StyleBox["something that happens", Rule[FontSize, 14], Rule[FontSlant, "Italic"]], StyleBox[". This is true in the real world as well as in the mathematical sense. Modelica provides a number of built-in functions and operators related to events and time. One function that can be used for generating repeated events is ", Rule[FontSize, 14]], StyleBox["Sample (l\[ADoubleDot]nka till SampleClock, p. 364)", Rule[FontSize, 14], Rule[FontWeight, "Bold"]], StyleBox[". \n\nEvents arise naturally external to a simulated system or are generated internally in the simulation model. These events should be handled, i.e. some ", Rule[FontSize, 14]], StyleBox["Behavior (EventBeh, p. 370)", Rule[FontSize, 14], Rule[FontWeight, "Bold"]], StyleBox[" should be executed  associated with each event. We also describe how to ", Rule[FontSize, 14]], StyleBox["Use Event Priority to Avoid Erroneous Multiple Definitions (EventPriority, p. 373)", Rule[FontSize, 14], Rule[FontWeight, "Bold"]], StyleBox[". Events often need to be ", Rule[FontSize, 14]], StyleBox["Synchronized (Synchronization, p. 375)", Rule[FontSize, 14], Rule[FontWeight, "Bold"]], StyleBox[" and propagated, though Modelica gives no guarantee of exact synchronization. Also discussed are ", Rule[FontSize, 14]], StyleBox["Multiple Events at the Same Point in Time and Event Internation (MultEvents, p. 377)", Rule[FontSize, 14], Rule[FontWeight, "Bold"]], StyleBox[".", Rule[FontSize, 14]]]], "Text"]], Open]], Cell[CellGroupData[List[Cell["Discrete Model Examples and Related Formalisms", "Subsection"], Cell[TextData[List[StyleBox["This section provides you with a number of model examples of different kinds of discrete systems, for example ", Rule[FontSize, 14]], StyleBox["Sampled Systems (SampledSystems, p. 379)", Rule[FontSize, 14], Rule[FontWeight, "Bold"]], StyleBox[", ", Rule[FontSize, 14]], StyleBox["Finite State Automata (Automata, p. 385)", Rule[FontSize, 14], Rule[FontWeight, "Bold"]], StyleBox[" and ", Rule[FontSize, 14]], StyleBox["Models for Event Based Stochastic Processes (ModStochProc, p. 389)", Rule[FontSize, 14], Rule[FontWeight, "Bold"]], StyleBox[". \n\nThe Discrete Event System Specification, abbreviated DEVS, is a modeling style and mathematical formalism. Examples of how DEVS models can be represented in Modelica is shown ", Rule[FontSize, 14]], StyleBox["here (DEVS, p. 393)", Rule[FontSize, 14], Rule[FontWeight, "Bold"]], StyleBox[". \n\nPetri Nets is a widely used formalism for modeling and analyzing discrete event systems, with an associated intuitive visual representation. The nets can be thought of as a graph containing two kinds of nodes, ", Rule[FontSize, 14]], StyleBox["Places and Transitions (ClassesforCPT, p. 406)", Rule[FontSize, 14], Rule[FontWeight, "Bold"]], StyleBox[". This section is completed with an example of a cellular automata (INGET I BOKEN OM \[CapitalADoubleDot]N), ", Rule[FontSize, 14]], StyleBox["Game of Life (GameOfLife, p. 414)", Rule[FontSize, 14], Rule[FontWeight, "Bold"]], StyleBox[".", Rule[FontSize, 14]]]], "Text"]], Open]], Cell[CellGroupData[List[Cell["Hybrid System Modeling and Simulation", "Subsection"], Cell[TextData[List[StyleBox["Hybrid Systems, systems that contain both continuous-time and discrete-time subsystems. This section describes an example of a Hybrid System, the ", Rule[FontSize, 14]], StyleBox["Hybrid Tank Model with a Discrete Controller (Hybrid Tank, p. 417)", Rule[FontSize, 14], Rule[FontWeight, "Bold"]], StyleBox[". We end with an example of ", Rule[FontSize, 14]], StyleBox["A Mode Switching Model (DCMotorwithBacklash, p. 421)", Rule[FontSize, 14], Rule[FontWeight, "Bold"]], StyleBox[".", Rule[FontSize, 14]]]], "Text"]], Open]]], Open]]], Rule[FrontEndVersion, "4.1 for Microsoft Windows"], Rule[ScreenRectangle, List[List[0, 1024], List[0, 1207]]], Rule[WindowSize, List[829, 1139]], Rule[WindowMargins, List[List[-1, Automatic], List[Automatic, 0]]], Rule[StyleDefinitions, "MathModelica.nb"]], Null, Null, Null, Null, Null]