List[Null, Null, Null, Null, Null, Null, Null, Notebook[List[Cell[CellGroupData[List[Cell["Moon Landing using Inheritance", "Title"], Cell[CellGroupData[List[Cell["Body", "Section"], Cell[TextData[List["In the ", StyleBox["MoonLanding", Rule[FontFamily, "Courier"]], " example from Chapter 3 the declaration of certain fields like ", StyleBox["mass", Rule[FontFamily, "Courier"]], " and ", StyleBox["name", Rule[FontFamily, "Courier"]], " were repeated in each of the classes ", StyleBox["CelestialBody", Rule[FontFamily, "Courier"]], " and ", StyleBox["Rocket", Rule[FontFamily, "Courier"]], ". This can be avoided by collecting those field declarations into a generic body class called ", StyleBox["Body", Rule[FontFamily, "Courier"]], ", and reusing these by inheriting ", StyleBox["Body", Rule[FontFamily, "Courier"]], " into ", StyleBox["CelestialBody", Rule[FontFamily, "Courier"]], " and ", StyleBox["Rocket", Rule[FontFamily, "Courier"]], ". \n\nWe have replaced the general keyword ", StyleBox["class", Rule[FontFamily, "Courier"]], " by the restricted class keyword ", StyleBox["model", Rule[FontFamily, "Courier"]], " which has the same semantics as ", StyleBox["class", Rule[FontFamily, "Courier"]], " apart from the fact that it cannot be used in connections. The reason is that it is more common practice to use the keyword ", StyleBox["model", Rule[FontFamily, "Courier"]], " for modeling purposes than to use the keyword ", StyleBox["class", Rule[FontFamily, "Courier"]], ". ", "\n"]], "Text"], Cell["model Body\t\t\t\t\t\t\t\"Generic body\"\n  Real mass;\n  String name;\nend Body;  ", "ModelicaInput"]], Open]], Cell[CellGroupData[List[Cell["Celestial Body", "Section"], Cell[TextData[List["model CelestialBody\t\t\t\t\t\"Celestial body\"\n", StyleBox["  extends Body;\n", Rule[FontColor, RGBColor[0, 0, 1]]], "  constant Real g = 6.672e-11;\n  parameter Real radius;\nend CelestialBody;"]], "ModelicaInput"]], Open]], Cell[CellGroupData[List[Cell["Rocket", "Section"], Cell[TextData[List["class Rocket\n", StyleBox["  extends Body;\n", Rule[FontColor, RGBColor[0, 0, 1]]], "  Real altitude(start = 59404);\n  Real velocity(start = -2003);\n  Real acceleration;\n  Real thrust;\t\t\t\t\t\t\t\t// Thrust force on the rocket\n  Real gravity;\t\t\t\t\t\t\t\t// Gravity forcefield\n  parameter Real massLossRate = 0.000277;\nequation\n  (thrust - mass*gravity) / mass = acceleration;\n  der(mass) = -massLossRate * abs(thrust);\n  der(altitude) = velocity;\n  der(velocity) = acceleration;\nend Rocket;  "]], "ModelicaInput"]], Open]], Cell[CellGroupData[List[Cell["Moon Landing", "Section"], Cell["model MoonLanding\n  parameter Real force1 = 36350;\n  parameter Real force2 = 1308;\n  parameter Real thrustEndTime = 210;\n  parameter Real thrustDecreaseTime = 43.2;\n  Rocket apollo(name = \"Apollo13\", mass(start=1038.358) );\n  CelestialBody moon(name = \"moon\", mass = 7.382e22, radius = 1.738e6);\nequation\n  apollo.thrust = if (time < thrustDecreaseTime) then force1\n  \t\t\t\t\t else if (time < thrustEndTime) then force2\n  \t\t\t\t\t else 0;\n  apollo.gravity = moon.g*moon.mass/(apollo.altitude + moon.radius)^2;\nend MoonLanding;  ", "ModelicaInput"]], Open]], Cell[CellGroupData[List[Cell["Moonlanding Simulation", "Section"], Cell["simulate( MoonLanding, stopTime=230 );", "ModelicaInput"], Cell[BoxData["\"<SimulationData: \\!\\(MoonLanding\\) : 2004-1-30 11:31:20.9980325 : \\!\\({0.`, 230.`}\\) : 506 data points : 3 events : 17 variables>\\n\\!\\({\\*TagBox[\\(apollo . acceleration\\), HoldForm], \\*TagBox[\\(apollo . altitude\\), HoldForm], \\*TagBox[\\(apollo . gravity\\), HoldForm], \\*TagBox[\\(apollo . mass\\), HoldForm], \\*TagBox[\\(apollo . massLossRate\\), HoldForm], \\*TagBox[\\(apollo . thrust\\), HoldForm], \\*TagBox[\\(apollo . velocity\\), HoldForm], \\*TagBox[\\\"force1\\\", HoldForm], \\*TagBox[\\\"force2\\\", HoldForm], \\*TagBox[\\(moon . g\\), HoldForm], \\*TagBox[\\(moon . mass\\), HoldForm], \\*TagBox[\\(moon . radius\\), HoldForm], \\*TagBox[\\\"thrustDecreaseTime\\\", HoldForm], \\*TagBox[\\\"thrustEndTime\\\", HoldForm], \\*TagBox[SuperscriptBox[\\((apollo . altitude)\\), \\\"\[Prime]\\\", Rule[MultilineFunction, None]], HoldForm], \\*TagBox[SuperscriptBox[\\((apollo . mass)\\), \\\"\[Prime]\\\", Rule[MultilineFunction, None]], HoldForm], \\*TagBox[SuperscriptBox[\\((apollo . velocity)\\), \\\"\[Prime]\\\", Rule[MultilineFunction, None]], HoldForm]}\\)\""], "Output"], Cell["plot( apollo.altitude, xrange={0,208} );", "ModelicaInput"], Cell[GraphicsData["PostScript", "%!\n%%Creator: Mathematica\n%%AspectRatio: .74402 \nMathPictureStart\n/Mabs {\nMgmatrix idtransform\nMtmatrix dtransform\n} bind def\n/Mabsadd { Mabs\n3 -1 roll add\n3 1 roll add\nexch } bind def\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.5 0.47619 0.312017 0.47619 [\n[ 0 0 0 0 ]\n[ 1 .74402 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n% Start of sub-graphic\np\n0.0238095 0.0177147 0.97619 0.606318 MathSubStart\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.0238095 0.0045704 0.0140134 9.9203e-006 [\n[.25233 .00151 -6 -9 ]\n[.25233 .00151 6 0 ]\n[.48085 .00151 -9 -9 ]\n[.48085 .00151 9 0 ]\n[.70937 .00151 -9 -9 ]\n[.70937 .00151 9 0 ]\n[.93789 .00151 -9 -9 ]\n[.93789 .00151 9 0 ]\n[1.025 .01401 0 -6.28125 ]\n[1.025 .01401 10 6.28125 ]\n[.01131 .11322 -30 -4.5 ]\n[.01131 .11322 0 4.5 ]\n[.01131 .21242 -30 -4.5 ]\n[.01131 .21242 0 4.5 ]\n[.01131 .31162 -30 -4.5 ]\n[.01131 .31162 0 4.5 ]\n[.01131 .41083 -30 -4.5 ]\n[.01131 .41083 0 4.5 ]\n[.01131 .51003 -30 -4.5 ]\n[.01131 .51003 0 4.5 ]\n[.01131 .60923 -30 -4.5 ]\n[.01131 .60923 0 4.5 ]\n[ 0 0 0 0 ]\n[ 1 .61803 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n0 g\n.25 Mabswid\n[ ] 0 setdash\n.25233 .01401 m\n.25233 .02026 L\ns\n[(50)] .25233 .00151 0 1 Mshowa\n.48085 .01401 m\n.48085 .02026 L\ns\n[(100)] .48085 .00151 0 1 Mshowa\n.70937 .01401 m\n.70937 .02026 L\ns\n[(150)] .70937 .00151 0 1 Mshowa\n.93789 .01401 m\n.93789 .02026 L\ns\n[(200)] .93789 .00151 0 1 Mshowa\n.125 Mabswid\n.06951 .01401 m\n.06951 .01776 L\ns\n.11522 .01401 m\n.11522 .01776 L\ns\n.16092 .01401 m\n.16092 .01776 L\ns\n.20663 .01401 m\n.20663 .01776 L\ns\n.29803 .01401 m\n.29803 .01776 L\ns\n.34374 .01401 m\n.34374 .01776 L\ns\n.38944 .01401 m\n.38944 .01776 L\ns\n.43515 .01401 m\n.43515 .01776 L\ns\n.52655 .01401 m\n.52655 .01776 L\ns\n.57226 .01401 m\n.57226 .01776 L\ns\n.61796 .01401 m\n.61796 .01776 L\ns\n.66367 .01401 m\n.66367 .01776 L\ns\n.75507 .01401 m\n.75507 .01776 L\ns\n.80078 .01401 m\n.80078 .01776 L\ns\n.84648 .01401 m\n.84648 .01776 L\ns\n.89219 .01401 m\n.89219 .01776 L\ns\n.98359 .01401 m\n.98359 .01776 L\ns\n.25 Mabswid\n0 .01401 m\n1 .01401 L\ns\ngsave\n1.025 .01401 -61 -10.2813 Mabsadd m\n1 1 Mabs scale\ncurrentpoint translate\n0 20.5625 translate 1 -1 scale\n/g { setgray} bind def\n/k { setcmykcolor} bind def\n/p { gsave} bind def\n/r { setrgbcolor} bind def\n/w { setlinewidth} bind def\n/C { curveto} bind def\n/F { fill} bind def\n/L { lineto} bind def\n/rL { rlineto} bind def\n/P { grestore} bind def\n/s { stroke} bind def\n/S { show} bind def\n/N {currentpoint 3 -1 roll show moveto} bind def\n/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def\n/m { moveto} bind def\n/Mr { rmoveto} bind def\n/Mx {currentpoint exch pop moveto} bind def\n/My {currentpoint pop exch moveto} bind def\n/X {0 rmoveto} bind def\n/Y {0 exch rmoveto} bind def\n63.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n0.000 0.000 rmoveto\n63.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(t) show\n69.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n0.000 0.000 rmoveto\n1.000 setlinewidth\ngrestore\n.02381 .11322 m\n.03006 .11322 L\ns\n[(10000)] .01131 .11322 1 0 Mshowa\n.02381 .21242 m\n.03006 .21242 L\ns\n[(20000)] .01131 .21242 1 0 Mshowa\n.02381 .31162 m\n.03006 .31162 L\ns\n[(30000)] .01131 .31162 1 0 Mshowa\n.02381 .41083 m\n.03006 .41083 L\ns\n[(40000)] .01131 .41083 1 0 Mshowa\n.02381 .51003 m\n.03006 .51003 L\ns\n[(50000)] .01131 .51003 1 0 Mshowa\n.02381 .60923 m\n.03006 .60923 L\ns\n[(60000)] .01131 .60923 1 0 Mshowa\n.125 Mabswid\n.02381 .03385 m\n.02756 .03385 L\ns\n.02381 .05369 m\n.02756 .05369 L\ns\n.02381 .07354 m\n.02756 .07354 L\ns\n.02381 .09338 m\n.02756 .09338 L\ns\n.02381 .13306 m\n.02756 .13306 L\ns\n.02381 .1529 m\n.02756 .1529 L\ns\n.02381 .17274 m\n.02756 .17274 L\ns\n.02381 .19258 m\n.02756 .19258 L\ns\n.02381 .23226 m\n.02756 .23226 L\ns\n.02381 .2521 m\n.02756 .2521 L\ns\n.02381 .27194 m\n.02756 .27194 L\ns\n.02381 .29178 m\n.02756 .29178 L\ns\n.02381 .33146 m\n.02756 .33146 L\ns\n.02381 .3513 m\n.02756 .3513 L\ns\n.02381 .37114 m\n.02756 .37114 L\ns\n.02381 .39098 m\n.02756 .39098 L\ns\n.02381 .43067 m\n.02756 .43067 L\ns\n.02381 .45051 m\n.02756 .45051 L\ns\n.02381 .47035 m\n.02756 .47035 L\ns\n.02381 .49019 m\n.02756 .49019 L\ns\n.02381 .52987 m\n.02756 .52987 L\ns\n.02381 .54971 m\n.02756 .54971 L\ns\n.02381 .56955 m\n.02756 .56955 L\ns\n.02381 .58939 m\n.02756 .58939 L\ns\n.25 Mabswid\n.02381 0 m\n.02381 .61803 L\ns\n0 0 1 r\n.001 w\n.02381 .60332 m\n.02591 .59421 L\n.02801 .58518 L\n.03012 .57622 L\n.03222 .56732 L\n.03432 .5585 L\n.03642 .54976 L\n.03853 .54108 L\n.04063 .53248 L\n.04273 .52395 L\n.04483 .5155 L\n.04694 .50711 L\n.04904 .4988 L\n.05114 .49057 L\n.05324 .48241 L\n.05535 .47433 L\n.05745 .46632 L\n.05955 .45839 L\n.06165 .45053 L\n.06375 .44276 L\n.06586 .43505 L\n.06796 .42743 L\n.07006 .41988 L\n.07216 .41241 L\n.07427 .40502 L\n.07637 .39771 L\n.07847 .39048 L\n.08057 .38333 L\n.08268 .37625 L\n.08478 .36926 L\n.08688 .36235 L\n.08898 .35552 L\n.09109 .34878 L\n.09319 .34211 L\n.09529 .33553 L\n.09739 .32903 L\n.0995 .32262 L\n.1016 .31629 L\n.1037 .31004 L\n.1058 .30388 L\n.1079 .29781 L\n.11001 .29182 L\n.11211 .28592 L\n.11421 .2801 L\n.11631 .27437 L\n.11842 .26873 L\n.12052 .26318 L\n.12262 .25772 L\n.12472 .25235 L\n.12683 .24707 L\nMistroke\n.12893 .24188 L\n.13103 .23678 L\n.13313 .23177 L\n.13524 .22686 L\n.13734 .22203 L\n.13944 .2173 L\n.14154 .21267 L\n.14365 .20813 L\n.14575 .20369 L\n.14785 .19934 L\n.14995 .19508 L\n.15206 .19093 L\n.15416 .18687 L\n.15626 .18291 L\n.15836 .17905 L\n.16046 .17529 L\n.16257 .17163 L\n.16467 .16807 L\n.16677 .16461 L\n.16887 .16125 L\n.17098 .158 L\n.17308 .15485 L\n.17518 .1518 L\n.17728 .14886 L\n.17939 .14602 L\n.18149 .14329 L\n.18359 .14067 L\n.18569 .13816 L\n.1878 .13575 L\n.1899 .13345 L\n.192 .13127 L\n.1941 .12919 L\n.19621 .12722 L\n.19831 .12537 L\n.20041 .12363 L\n.20251 .12201 L\n.20461 .1205 L\n.20672 .11911 L\n.20882 .11783 L\n.21092 .11667 L\n.21302 .11563 L\n.21513 .11471 L\n.21723 .1139 L\n.21933 .11322 L\n.22125 .11271 L\n.22125 .11271 L\n.22143 .11266 L\n.22354 .11216 L\n.22564 .11165 L\n.22774 .11115 L\nMistroke\n.22984 .11064 L\n.23195 .11014 L\n.23405 .10964 L\n.23615 .10914 L\n.23825 .10864 L\n.24036 .10814 L\n.24246 .10765 L\n.24456 .10715 L\n.24666 .10666 L\n.24876 .10617 L\n.25087 .10568 L\n.25297 .10518 L\n.25507 .1047 L\n.25717 .10421 L\n.25928 .10372 L\n.26138 .10323 L\n.26348 .10275 L\n.26558 .10227 L\n.26769 .10179 L\n.26979 .1013 L\n.27189 .10082 L\n.27399 .10035 L\n.2761 .09987 L\n.2782 .09939 L\n.2803 .09892 L\n.2824 .09844 L\n.28451 .09797 L\n.28661 .0975 L\n.28871 .09703 L\n.29081 .09656 L\n.29291 .09609 L\n.29502 .09563 L\n.29712 .09516 L\n.29922 .0947 L\n.30132 .09424 L\n.30343 .09377 L\n.30553 .09331 L\n.30763 .09286 L\n.30973 .0924 L\n.31184 .09194 L\n.31394 .09148 L\n.31604 .09103 L\n.31814 .09058 L\n.32025 .09013 L\n.32235 .08967 L\n.32445 .08923 L\n.32655 .08878 L\n.32866 .08833 L\n.33076 .08788 L\n.33286 .08744 L\nMistroke\n.33496 .087 L\n.33707 .08656 L\n.33917 .08611 L\n.34127 .08567 L\n.34337 .08524 L\n.34547 .0848 L\n.34758 .08436 L\n.34968 .08393 L\n.35178 .0835 L\n.35388 .08306 L\n.35599 .08263 L\n.35809 .0822 L\n.36019 .08177 L\n.36229 .08135 L\n.3644 .08092 L\n.3665 .08049 L\n.3686 .08007 L\n.3707 .07965 L\n.37281 .07923 L\n.37491 .07881 L\n.37701 .07839 L\n.37911 .07797 L\n.38122 .07756 L\n.38332 .07714 L\n.38542 .07673 L\n.38752 .07632 L\n.38962 .07591 L\n.39173 .0755 L\n.39383 .07509 L\n.39593 .07468 L\n.39803 .07427 L\n.40014 .07387 L\n.40224 .07347 L\n.40434 .07306 L\n.40644 .07266 L\n.40855 .07226 L\n.41065 .07186 L\n.41275 .07147 L\n.41485 .07107 L\n.41696 .07068 L\n.41906 .07028 L\n.42116 .06989 L\n.42326 .0695 L\n.42537 .06911 L\n.42747 .06872 L\n.42957 .06834 L\n.43167 .06795 L\n.43377 .06757 L\n.43588 .06718 L\n.43798 .0668 L\nMistroke\n.44008 .06642 L\n.44218 .06604 L\n.44429 .06566 L\n.44639 .06529 L\n.44849 .06491 L\n.45059 .06454 L\n.4527 .06416 L\n.4548 .06379 L\n.4569 .06342 L\n.459 .06305 L\n.46111 .06268 L\n.46321 .06232 L\n.46531 .06195 L\n.46741 .06159 L\n.46952 .06123 L\n.47162 .06086 L\n.47372 .0605 L\n.47582 .06015 L\n.47792 .05979 L\n.48003 .05943 L\n.48213 .05908 L\n.48423 .05872 L\n.48633 .05837 L\n.48844 .05802 L\n.49054 .05767 L\n.49264 .05732 L\n.49474 .05698 L\n.49685 .05663 L\n.49895 .05629 L\n.50105 .05594 L\n.50315 .0556 L\n.50526 .05526 L\n.50736 .05492 L\n.50946 .05459 L\n.51156 .05425 L\n.51367 .05391 L\n.51577 .05358 L\n.51787 .05325 L\n.51997 .05292 L\n.52208 .05259 L\n.52418 .05226 L\n.52628 .05193 L\n.52838 .05161 L\n.53048 .05128 L\n.53259 .05096 L\n.53469 .05064 L\n.53679 .05032 L\n.53889 .05 L\n.541 .04968 L\n.5431 .04936 L\nMistroke\n.5452 .04905 L\n.5473 .04873 L\n.54941 .04842 L\n.55151 .04811 L\n.55361 .0478 L\n.55571 .04749 L\n.55782 .04719 L\n.55992 .04688 L\n.56202 .04658 L\n.56412 .04627 L\n.56623 .04597 L\n.56833 .04567 L\n.57043 .04537 L\n.57253 .04507 L\n.57463 .04478 L\n.57674 .04448 L\n.57884 .04419 L\n.58094 .0439 L\n.58304 .04361 L\n.58515 .04332 L\n.58725 .04303 L\n.58935 .04274 L\n.59145 .04246 L\n.59356 .04217 L\n.59566 .04189 L\n.59776 .04161 L\n.59986 .04133 L\n.60197 .04105 L\n.60407 .04078 L\n.60617 .0405 L\n.60827 .04023 L\n.61038 .03995 L\n.61248 .03968 L\n.61458 .03941 L\n.61668 .03914 L\n.61878 .03887 L\n.62089 .03861 L\n.62299 .03834 L\n.62509 .03808 L\n.62719 .03782 L\n.6293 .03756 L\n.6314 .0373 L\n.6335 .03704 L\n.6356 .03679 L\n.63771 .03653 L\n.63981 .03628 L\n.64191 .03603 L\n.64401 .03578 L\n.64612 .03553 L\n.64822 .03528 L\nMistroke\n.65032 .03503 L\n.65242 .03479 L\n.65453 .03454 L\n.65663 .0343 L\n.65873 .03406 L\n.66083 .03382 L\n.66293 .03358 L\n.66504 .03335 L\n.66714 .03311 L\n.66924 .03288 L\n.67134 .03265 L\n.67345 .03242 L\n.67555 .03219 L\n.67765 .03196 L\n.67975 .03173 L\n.68186 .03151 L\n.68396 .03128 L\n.68606 .03106 L\n.68816 .03084 L\n.69027 .03062 L\n.69237 .0304 L\n.69447 .03019 L\n.69657 .02997 L\n.69868 .02976 L\n.70078 .02954 L\n.70288 .02933 L\n.70498 .02912 L\n.70709 .02892 L\n.70919 .02871 L\n.71129 .02851 L\n.71339 .0283 L\n.71549 .0281 L\n.7176 .0279 L\n.7197 .0277 L\n.7218 .0275 L\n.7239 .02731 L\n.72601 .02711 L\n.72811 .02692 L\n.73021 .02673 L\n.73231 .02653 L\n.73442 .02635 L\n.73652 .02616 L\n.73862 .02597 L\n.74072 .02579 L\n.74283 .0256 L\n.74493 .02542 L\n.74703 .02524 L\n.74913 .02506 L\n.75124 .02489 L\n.75334 .02471 L\nMistroke\n.75544 .02454 L\n.75754 .02436 L\n.75964 .02419 L\n.76175 .02402 L\n.76385 .02385 L\n.76595 .02369 L\n.76805 .02352 L\n.77016 .02336 L\n.77226 .02319 L\n.77436 .02303 L\n.77646 .02287 L\n.77857 .02272 L\n.78067 .02256 L\n.78277 .0224 L\n.78487 .02225 L\n.78698 .0221 L\n.78908 .02195 L\n.79118 .0218 L\n.79328 .02165 L\n.79539 .02151 L\n.79749 .02136 L\n.79959 .02122 L\n.80169 .02108 L\n.80379 .02094 L\n.8059 .0208 L\n.808 .02066 L\n.8101 .02052 L\n.8122 .02039 L\n.81431 .02026 L\n.81641 .02013 L\n.81851 .02 L\n.82061 .01987 L\n.82272 .01974 L\n.82482 .01962 L\n.82692 .0195 L\n.82902 .01937 L\n.83113 .01925 L\n.83323 .01913 L\n.83533 .01902 L\n.83743 .0189 L\n.83954 .01879 L\n.84164 .01867 L\n.84374 .01856 L\n.84584 .01845 L\n.84794 .01835 L\n.85005 .01824 L\n.85215 .01813 L\n.85425 .01803 L\n.85635 .01793 L\n.85846 .01783 L\nMistroke\n.86056 .01773 L\n.86266 .01763 L\n.86476 .01754 L\n.86687 .01744 L\n.86897 .01735 L\n.87107 .01726 L\n.87317 .01717 L\n.87528 .01708 L\n.87738 .01699 L\n.87948 .01691 L\n.88158 .01683 L\n.88369 .01674 L\n.88579 .01666 L\n.88789 .01659 L\n.88999 .01651 L\n.89209 .01643 L\n.8942 .01636 L\n.8963 .01629 L\n.8984 .01622 L\n.9005 .01615 L\n.90261 .01608 L\n.90471 .01601 L\n.90681 .01595 L\n.90891 .01589 L\n.91102 .01582 L\n.91312 .01576 L\n.91522 .01571 L\n.91732 .01565 L\n.91943 .01559 L\n.92153 .01554 L\n.92363 .01549 L\n.92573 .01544 L\n.92784 .01539 L\n.92994 .01534 L\n.93204 .0153 L\n.93414 .01525 L\n.93625 .01521 L\n.93835 .01517 L\n.94045 .01513 L\n.94255 .0151 L\n.94465 .01506 L\n.94676 .01502 L\n.94886 .01499 L\n.95096 .01496 L\n.95306 .01493 L\n.95517 .0149 L\n.95727 .01488 L\n.95937 .01485 L\n.96147 .01483 L\n.96358 .01481 L\nMistroke\n.96568 .01479 L\n.96778 .01477 L\n.96988 .01475 L\n.97199 .01474 L\n.97409 .01473 L\n.97619 .01472 L\nMfstroke\n0 0 m\n1 0 L\n1 .61803 L\n0 .61803 L\nclosepath\nclip\nnewpath\nMathSubEnd\nP\n% End of sub-graphic\n% Start of sub-graphic\np\n0.0714286 0.583445 0.547619 0.726302 MathSubStart\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.00611247 0.0611247 0.0220588 0.220588 [\n[ 0 0 0 0 ]\n[ 1 .3 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n0 0 m\n1 0 L\n1 .3 L\n0 .3 L\nclosepath\nclip\nnewpath\n% Start of sub-graphic\np\n0.0110024 0.0397059 0.0721271 0.260294 MathSubStart\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.5 0.5 0.5 0.5 [\n[ 0 0 0 0 ]\n[ 1 1 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n0 0 m\n1 0 L\n1 1 L\n0 1 L\nclosepath\nclip\nnewpath\n0 0 1 r\n.00187 w\n[ ] 0 setdash\n0 .5 m\n1 .5 L\ns\nMathSubEnd\nP\n% End of sub-graphic\n0 g\ngsave\n.08007 .15 -61 -10.2813 Mabsadd m\n1 1 Mabs scale\ncurrentpoint translate\n0 20.5625 translate 1 -1 scale\n/g { setgray} bind def\n/k { setcmykcolor} bind def\n/p { gsave} bind def\n/r { setrgbcolor} bind def\n/w { setlinewidth} bind def\n/C { curveto} bind def\n/F { fill} bind def\n/L { lineto} bind def\n/rL { rlineto} bind def\n/P { grestore} bind def\n/s { stroke} bind def\n/S { show} bind def\n/N {currentpoint 3 -1 roll show moveto} bind def\n/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def\n/m { moveto} bind def\n/Mr { rmoveto} bind def\n/Mx {currentpoint exch pop moveto} bind def\n/My {currentpoint pop exch moveto} bind def\n/X {0 rmoveto} bind def\n/Y {0 exch rmoveto} bind def\n%%IncludeResource: font Mathematica2Mono\n%%IncludeFont: Mathematica2Mono\n/Mathematica2Mono findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n63.000 12.813 moveto\n(H) show\n69.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(apollo) show\n105.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(.) show\n111.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(altitude) show\n%%IncludeResource: font Mathematica2Mono\n%%IncludeFont: Mathematica2Mono\n/Mathematica2Mono findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n159.000 12.813 moveto\n(L) show\n165.000 12.813 moveto\n(@) show\n171.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(t) show\n%%IncludeResource: font Mathematica2Mono\n%%IncludeFont: Mathematica2Mono\n/Mathematica2Mono findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n177.000 12.813 moveto\n(D) show\n1.000 setlinewidth\ngrestore\nMathSubEnd\nP\n% End of sub-graphic\n0 0 m\n1 0 L\n1 .74402 L\n0 .74402 L\nclosepath\nclip\nnewpath\n% End of Graphics\nMathPictureEnd\n"], "Graphics", Rule[ImageSize, List[288, 214.25`]], Rule[ImageMargins, List[List[35, 0], List[0, 0]]], Rule[ImageRegion, List[List[0, 1], List[0, 1]]], Rule[ImageCache, GraphicsData["Bitmap", "CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000eR000`400?l00000o`00003oo`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00F03IfMT2000000@0fMWI0P00\n000X0=WIf@D000000P3IfMT2000000@0fMWI0P00000V0=WIf@D000000P3IfMT2000000@0fMWI0P00\n000U0=WIf@@000000`3IfMT2000000@0fMWI0P00000P0=WIf@00E`3IfMT010000000fMWI0=WIf@00\n00020=WIf@040000003IfMT0fMWI000002T0fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@04\n0000003IfMT0fMWI00000080fMWI00<000000=WIf@3IfMT09@3IfMT01@000000fMWI0=WIf@3IfMT0\n00000080fMWI00@000000=WIf@3IfMT000000P3IfMT00`000000fMWI0=WIf@0R0=WIf@030000003I\nfMT0fMWI00<0fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@00000O0=WIf@00\nFP3IfMT010000000fMWI0=WIf@0000020=WIf@030000003IfMT0fMWI02L0fMWI00D000000=WIf@3I\nfMT0fMWI000000020=WIf@040000003IfMT0fMWI00000080fMWI00<000000=WIf@3IfMT09@3IfMT0\n0`000000fMWI0=WIf@040=WIf@040000003IfMT0fMWI00000080fMWI00<000000=WIf@3IfMT08`3I\nfMT00`000000fMWI0=WIf@020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT0\n00007`3IfMT005P0fMWI0P0000030=WIf@040000003IfMT0fMWI000002T0fMWI00D000000=WIf@3I\nfMT0fMWI000000020=WIf@040000003IfMT0fMWI00000080fMWI00<000000=WIf@3IfMT09@3IfMT0\n0`000000fMWI0=WIf@020=WIf@8000000`3IfMT010000000fMWI0=WIf@00000V0=WIf@050000003I\nfMT0fMWI0=WIf@0000000P3IfMT010000000fMWI0=WIf@0000020=WIf@030000003IfMT0fMWI01d0\nfMWI001H0=WIf@030000003IfMT0fMWI0080fMWI00@000000=WIf@3IfMT00000:@3IfMT01@000000\nfMWI0=WIf@3IfMT000000080fMWI00@000000=WIf@3IfMT000000P3IfMT00`000000fMWI0=WIf@0U\n0=WIf@030000003IfMT0fMWI0080fMWI00<000000=WIf@3IfMT00P3IfMT010000000fMWI0=WIf@00\n000T0=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000\nfMWI0=WIf@00000O0=WIf@00F03IfMT3000000<0fMWI0P00000Y0=WIf@800000103IfMT2000000@0\nfMWI0P00000W0=WIf@800000103IfMT3000000<0fMWI0P00000V0=WIf@800000103IfMT2000000@0\nfMWI0P00000P0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@009`3IfMT00`000000fMWI0=WIf@3f\n0=WIf@009`3IfMT00`000000fMWI0=WIf@3W0=WIf@8000003@3IfMT002L0fMWI00<000000=WIf@3I\nfMT0iP3IfMT010000000fMWI0=WIf@00000<0=WIf@008P3IfMW?00000180003o1P0000070=WIf@03\n0000003IfMT0fMWI00d0fMWI000W0=WIf@030000003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT0\n1`3IfMT00`000000fMWI0=WIf@080=WIf@030000003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT0\n203IfMT00`000000fMWI0=WIf@070=WIf@030000003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT0\n1`3IfMT00`000000fMWI0=WIf@080=WIf@030000003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT0\n203IfMT00`000000fMWI0=WIf@070=WIf@030000003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT0\n1`3IfMT00`000000fMWI0=WIf@080=WIf@030000003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT0\n203IfMT00`000000fMWI0=WIf@0E0000o`L0fMWI00<000000=WIf@3IfMT0203IfMT00`000000fMWI\n0=WIf@080=WIf@D00000303IfMT002L0fMWI00<000000=WIf@3IfMT0Y@3IfMT>0000oc<0fMWI00<0\n00000=WIf@3IfMT03@3IfMT002L0fMWI00<000000=WIf@3IfMT0VP3IfMT<0000oe00fMWI000W0=WI\nf@030000003IfMT0fMWI0940fMWI2@000?mL0=WIf@009`3IfMT2000008T0fMWI2@000?mU0=WIf@00\n9`3IfMT00`000000fMWI0=WIf@200=WIf@T0003oK@3IfMT002L0fMWI00<000000=WIf@3IfMT0N@3I\nfMT80000ogD0fMWI000W0=WIf@030000003IfMT0fMWI07<0fMWI1`000?ml0=WIf@009`3IfMT20000\n06d0fMWI1`000?n30=WIf@009`3IfMT00`000000fMWI0=WIf@1V0=WIf@L0003oR@3IfMT002L0fMWI\n00<000000=WIf@3IfMT0H03IfMT70000ohl0fMWI000W0=WIf@030000003IfMT0fMWI05/0fMWI1P00\n0?nE0=WIf@009`3IfMT00`000000fMWI0=WIf@1E0=WIf@H0003oV`3IfMT002L0fMWI0P00001A0=WI\nf@H0003oX03IfMT002L0fMWI00<000000=WIf@3IfMT0B`3IfMT60000ojD0fMWI000W0=WIf@030000\n003IfMT0fMWI04H0fMWI1P000?nZ0=WIf@009`3IfMT00`000000fMWI0=WIf@120=WIf@D0003o[`3I\nfMT002L0fMWI0P00000n0=WIf@D0003o]03IfMT002L0fMWI00<000000=WIf@3IfMT0>@3IfMT50000\nokP0fMWI000W0=WIf@030000003IfMT0fMWI03@0fMWI1@000?nm0=WIf@00203IfMT500000080fMWI\n0P0000040=WIf@800000103IfMT2000000@0fMWI0P0000040=WIf@030000003IfMT0fMWI0300fMWI\n1@000?o10=WIf@002P3IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00@000000=WIf@3IfMT0\n00000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00D00000\n0=WIf@3IfMT0fMWI0000000]0=WIf@H0003oa@3IfMT000X0fMWI00D000000=WIf@3IfMT0fMWI0000\n00020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000\nfMWI0=WIf@0000020=WIf@040000003IfMT0fMWI0=WIf@<00000:@3IfMT30000olX0fMWI000:0=WI\nf@050000003IfMT0fMWI0=WIf@0000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003I\nfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT01@000000fMWI0=WIf@3IfMT00000\n02T0fMWI0P000?o=0=WIf@002P3IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00@000000=WI\nf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI\n00D000000=WIf@3IfMT0fMWI0000000X0=WIf@030000o`3IfMT0fMWI0<d0fMWI00090=WIf@800000\n103IfMT2000000@0fMWI0P0000040=WIf@800000103IfMT2000000@0fMWI00<000000=WIf@3IfMT0\n9@3IfMT00`000?l0fMWI0=WIf@3>0=WIf@009`3IfMT2000002D0fMWI00<0003o0=WIf@3IfMT0c`3I\nfMT002L0fMWI00<000000=WIf@3IfMT08`3IfMT00`000?l0fMWI0=WIf@3@0=WIf@009`3IfMT00`00\n0000fMWI0=WIf@0R0=WIf@80003odP3IfMT002L0fMWI00<000000=WIf@3IfMT08@3IfMT20000om<0\nfMWI000W0=WIf@030000003IfMT0fMWI0240fMWI00<0003o0=WIf@3IfMT0dP3IfMT002L0fMWI0P00\n000Q0=WIf@030000o`3IfMT0fMWI0=<0fMWI000W0=WIf@030000003IfMT0fMWI01l0fMWI00<0003o\n0=WIf@3IfMT0e03IfMT002L0fMWI00<000000=WIf@3IfMT07`3IfMT00`000?l0fMWI0=WIf@3D0=WI\nf@009`3IfMT00`000000fMWI0=WIf@0N0=WIf@030000o`3IfMT0fMWI0=D0fMWI000W0=WIf@800000\n7P3IfMT00`000?l0fMWI0=WIf@3F0=WIf@009`3IfMT00`000000fMWI0=WIf@0M0=WIf@030000o`3I\nfMT0fMWI0=H0fMWI000W0=WIf@030000003IfMT0fMWI01`0fMWI00<0003o0=WIf@3IfMT0e`3IfMT0\n02L0fMWI00<000000=WIf@3IfMT0703IfMT00`000?l0fMWI0=WIf@3G0=WIf@009`3IfMT00`000000\nfMWI0=WIf@0K0=WIf@030000o`3IfMT0fMWI0=P0fMWI000W0=WIf@800000703IfMT00`000?l0fMWI\n0=WIf@3H0=WIf@009`3IfMT00`000000fMWI0=WIf@0J0=WIf@030000o`3IfMT0fMWI0=T0fMWI000W\n0=WIf@030000003IfMT0fMWI01X0fMWI00<0003o0=WIf@3IfMT0f@3IfMT000P0fMWI100000030=WI\nf@800000103IfMT2000000@0fMWI0P0000040=WIf@800000103IfMT00`000000fMWI0=WIf@0I0=WI\nf@030000o`3IfMT0fMWI0=X0fMWI00080=WIf@030000003IfMT0fMWI00<0fMWI00@000000=WIf@3I\nfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00@0\n00000=WIf@3IfMT000000`3IfMT00`000000fMWI0=WIf@0I0=WIf@030000o`3IfMT0fMWI0=X0fMWI\n00090=WIf@030000003IfMT0fMWI0080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI\n0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000`3IfMT3\n000001P0fMWI00<0003o0=WIf@3IfMT0f`3IfMT000X0fMWI00D000000=WIf@3IfMT0fMWI00000002\n0=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI\n0=WIf@0000020=WIf@050000003IfMT0fMWI0=WIf@0000006P3IfMT00`000?l0fMWI0=WIf@3K0=WI\nf@00203IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00@00000\n0=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI000000<0\nfMWI00<000000=WIf@3IfMT05`3IfMT00`000?l0fMWI0=WIf@3L0=WIf@002@3IfMT2000000@0fMWI\n0P0000040=WIf@800000103IfMT2000000@0fMWI0P0000040=WIf@030000003IfMT0fMWI01L0fMWI\n00<0003o0=WIf@3IfMT0g03IfMT002L0fMWI0P00000G0=WIf@030000o`3IfMT0fMWI0=d0fMWI000W\n0=WIf@030000003IfMT0fMWI01H0fMWI00<0003o0=WIf@3IfMT0g@3IfMT002L0fMWI00<000000=WI\nf@3IfMT05P3IfMT00`000?l0fMWI0=WIf@3M0=WIf@009`3IfMT00`000000fMWI0=WIf@0E0=WIf@03\n0000o`3IfMT0fMWI0=h0fMWI000W0=WIf@030000003IfMT0fMWI01D0fMWI00<0003o0=WIf@3IfMT0\ngP3IfMT002L0fMWI0P00000F0=WIf@030000o`3IfMT0fMWI0=h0fMWI000W0=WIf@030000003IfMT0\nfMWI01@0fMWI00<0003o0=WIf@3IfMT0g`3IfMT002L0fMWI00<000000=WIf@3IfMT0503IfMT00`00\n0?l0fMWI0=WIf@3O0=WIf@009`3IfMT00`000000fMWI0=WIf@0C0=WIf@030000o`3IfMT0fMWI0>00\nfMWI000W0=WIf@800000503IfMT00`000?l0fMWI0=WIf@3P0=WIf@009`3IfMT00`000000fMWI0=WI\nf@0C0=WIf@030000o`3IfMT0fMWI0>00fMWI000W0=WIf@030000003IfMT0fMWI0180fMWI00<0003o\n0=WIf@3IfMT0h@3IfMT002L0fMWI00<000000=WIf@3IfMT04P3IfMT00`000?l0fMWI0=WIf@3Q0=WI\nf@009`3IfMT00`000000fMWI0=WIf@0A0=WIf@030000o`3IfMT0fMWI0>80fMWI000W0=WIf@800000\n4P3IfMT00`000?l0fMWI0=WIf@3R0=WIf@009`3IfMT00`000000fMWI0=WIf@0A0=WIf@030000o`3I\nfMT0fMWI0>80fMWI00090=WIf@800000103IfMT2000000@0fMWI0P0000040=WIf@800000103IfMT2\n000000@0fMWI00<000000=WIf@3IfMT0403IfMT00`000?l0fMWI0=WIf@3S0=WIf@00203IfMT01000\n0000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT00000\n0P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI000000<0fMWI00<000000=WI\nf@3IfMT0403IfMT00`000?l0fMWI0=WIf@3S0=WIf@002P3IfMT01@000000fMWI0=WIf@3IfMT00000\n0080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003I\nfMT0fMWI00000080fMWI00@000000=WIf@3IfMT0fMWI0`00000@0=WIf@030000o`3IfMT0fMWI0><0\nfMWI000;0=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT01000\n0000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00D000000=WIf@3IfMT0fMWI\n0000000A0=WIf@030000o`3IfMT0fMWI0>@0fMWI00080=WIf@040000003IfMT0fMWI00000080fMWI\n00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI\n00000080fMWI00@000000=WIf@3IfMT000000`3IfMT00`000000fMWI0=WIf@0?0=WIf@030000o`3I\nfMT0fMWI0>@0fMWI00090=WIf@800000103IfMT2000000@0fMWI0P0000040=WIf@800000103IfMT2\n000000@0fMWI00<000000=WIf@3IfMT03`3IfMT00`000?l0fMWI0=WIf@3T0=WIf@009`3IfMT00`00\n0000fMWI0=WIf@0>0=WIf@030000o`3IfMT0fMWI0>D0fMWI000W0=WIf@8000003`3IfMT00`000?l0\nfMWI0=WIf@3U0=WIf@009`3IfMT00`000000fMWI0=WIf@0>0=WIf@030000o`3IfMT0fMWI0>D0fMWI\n000W0=WIf@030000003IfMT0fMWI00d0fMWI00<0003o0=WIf@3IfMT0iP3IfMT002L0fMWI00<00000\n0=WIf@3IfMT03@3IfMT00`000?l0fMWI0=WIf@3V0=WIf@009`3IfMT00`000000fMWI0=WIf@0=0=WI\nf@030000o`3IfMT0fMWI0>H0fMWI000W0=WIf@8000003@3IfMT00`000?l0fMWI0=WIf@3W0=WIf@00\n9`3IfMT00`000000fMWI0=WIf@0<0=WIf@030000o`3IfMT0fMWI0>L0fMWI000W0=WIf@030000003I\nfMT0fMWI00`0fMWI00<0003o0=WIf@3IfMT0i`3IfMT002L0fMWI00<000000=WIf@3IfMT02`3IfMT0\n0`000?l0fMWI0=WIf@3X0=WIf@009`3IfMT2000000`0fMWI00<0003o0=WIf@3IfMT0j03IfMT002L0\nfMWI00<000000=WIf@3IfMT02`3IfMT00`000?l0fMWI0=WIf@3X0=WIf@009`3IfMT00`000000fMWI\n0=WIf@0:0=WIf@030000o`3IfMT0fMWI0>T0fMWI000W0=WIf@030000003IfMT0fMWI00X0fMWI00<0\n003o0=WIf@3IfMT0j@3IfMT002L0fMWI00<000000=WIf@3IfMT02P3IfMT00`000?l0fMWI0=WIf@3Y\n0=WIf@009`3IfMT2000000/0fMWI00<0003o0=WIf@3IfMT0j@3IfMT002L0fMWI00<000000=WIf@3I\nfMT02@3IfMT00`000?l0fMWI0=WIf@3Z0=WIf@002P3IfMT300000080fMWI0P0000040=WIf@800000\n103IfMT2000000@0fMWI0P0000040=WIf@030000003IfMT0fMWI00T0fMWI00<0003o0=WIf@3IfMT0\njP3IfMT000/0fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@04\n0000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT01@000000fMWI0=WIf@3I\nfMT0000000/0fMWI00<0003o0=WIf@3IfMT0jP3IfMT000P0fMWI1@0000001@3IfMT000000=WIf@3I\nfMT000000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@04\n0000003IfMT0fMWI000000<0fMWI0`0000080=WIf@030000o`3IfMT0fMWI0>/0fMWI00080=WIf@04\n0000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@00\n00020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000`3IfMT00`000000\nfMWI0=WIf@080=WIf@030000o`3IfMT0fMWI0>/0fMWI00090=WIf@030000003IfMT000000080fMWI\n00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI\n00000080fMWI00@000000=WIf@3IfMT000000`3IfMT00`000000fMWI0=WIf@080=WIf@030000o`3I\nfMT0fMWI0>/0fMWI000:0=WIf@8000000`3IfMT2000000@0fMWI0P0000040=WIf@800000103IfMT2\n000000@0fMWI00<000000=WIf@3IfMT0203IfMT00`000?l0fMWI0=WIf@3[0=WIf@009`3IfMT00`00\n0000fMWI0=WIf@080=WIf@030000o`3IfMT0fMWI0>/0fMWI000W0=WIf@800000203IfMT00`000?l0\nfMWI0=WIf@3/0=WIf@009`3IfMT00`000000fMWI0=WIf@070=WIf@030000o`3IfMT0fMWI0>`0fMWI\n000W0=WIf@030000003IfMT0fMWI00L0fMWI00<0003o0=WIf@3IfMT0k03IfMT002L0fMWI00<00000\n0=WIf@3IfMT01`3IfMT00`000?l0fMWI0=WIf@3/0=WIf@009`3IfMT2000000L0fMWI00<0003o0=WI\nf@3IfMT0k@3IfMT002L0fMWI00<000000=WIf@3IfMT01P3IfMT00`000?l0fMWI0=WIf@3]0=WIf@00\n9`3IfMT00`000000fMWI0=WIf@060=WIf@030000o`3IfMT0fMWI0>d0fMWI000W0=WIf@030000003I\nfMT0fMWI00D0fMWI00<0003o0=WIf@3IfMT0kP3IfMT002L0fMWI00<000000=WIf@3IfMT01@3IfMT0\n0`000?l0fMWI0=WIf@3^0=WIf@009`3IfMT2000000H0fMWI00<0003o0=WIf@3IfMT0kP3IfMT002L0\nfMWI00<000000=WIf@3IfMT01@3IfMT00`000?l0fMWI0=WIf@3^0=WIf@009`3IfMT00`000000fMWI\n0=WIf@040=WIf@030000o`3IfMT0fMWI0>l0fMWI000W0=WIf@030000003IfMT0fMWI00@0fMWI00<0\n003o0=WIf@3IfMT0k`3IfMT002L0fMWI0P0000050=WIf@030000o`3IfMT0fMWI0>l0fMWI000W0=WI\nf@030000003IfMT0fMWI00@0fMWI00<0003o0=WIf@3IfMT0k`3IfMT002L0fMWI00<000000=WIf@3I\nfMT00`3IfMT00`000?l0fMWI0=WIf@3`0=WIf@002@3IfMT2000000@0fMWI0P0000040=WIf@800000\n103IfMT2000000@0fMWI0P0000040=WIf@030000003IfMT0fMWI00<0fMWI00<0003o0=WIf@3IfMT0\nl03IfMT000P0fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@04\n0000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@00\n00030=WIf@030000003IfMT0fMWI00<0fMWI00<0003o0=WIf@3IfMT0l03IfMT000/0fMWI00@00000\n0=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080\nfMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@3IfMT300000080fMWI00<0003o\n0=WIf@3IfMT0l@3IfMT000T0fMWI0P0000030=WIf@040000003IfMT0fMWI00000080fMWI00@00000\n0=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI000000<0\nfMWI00<000000=WIf@3IfMT00P3IfMT00`000?l0fMWI0=WIf@3a0=WIf@002@3IfMT00`000000fMWI\n0=WIf@020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT01000\n0000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI000000<0fMWI00<000000=WIf@3IfMT00P3I\nfMT00`000?l0fMWI0=WIf@3a0=WIf@002@3IfMT3000000<0fMWI0P0000040=WIf@800000103IfMT2\n000000@0fMWI0P0000040=WIf@030000003IfMT0fMWI0080fMWI00<0003o0=WIf@3IfMT0l@3IfMT0\n02L0fMWI00D000000=WIf@3IfMT0fMWI0000o`3d0=WIf@009`3IfMT200000080fMWI00<0003o0=WI\nf@3IfMT0lP3IfMT002L0fMWI00D000000=WIf@3IfMT0fMWI0000o`3d0=WIf@009`3IfMT01@000000\nfMWI0=WIf@3IfMT0003o0?@0fMWI000W0=WIf@040000003IfMT0fMWI0000ooD0fMWI000W0=WIf@80\n000000<0fMWI0000o`3IfMT0m03IfMT002L0fMWI00@000000=WIf@3IfMT0003om@3IfMT002L0fMWI\n00@000000=WIf@3IfMT0003om@3IfMT002L0fMWI00<000000=WIf@000?l0mP3IfMT002L0fMWI00<0\n00000=WIf@000?l0mP3IfMT002L0fMWI0P0000000`000?l0fMWI0=WIf@3d0=WIf@009`3IfMT00`00\n0000fMWI0000o`3f0=WIf@009`3IfMT00`000000003o0=WIf@3f0=WIf@009`3IfMT00`000000003o\n0=WIf@3f0=WIf@009`3IfMT00`000000003o0=WIf@3f0=WIf@009`3IfMT00`000000003o0=WIf@3f\n0=WIf@009`3IfMT00`000?l0fMWI0=WIf@3f0=WIf@00203IfMT3000000@0fMWI0P0000040=WIf@80\n0000103IfMT2000000@0fMWI0P0000040=WIf@030000o`3IfMT0fMWI0?H0fMWI00080=WIf@040000\n003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@000002\n0=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000`3IfMT00`000000fMWI\n0=WIf@3f0=WIf@00203IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080\nfMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0\nfMWI000000<0fMWI0`00003f0=WIf@00203IfMT3000000<0fMWI00@000000=WIf@3IfMT000000P3I\nfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3I\nfMT000000`3IfMT00`000000fMWI0=WIf@3f0=WIf@002@3IfMT00`000000fMWI0=WIf@020=WIf@04\n0000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@00\n00020=WIf@040000003IfMT0fMWI000000<0fMWI00<000000=WIf@3IfMT0mP3IfMT000T0fMWI0`00\n00030=WIf@800000103IfMT2000000@0fMWI0P0000040=WIf@800000o@3IfMT00?l0fMWI8@3IfMT0\n0?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT0\n0?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT0\n0?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT0\n0?l0fMWI8@3IfMT00?l0fMWI8@3IfMT002D0fMWI00<000000=WIf@3IfMT01@3IfMT300000580fMWI\n00<000000=WIf@3IfMT01@3IfMT2000000P0fMWI0P00002:0=WIf@00903IfMT00`000000fMWI0=WI\nf@070=WIf@030000003IfMT0fMWI0580fMWI00<000000=WIf@3IfMT0103IfMT00`000000fMWI0=WI\nf@080=WIf@030000003IfMT0fMWI08P0fMWI000S0=WIf@030000003IfMT0fMWI0080fMWI1@000000\n103IfMT000000000000000040=WIf@8000000`3IfMT3000000<0fMWI0`0000040=WIf@800000103I\nfMT2000000<0fMWI1@000000103IfMT000000000000000040=WIf@800000103IfMT3000000<0fMWI\n0P0000040=WIf@@000000P3IfMT400000080fMWI0`0000040=WIf@030000003IfMT0fMWI00<0fMWI\n00<000000=WIf@3IfMT00P3IfMT2000000@0fMWI00<000000=WIf@3IfMT0R03IfMT002<0fMWI00<0\n00000=WIf@3IfMT00P3IfMT400000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI\n0=WIf@0000030=WIf@030000003IfMT0fMWI00<0fMWI00<000000=WIf@3IfMT00P3IfMT010000000\nfMWI0=WIf@0000080=WIf@@000000`3IfMT00`000000fMWI0=WIf@020=WIf@040000003IfMT0fMWI\n000000@0fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@040000003IfMT0fMWI00000080fMWI\n00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000070=WIf@030000003IfMT0fMWI\n00<0fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@050000003IfMT0fMWI0=WIf@000000RP3I\nfMT001H0fMWI20000?l50=WIf@030000003IfMT0fMWI00D0fMWI00@000000=WIf@3IfMT000000P3I\nfMT010000000fMWI0=WIf@0000020=WIf@050000003IfMT0fMWI0=WIf@0000001@3IfMT00`000000\nfMWI0=WIf@020=WIf@040000003IfMT0fMWI000000/0fMWI00D000000=WIf@3IfMT0fMWI00000004\n0=WIf@030000003IfMT0fMWI00D0fMWI00D000000=WIf@3IfMT0fMWI000000050=WIf@040000003I\nfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT4000000@0fMWI00<000000=WIf@3I\nfMT00`3IfMT01@000000fMWI0=WIf@3IfMT0000000H0fMWI00<000000=WIf@3IfMT0R03IfMT002<0\nfMWI00<000000=WIf@3IfMT00`3IfMT3000000030=WIf@000000000000800000103IfMT2000000@0\nfMWI00<000000=WIf@3IfMT00`3IfMT00`000000fMWI0=WIf@030=WIf@8000002P3IfMT3000000<0\nfMWI00@000000=WIf@3IfMT0fMWI1@0000030=WIf@8000000P3IfMT5000000040=WIf@0000000000\n0=WIf@8000000`3IfMT3000000<0fMWI0P0000050=WIf@030000003IfMT0fMWI00<0fMWI00<00000\n0=WIf@3IfMT01@0000030=WIf@030000003IfMT0fMWI08P0fMWI000T0=WIf@030000003IfMT0fMWI\n01@0fMWI00<000000=WIf@3IfMT00`3IfMT00`000000fMWI0=WIf@0E0=WIf@030000003IfMT0fMWI\n0080fMWI00<000000=WIf@3IfMT02@3IfMT00`000000fMWI0=WIf@0<0=WIf@030000003IfMT0fMWI\n00L0fMWI00<000000=WIf@3IfMT0103IfMT01@000000fMWI0=WIf@3IfMT0000000H0fMWI00<00000\n0=WIf@3IfMT0R03IfMT002D0fMWI00<000000=WIf@3IfMT04P3IfMT2000000@0fMWI0P00000F0=WI\nf@800000303IfMT00`000000fMWI0=WIf@0?0=WIf@800000203IfMT00`000000fMWI0=WIf@050=WI\nf@800000203IfMT2000008X0fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o\n0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o\n0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o\n0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o\n0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI0000"]], Rule[ImageRangeCache, List[Rule[List[List[0, 287], List[213.25`, 0]], List[-1.05141`, -0.655244`, 0.00732689`, 0.00732689`]], Rule[List[List[7, 279.938`], List[208.125`, 39.4375`]], List[-37.9664`, -10865.2`, 0.952173`, 438.677`]], Rule[List[List[20.625`, 157.125`], List[46, 5.0625`]], List[-2.57534`, -5.65634`, 0.119891`, 0.0332217`]], Rule[List[List[22.125`, 30.4375`], List[40.5625`, 10.4375`]], List[-6.32337`, -45.1734`, 0.240604`, 0.240604`]]]]], Cell[TextData[List["\t\t\t\t\t\t", StyleBox["Diagram 1:", Rule[FontWeight, "Bold"]], " Altitude of the Apollo rocket over the lunar surface\n"]], "Text"], Cell["plot( apollo.thrust, xrange={0,208} );", "ModelicaInput"], Cell[GraphicsData["PostScript", "%!\n%%Creator: Mathematica\n%%AspectRatio: .74402 \nMathPictureStart\n/Mabs {\nMgmatrix idtransform\nMtmatrix dtransform\n} bind def\n/Mabsadd { Mabs\n3 -1 roll add\n3 1 roll add\nexch } bind def\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.5 0.47619 0.312017 0.47619 [\n[ 0 0 0 0 ]\n[ 1 .74402 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n% Start of sub-graphic\np\n0.0238095 0.0177147 0.97619 0.606318 MathSubStart\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.0238095 0.0045704 -0.00725551 1.67971e-005 [\n[.25233 .06423 -6 -9 ]\n[.25233 .06423 6 0 ]\n[.48085 .06423 -9 -9 ]\n[.48085 .06423 9 0 ]\n[.70937 .06423 -9 -9 ]\n[.70937 .06423 9 0 ]\n[.93789 .06423 -9 -9 ]\n[.93789 .06423 9 0 ]\n[1.025 .07673 0 -6.28125 ]\n[1.025 .07673 10 6.28125 ]\n[.01131 .16072 -30 -4.5 ]\n[.01131 .16072 0 4.5 ]\n[.01131 .2447 -30 -4.5 ]\n[.01131 .2447 0 4.5 ]\n[.01131 .32869 -30 -4.5 ]\n[.01131 .32869 0 4.5 ]\n[.01131 .41267 -30 -4.5 ]\n[.01131 .41267 0 4.5 ]\n[.01131 .49666 -30 -4.5 ]\n[.01131 .49666 0 4.5 ]\n[.01131 .58064 -30 -4.5 ]\n[.01131 .58064 0 4.5 ]\n[ 0 0 0 0 ]\n[ 1 .61803 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n0 g\n.25 Mabswid\n[ ] 0 setdash\n.25233 .07673 m\n.25233 .08298 L\ns\n[(50)] .25233 .06423 0 1 Mshowa\n.48085 .07673 m\n.48085 .08298 L\ns\n[(100)] .48085 .06423 0 1 Mshowa\n.70937 .07673 m\n.70937 .08298 L\ns\n[(150)] .70937 .06423 0 1 Mshowa\n.93789 .07673 m\n.93789 .08298 L\ns\n[(200)] .93789 .06423 0 1 Mshowa\n.125 Mabswid\n.06951 .07673 m\n.06951 .08048 L\ns\n.11522 .07673 m\n.11522 .08048 L\ns\n.16092 .07673 m\n.16092 .08048 L\ns\n.20663 .07673 m\n.20663 .08048 L\ns\n.29803 .07673 m\n.29803 .08048 L\ns\n.34374 .07673 m\n.34374 .08048 L\ns\n.38944 .07673 m\n.38944 .08048 L\ns\n.43515 .07673 m\n.43515 .08048 L\ns\n.52655 .07673 m\n.52655 .08048 L\ns\n.57226 .07673 m\n.57226 .08048 L\ns\n.61796 .07673 m\n.61796 .08048 L\ns\n.66367 .07673 m\n.66367 .08048 L\ns\n.75507 .07673 m\n.75507 .08048 L\ns\n.80078 .07673 m\n.80078 .08048 L\ns\n.84648 .07673 m\n.84648 .08048 L\ns\n.89219 .07673 m\n.89219 .08048 L\ns\n.98359 .07673 m\n.98359 .08048 L\ns\n.25 Mabswid\n0 .07673 m\n1 .07673 L\ns\ngsave\n1.025 .07673 -61 -10.2813 Mabsadd m\n1 1 Mabs scale\ncurrentpoint translate\n0 20.5625 translate 1 -1 scale\n/g { setgray} bind def\n/k { setcmykcolor} bind def\n/p { gsave} bind def\n/r { setrgbcolor} bind def\n/w { setlinewidth} bind def\n/C { curveto} bind def\n/F { fill} bind def\n/L { lineto} bind def\n/rL { rlineto} bind def\n/P { grestore} bind def\n/s { stroke} bind def\n/S { show} bind def\n/N {currentpoint 3 -1 roll show moveto} bind def\n/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def\n/m { moveto} bind def\n/Mr { rmoveto} bind def\n/Mx {currentpoint exch pop moveto} bind def\n/My {currentpoint pop exch moveto} bind def\n/X {0 rmoveto} bind def\n/Y {0 exch rmoveto} bind def\n63.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n0.000 0.000 rmoveto\n63.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(t) show\n69.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n0.000 0.000 rmoveto\n1.000 setlinewidth\ngrestore\n.02381 .16072 m\n.03006 .16072 L\ns\n[(10000)] .01131 .16072 1 0 Mshowa\n.02381 .2447 m\n.03006 .2447 L\ns\n[(15000)] .01131 .2447 1 0 Mshowa\n.02381 .32869 m\n.03006 .32869 L\ns\n[(20000)] .01131 .32869 1 0 Mshowa\n.02381 .41267 m\n.03006 .41267 L\ns\n[(25000)] .01131 .41267 1 0 Mshowa\n.02381 .49666 m\n.03006 .49666 L\ns\n[(30000)] .01131 .49666 1 0 Mshowa\n.02381 .58064 m\n.03006 .58064 L\ns\n[(35000)] .01131 .58064 1 0 Mshowa\n.125 Mabswid\n.02381 .09353 m\n.02756 .09353 L\ns\n.02381 .11032 m\n.02756 .11032 L\ns\n.02381 .12712 m\n.02756 .12712 L\ns\n.02381 .14392 m\n.02756 .14392 L\ns\n.02381 .17751 m\n.02756 .17751 L\ns\n.02381 .19431 m\n.02756 .19431 L\ns\n.02381 .21111 m\n.02756 .21111 L\ns\n.02381 .2279 m\n.02756 .2279 L\ns\n.02381 .2615 m\n.02756 .2615 L\ns\n.02381 .2783 m\n.02756 .2783 L\ns\n.02381 .29509 m\n.02756 .29509 L\ns\n.02381 .31189 m\n.02756 .31189 L\ns\n.02381 .34548 m\n.02756 .34548 L\ns\n.02381 .36228 m\n.02756 .36228 L\ns\n.02381 .37908 m\n.02756 .37908 L\ns\n.02381 .39587 m\n.02756 .39587 L\ns\n.02381 .42947 m\n.02756 .42947 L\ns\n.02381 .44627 m\n.02756 .44627 L\ns\n.02381 .46306 m\n.02756 .46306 L\ns\n.02381 .47986 m\n.02756 .47986 L\ns\n.02381 .51345 m\n.02756 .51345 L\ns\n.02381 .53025 m\n.02756 .53025 L\ns\n.02381 .54705 m\n.02756 .54705 L\ns\n.02381 .56385 m\n.02756 .56385 L\ns\n.02381 .05993 m\n.02756 .05993 L\ns\n.02381 .04314 m\n.02756 .04314 L\ns\n.02381 .02634 m\n.02756 .02634 L\ns\n.02381 .00954 m\n.02756 .00954 L\ns\n.02381 .59744 m\n.02756 .59744 L\ns\n.02381 .61424 m\n.02756 .61424 L\ns\n.25 Mabswid\n.02381 0 m\n.02381 .61803 L\ns\n0 0 1 r\n.001 w\n.02381 .60332 m\n.02591 .60332 L\n.02801 .60332 L\n.03012 .60332 L\n.03222 .60332 L\n.03432 .60332 L\n.03642 .60332 L\n.03853 .60332 L\n.04063 .60332 L\n.04273 .60332 L\n.04483 .60332 L\n.04694 .60332 L\n.04904 .60332 L\n.05114 .60332 L\n.05324 .60332 L\n.05535 .60332 L\n.05745 .60332 L\n.05955 .60332 L\n.06165 .60332 L\n.06375 .60332 L\n.06586 .60332 L\n.06796 .60332 L\n.07006 .60332 L\n.07216 .60332 L\n.07427 .60332 L\n.07637 .60332 L\n.07847 .60332 L\n.08057 .60332 L\n.08268 .60332 L\n.08478 .60332 L\n.08688 .60332 L\n.08898 .60332 L\n.09109 .60332 L\n.09319 .60332 L\n.09529 .60332 L\n.09739 .60332 L\n.0995 .60332 L\n.1016 .60332 L\n.1037 .60332 L\n.1058 .60332 L\n.1079 .60332 L\n.11001 .60332 L\n.11211 .60332 L\n.11421 .60332 L\n.11631 .60332 L\n.11842 .60332 L\n.12052 .60332 L\n.12262 .60332 L\n.12472 .60332 L\n.12683 .60332 L\nMistroke\n.12893 .60332 L\n.13103 .60332 L\n.13313 .60332 L\n.13524 .60332 L\n.13734 .60332 L\n.13944 .60332 L\n.14154 .60332 L\n.14365 .60332 L\n.14575 .60332 L\n.14785 .60332 L\n.14995 .60332 L\n.15206 .60332 L\n.15416 .60332 L\n.15626 .60332 L\n.15836 .60332 L\n.16046 .60332 L\n.16257 .60332 L\n.16467 .60332 L\n.16677 .60332 L\n.16887 .60332 L\n.17098 .60332 L\n.17308 .60332 L\n.17518 .60332 L\n.17728 .60332 L\n.17939 .60332 L\n.18149 .60332 L\n.18359 .60332 L\n.18569 .60332 L\n.1878 .60332 L\n.1899 .60332 L\n.192 .60332 L\n.1941 .60332 L\n.19621 .60332 L\n.19831 .60332 L\n.20041 .60332 L\n.20251 .60332 L\n.20461 .60332 L\n.20672 .60332 L\n.20882 .60332 L\n.21092 .60332 L\n.21302 .60332 L\n.21513 .60332 L\n.21723 .60332 L\n.21933 .60332 L\n.22125 .60332 L\n.22125 .01472 L\n.22143 .01472 L\n.22354 .01472 L\n.22564 .01472 L\n.22774 .01472 L\nMistroke\n.22984 .01472 L\n.23195 .01472 L\n.23405 .01472 L\n.23615 .01472 L\n.23825 .01472 L\n.24036 .01472 L\n.24246 .01472 L\n.24456 .01472 L\n.24666 .01472 L\n.24876 .01472 L\n.25087 .01472 L\n.25297 .01472 L\n.25507 .01472 L\n.25717 .01472 L\n.25928 .01472 L\n.26138 .01472 L\n.26348 .01472 L\n.26558 .01472 L\n.26769 .01472 L\n.26979 .01472 L\n.27189 .01472 L\n.27399 .01472 L\n.2761 .01472 L\n.2782 .01472 L\n.2803 .01472 L\n.2824 .01472 L\n.28451 .01472 L\n.28661 .01472 L\n.28871 .01472 L\n.29081 .01472 L\n.29291 .01472 L\n.29502 .01472 L\n.29712 .01472 L\n.29922 .01472 L\n.30132 .01472 L\n.30343 .01472 L\n.30553 .01472 L\n.30763 .01472 L\n.30973 .01472 L\n.31184 .01472 L\n.31394 .01472 L\n.31604 .01472 L\n.31814 .01472 L\n.32025 .01472 L\n.32235 .01472 L\n.32445 .01472 L\n.32655 .01472 L\n.32866 .01472 L\n.33076 .01472 L\n.33286 .01472 L\nMistroke\n.33496 .01472 L\n.33707 .01472 L\n.33917 .01472 L\n.34127 .01472 L\n.34337 .01472 L\n.34547 .01472 L\n.34758 .01472 L\n.34968 .01472 L\n.35178 .01472 L\n.35388 .01472 L\n.35599 .01472 L\n.35809 .01472 L\n.36019 .01472 L\n.36229 .01472 L\n.3644 .01472 L\n.3665 .01472 L\n.3686 .01472 L\n.3707 .01472 L\n.37281 .01472 L\n.37491 .01472 L\n.37701 .01472 L\n.37911 .01472 L\n.38122 .01472 L\n.38332 .01472 L\n.38542 .01472 L\n.38752 .01472 L\n.38962 .01472 L\n.39173 .01472 L\n.39383 .01472 L\n.39593 .01472 L\n.39803 .01472 L\n.40014 .01472 L\n.40224 .01472 L\n.40434 .01472 L\n.40644 .01472 L\n.40855 .01472 L\n.41065 .01472 L\n.41275 .01472 L\n.41485 .01472 L\n.41696 .01472 L\n.41906 .01472 L\n.42116 .01472 L\n.42326 .01472 L\n.42537 .01472 L\n.42747 .01472 L\n.42957 .01472 L\n.43167 .01472 L\n.43377 .01472 L\n.43588 .01472 L\n.43798 .01472 L\nMistroke\n.44008 .01472 L\n.44218 .01472 L\n.44429 .01472 L\n.44639 .01472 L\n.44849 .01472 L\n.45059 .01472 L\n.4527 .01472 L\n.4548 .01472 L\n.4569 .01472 L\n.459 .01472 L\n.46111 .01472 L\n.46321 .01472 L\n.46531 .01472 L\n.46741 .01472 L\n.46952 .01472 L\n.47162 .01472 L\n.47372 .01472 L\n.47582 .01472 L\n.47792 .01472 L\n.48003 .01472 L\n.48213 .01472 L\n.48423 .01472 L\n.48633 .01472 L\n.48844 .01472 L\n.49054 .01472 L\n.49264 .01472 L\n.49474 .01472 L\n.49685 .01472 L\n.49895 .01472 L\n.50105 .01472 L\n.50315 .01472 L\n.50526 .01472 L\n.50736 .01472 L\n.50946 .01472 L\n.51156 .01472 L\n.51367 .01472 L\n.51577 .01472 L\n.51787 .01472 L\n.51997 .01472 L\n.52208 .01472 L\n.52418 .01472 L\n.52628 .01472 L\n.52838 .01472 L\n.53048 .01472 L\n.53259 .01472 L\n.53469 .01472 L\n.53679 .01472 L\n.53889 .01472 L\n.541 .01472 L\n.5431 .01472 L\nMistroke\n.5452 .01472 L\n.5473 .01472 L\n.54941 .01472 L\n.55151 .01472 L\n.55361 .01472 L\n.55571 .01472 L\n.55782 .01472 L\n.55992 .01472 L\n.56202 .01472 L\n.56412 .01472 L\n.56623 .01472 L\n.56833 .01472 L\n.57043 .01472 L\n.57253 .01472 L\n.57463 .01472 L\n.57674 .01472 L\n.57884 .01472 L\n.58094 .01472 L\n.58304 .01472 L\n.58515 .01472 L\n.58725 .01472 L\n.58935 .01472 L\n.59145 .01472 L\n.59356 .01472 L\n.59566 .01472 L\n.59776 .01472 L\n.59986 .01472 L\n.60197 .01472 L\n.60407 .01472 L\n.60617 .01472 L\n.60827 .01472 L\n.61038 .01472 L\n.61248 .01472 L\n.61458 .01472 L\n.61668 .01472 L\n.61878 .01472 L\n.62089 .01472 L\n.62299 .01472 L\n.62509 .01472 L\n.62719 .01472 L\n.6293 .01472 L\n.6314 .01472 L\n.6335 .01472 L\n.6356 .01472 L\n.63771 .01472 L\n.63981 .01472 L\n.64191 .01472 L\n.64401 .01472 L\n.64612 .01472 L\n.64822 .01472 L\nMistroke\n.65032 .01472 L\n.65242 .01472 L\n.65453 .01472 L\n.65663 .01472 L\n.65873 .01472 L\n.66083 .01472 L\n.66293 .01472 L\n.66504 .01472 L\n.66714 .01472 L\n.66924 .01472 L\n.67134 .01472 L\n.67345 .01472 L\n.67555 .01472 L\n.67765 .01472 L\n.67975 .01472 L\n.68186 .01472 L\n.68396 .01472 L\n.68606 .01472 L\n.68816 .01472 L\n.69027 .01472 L\n.69237 .01472 L\n.69447 .01472 L\n.69657 .01472 L\n.69868 .01472 L\n.70078 .01472 L\n.70288 .01472 L\n.70498 .01472 L\n.70709 .01472 L\n.70919 .01472 L\n.71129 .01472 L\n.71339 .01472 L\n.71549 .01472 L\n.7176 .01472 L\n.7197 .01472 L\n.7218 .01472 L\n.7239 .01472 L\n.72601 .01472 L\n.72811 .01472 L\n.73021 .01472 L\n.73231 .01472 L\n.73442 .01472 L\n.73652 .01472 L\n.73862 .01472 L\n.74072 .01472 L\n.74283 .01472 L\n.74493 .01472 L\n.74703 .01472 L\n.74913 .01472 L\n.75124 .01472 L\n.75334 .01472 L\nMistroke\n.75544 .01472 L\n.75754 .01472 L\n.75964 .01472 L\n.76175 .01472 L\n.76385 .01472 L\n.76595 .01472 L\n.76805 .01472 L\n.77016 .01472 L\n.77226 .01472 L\n.77436 .01472 L\n.77646 .01472 L\n.77857 .01472 L\n.78067 .01472 L\n.78277 .01472 L\n.78487 .01472 L\n.78698 .01472 L\n.78908 .01472 L\n.79118 .01472 L\n.79328 .01472 L\n.79539 .01472 L\n.79749 .01472 L\n.79959 .01472 L\n.80169 .01472 L\n.80379 .01472 L\n.8059 .01472 L\n.808 .01472 L\n.8101 .01472 L\n.8122 .01472 L\n.81431 .01472 L\n.81641 .01472 L\n.81851 .01472 L\n.82061 .01472 L\n.82272 .01472 L\n.82482 .01472 L\n.82692 .01472 L\n.82902 .01472 L\n.83113 .01472 L\n.83323 .01472 L\n.83533 .01472 L\n.83743 .01472 L\n.83954 .01472 L\n.84164 .01472 L\n.84374 .01472 L\n.84584 .01472 L\n.84794 .01472 L\n.85005 .01472 L\n.85215 .01472 L\n.85425 .01472 L\n.85635 .01472 L\n.85846 .01472 L\nMistroke\n.86056 .01472 L\n.86266 .01472 L\n.86476 .01472 L\n.86687 .01472 L\n.86897 .01472 L\n.87107 .01472 L\n.87317 .01472 L\n.87528 .01472 L\n.87738 .01472 L\n.87948 .01472 L\n.88158 .01472 L\n.88369 .01472 L\n.88579 .01472 L\n.88789 .01472 L\n.88999 .01472 L\n.89209 .01472 L\n.8942 .01472 L\n.8963 .01472 L\n.8984 .01472 L\n.9005 .01472 L\n.90261 .01472 L\n.90471 .01472 L\n.90681 .01472 L\n.90891 .01472 L\n.91102 .01472 L\n.91312 .01472 L\n.91522 .01472 L\n.91732 .01472 L\n.91943 .01472 L\n.92153 .01472 L\n.92363 .01472 L\n.92573 .01472 L\n.92784 .01472 L\n.92994 .01472 L\n.93204 .01472 L\n.93414 .01472 L\n.93625 .01472 L\n.93835 .01472 L\n.94045 .01472 L\n.94255 .01472 L\n.94465 .01472 L\n.94676 .01472 L\n.94886 .01472 L\n.95096 .01472 L\n.95306 .01472 L\n.95517 .01472 L\n.95727 .01472 L\n.95937 .01472 L\n.96147 .01472 L\n.96358 .01472 L\nMistroke\n.96568 .01472 L\n.96778 .01472 L\n.96988 .01472 L\n.97199 .01472 L\n.97409 .01472 L\n.97619 .01472 L\nMfstroke\n0 0 m\n1 0 L\n1 .61803 L\n0 .61803 L\nclosepath\nclip\nnewpath\nMathSubEnd\nP\n% End of sub-graphic\n% Start of sub-graphic\np\n0.0714286 0.583445 0.547619 0.726302 MathSubStart\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.00611247 0.0611247 0.0220588 0.220588 [\n[ 0 0 0 0 ]\n[ 1 .3 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n0 0 m\n1 0 L\n1 .3 L\n0 .3 L\nclosepath\nclip\nnewpath\n% Start of sub-graphic\np\n0.0110024 0.0397059 0.0721271 0.260294 MathSubStart\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.5 0.5 0.5 0.5 [\n[ 0 0 0 0 ]\n[ 1 1 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n0 0 m\n1 0 L\n1 1 L\n0 1 L\nclosepath\nclip\nnewpath\n0 0 1 r\n.00187 w\n[ ] 0 setdash\n0 .5 m\n1 .5 L\ns\nMathSubEnd\nP\n% End of sub-graphic\n0 g\ngsave\n.08007 .15 -61 -10.2813 Mabsadd m\n1 1 Mabs scale\ncurrentpoint translate\n0 20.5625 translate 1 -1 scale\n/g { setgray} bind def\n/k { setcmykcolor} bind def\n/p { gsave} bind def\n/r { setrgbcolor} bind def\n/w { setlinewidth} bind def\n/C { curveto} bind def\n/F { fill} bind def\n/L { lineto} bind def\n/rL { rlineto} bind def\n/P { grestore} bind def\n/s { stroke} bind def\n/S { show} bind def\n/N {currentpoint 3 -1 roll show moveto} bind def\n/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def\n/m { moveto} bind def\n/Mr { rmoveto} bind def\n/Mx {currentpoint exch pop moveto} bind def\n/My {currentpoint pop exch moveto} bind def\n/X {0 rmoveto} bind def\n/Y {0 exch rmoveto} bind def\n%%IncludeResource: font Mathematica2Mono\n%%IncludeFont: Mathematica2Mono\n/Mathematica2Mono findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n63.000 12.813 moveto\n(H) show\n69.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(apollo) show\n105.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(.) show\n111.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(thrust) show\n%%IncludeResource: font Mathematica2Mono\n%%IncludeFont: Mathematica2Mono\n/Mathematica2Mono findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n147.000 12.813 moveto\n(L) show\n153.000 12.813 moveto\n(@) show\n159.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(t) show\n%%IncludeResource: font Mathematica2Mono\n%%IncludeFont: Mathematica2Mono\n/Mathematica2Mono findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n165.000 12.813 moveto\n(D) show\n1.000 setlinewidth\ngrestore\nMathSubEnd\nP\n% End of sub-graphic\n0 0 m\n1 0 L\n1 .74402 L\n0 .74402 L\nclosepath\nclip\nnewpath\n% End of Graphics\nMathPictureEnd\n"], "Graphics", Rule[ImageSize, List[288, 214.25`]], Rule[ImageMargins, List[List[35, 0], List[0, 0]]], Rule[ImageRegion, List[List[0, 1], List[0, 1]]], Rule[ImageCache, GraphicsData["Bitmap", "CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000eR000`400?l00000o`00003oo`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@009`3IfMT00`000000fMWI0=WI\nf@3f0=WIf@009`3IfMT00`000000fMWI0=WIf@3f0=WIf@009`3IfMT200000?L0fMWI000W0=WIf@03\n0000003IfMT0fMWI02/0fMWI[P000?lM0=WIf@009`3IfMT00`000000fMWI0=WIf@0[0=WIf@030000\no`3IfMT0fMWI0<P0fMWI000W0=WIf@030000003IfMT0fMWI02/0fMWI00<0003o0=WIf@3IfMT0b03I\nfMT002L0fMWI0P00000/0=WIf@030000o`3IfMT0fMWI00800000103IfMT2000002P0fMWI1@000002\n0=WIf@800000103IfMT2000002H0fMWI1@0000020=WIf@800000103IfMT2000002D0fMWI10000003\n0=WIf@800000103IfMT200000200fMWI000W0=WIf@030000003IfMT0fMWI02/0fMWI00<0003o0=WI\nf@0000000P3IfMT010000000fMWI0=WIf@0000020=WIf@030000003IfMT0fMWI02L0fMWI00D00000\n0=WIf@3IfMT0fMWI000000020=WIf@040000003IfMT0fMWI00000080fMWI00<000000=WIf@3IfMT0\n9@3IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00@000000=WIf@3IfMT000000P3IfMT00`00\n0000fMWI0=WIf@0R0=WIf@030000003IfMT0fMWI00<0fMWI00@000000=WIf@3IfMT000000P3IfMT0\n10000000fMWI0=WIf@00000O0=WIf@009`3IfMT00`000000fMWI0=WIf@0[0=WIf@030000o`3IfMT0\nfMWI0080fMWI00@000000=WIf@3IfMT000000P3IfMT00`000000fMWI0=WIf@0W0=WIf@050000003I\nfMT0fMWI0=WIf@0000000P3IfMT010000000fMWI0=WIf@0000020=WIf@030000003IfMT0fMWI02D0\nfMWI00<000000=WIf@3IfMT0103IfMT010000000fMWI0=WIf@0000020=WIf@030000003IfMT0fMWI\n02<0fMWI00<000000=WIf@3IfMT00P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0\nfMWI000001l0fMWI000W0=WIf@030000003IfMT0fMWI02/0fMWI00<0003o0=WIf@3IfMT00P000003\n0=WIf@040000003IfMT0fMWI000002T0fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@040000\n003IfMT0fMWI00000080fMWI00<000000=WIf@3IfMT09@3IfMT00`000000fMWI0=WIf@020=WIf@80\n00000`3IfMT010000000fMWI0=WIf@00000V0=WIf@050000003IfMT0fMWI0=WIf@0000000P3IfMT0\n10000000fMWI0=WIf@0000020=WIf@030000003IfMT0fMWI01d0fMWI000W0=WIf@800000;03IfMT0\n10000?l0fMWI0=WIf@0000040=WIf@040000003IfMT0fMWI000002T0fMWI00D000000=WIf@3IfMT0\nfMWI000000020=WIf@040000003IfMT0fMWI00000080fMWI00<000000=WIf@3IfMT09@3IfMT00`00\n0000fMWI0=WIf@020=WIf@030000003IfMT0fMWI0080fMWI00@000000=WIf@3IfMT00000903IfMT0\n10000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT0\n00007`3IfMT002L0fMWI00<000000=WIf@3IfMT0:`3IfMT00`000?l0fMWI0=WIf@03000000<0fMWI\n0P00000Y0=WIf@800000103IfMT2000000@0fMWI0P00000W0=WIf@800000103IfMT3000000<0fMWI\n0P00000V0=WIf@800000103IfMT2000000@0fMWI0P00000P0=WIf@009`3IfMT00`000000fMWI0=WI\nf@0[0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WIf@800000;03IfMT00`000?l0fMWI0=WIf@38\n0=WIf@009`3IfMT00`000000fMWI0=WIf@0[0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WIf@03\n0000003IfMT0fMWI02/0fMWI00<0003o0=WIf@3IfMT0b03IfMT002L0fMWI00<000000=WIf@3IfMT0\n:`3IfMT00`000?l0fMWI0=WIf@2i0=WIf@8000003@3IfMT00280fMWI<`0000000`000?l000000000\n002a000000L0fMWI00@000000=WIf@3IfMT00000303IfMT002L0fMWI00<000000=WIf@3IfMT0203I\nfMT00`000000fMWI0=WIf@070=WIf@030000003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT01`3I\nfMT01@000000fMWI0=WIf@3IfMT0003o00H0fMWI00<000000=WIf@3IfMT01`3IfMT00`000000fMWI\n0=WIf@080=WIf@030000003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT0203IfMT00`000000fMWI\n0=WIf@070=WIf@030000003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT01`3IfMT00`000000fMWI\n0=WIf@080=WIf@030000003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT0203IfMT00`000000fMWI\n0=WIf@070=WIf@030000003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT01`3IfMT00`000000fMWI\n0=WIf@080=WIf@030000003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT0203IfMT00`000000fMWI\n0=WIf@090=WIf@030000003IfMT0fMWI00d0fMWI000W0=WIf@030000003IfMT0fMWI02/0fMWI00<0\n003o0=WIf@3IfMT0103IfMT00`000000fMWI0=WIf@0a0=WIf@030000003IfMT0fMWI0380fMWI00<0\n00000=WIf@3IfMT0<@3IfMT00`000000fMWI0=WIf@0C0=WIf@D00000303IfMT002L0fMWI00<00000\n0=WIf@3IfMT0:`3IfMT00`000?l0fMWI0=WIf@2h0=WIf@030000003IfMT0fMWI00d0fMWI000W0=WI\nf@800000;03IfMT00`000?l0fMWI0=WIf@380=WIf@009`3IfMT00`000000fMWI0=WIf@0[0=WIf@03\n0000o`3IfMT0fMWI0<P0fMWI000W0=WIf@030000003IfMT0fMWI02/0fMWI00<0003o0=WIf@3IfMT0\nb03IfMT002L0fMWI00<000000=WIf@3IfMT0:`3IfMT00`000?l0fMWI0=WIf@380=WIf@009`3IfMT2\n000002`0fMWI00<0003o0=WIf@3IfMT0b03IfMT002L0fMWI00<000000=WIf@3IfMT0:`3IfMT00`00\n0?l0fMWI0=WIf@380=WIf@009`3IfMT00`000000fMWI0=WIf@0[0=WIf@030000o`3IfMT0fMWI0<P0\nfMWI000W0=WIf@030000003IfMT0fMWI02/0fMWI00<0003o0=WIf@3IfMT0b03IfMT002L0fMWI0P00\n000/0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WIf@030000003IfMT0fMWI02/0fMWI00<0003o\n0=WIf@3IfMT0b03IfMT002L0fMWI00<000000=WIf@3IfMT0:`3IfMT00`000?l0fMWI0=WIf@380=WI\nf@009`3IfMT00`000000fMWI0=WIf@0[0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WIf@800000\n;03IfMT00`000?l0fMWI0=WIf@380=WIf@009`3IfMT00`000000fMWI0=WIf@0[0=WIf@030000o`3I\nfMT0fMWI0<P0fMWI00080=WIf@D000000P3IfMT2000000@0fMWI0P0000040=WIf@800000103IfMT2\n000000@0fMWI00<000000=WIf@3IfMT0:`3IfMT00`000?l0fMWI0=WIf@380=WIf@002P3IfMT01@00\n0000fMWI0=WIf@3IfMT000000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WI\nf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00D000000=WIf@3IfMT0fMWI0000000]0=WI\nf@030000o`3IfMT0fMWI0<P0fMWI000:0=WIf@050000003IfMT0fMWI0=WIf@0000000P3IfMT01000\n0000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT00000\n0P3IfMT010000000fMWI0=WIf@3IfMT3000002/0fMWI00<0003o0=WIf@3IfMT0b03IfMT000X0fMWI\n00D000000=WIf@3IfMT0fMWI000000020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WI\nf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@050000003IfMT0fMWI0=WIf@000000\n;@3IfMT00`000?l0fMWI0=WIf@380=WIf@002P3IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI\n00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI\n00000080fMWI00D000000=WIf@3IfMT0fMWI0000000]0=WIf@030000o`3IfMT0fMWI0<P0fMWI0009\n0=WIf@800000103IfMT2000000@0fMWI0P0000040=WIf@800000103IfMT2000000@0fMWI0P00000/\n0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WIf@030000003IfMT0fMWI02/0fMWI00<0003o0=WI\nf@3IfMT0b03IfMT002L0fMWI00<000000=WIf@3IfMT0:`3IfMT00`000?l0fMWI0=WIf@380=WIf@00\n9`3IfMT00`000000fMWI0=WIf@0[0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WIf@800000;03I\nfMT00`000?l0fMWI0=WIf@380=WIf@009`3IfMT00`000000fMWI0=WIf@0[0=WIf@030000o`3IfMT0\nfMWI0<P0fMWI000W0=WIf@030000003IfMT0fMWI02/0fMWI00<0003o0=WIf@3IfMT0b03IfMT002L0\nfMWI00<000000=WIf@3IfMT0:`3IfMT00`000?l0fMWI0=WIf@380=WIf@009`3IfMT2000002`0fMWI\n00<0003o0=WIf@3IfMT0b03IfMT002L0fMWI00<000000=WIf@3IfMT0:`3IfMT00`000?l0fMWI0=WI\nf@380=WIf@009`3IfMT00`000000fMWI0=WIf@0[0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WI\nf@030000003IfMT0fMWI02/0fMWI00<0003o0=WIf@3IfMT0b03IfMT002L0fMWI0P00000/0=WIf@03\n0000o`3IfMT0fMWI0<P0fMWI000W0=WIf@030000003IfMT0fMWI02/0fMWI00<0003o0=WIf@3IfMT0\nb03IfMT000P0fMWI1@0000020=WIf@800000103IfMT2000000@0fMWI0P0000040=WIf@800000103I\nfMT00`000000fMWI0=WIf@0[0=WIf@030000o`3IfMT0fMWI0<P0fMWI000:0=WIf@050000003IfMT0\nfMWI0=WIf@0000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080\nfMWI00@000000=WIf@3IfMT000000P3IfMT01@000000fMWI0=WIf@3IfMT0000002d0fMWI00<0003o\n0=WIf@3IfMT0b03IfMT000X0fMWI00<000000=WIf@3IfMT0103IfMT010000000fMWI0=WIf@000002\n0=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI\n0=WIf@3IfMT3000002/0fMWI00<0003o0=WIf@3IfMT0b03IfMT000X0fMWI00<000000=WIf@3IfMT0\n0P3IfMT2000000<0fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WI\nf@040000003IfMT0fMWI000000<0fMWI00<000000=WIf@3IfMT0:`3IfMT00`000?l0fMWI0=WIf@38\n0=WIf@002P3IfMT00`000000fMWI0=WIf@020=WIf@030000003IfMT0fMWI0080fMWI00@000000=WI\nf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI000000<0fMWI\n00<000000=WIf@3IfMT0:`3IfMT00`000?l0fMWI0=WIf@380=WIf@002@3IfMT2000000@0fMWI0`00\n00030=WIf@800000103IfMT2000000@0fMWI0P0000040=WIf@030000003IfMT0fMWI02/0fMWI00<0\n003o0=WIf@3IfMT0b03IfMT002L0fMWI0P00000/0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WI\nf@030000003IfMT0fMWI02/0fMWI00<0003o0=WIf@3IfMT0b03IfMT002L0fMWI00<000000=WIf@3I\nfMT0:`3IfMT00`000?l0fMWI0=WIf@380=WIf@009`3IfMT00`000000fMWI0=WIf@0[0=WIf@030000\no`3IfMT0fMWI0<P0fMWI000W0=WIf@800000;03IfMT00`000?l0fMWI0=WIf@380=WIf@009`3IfMT0\n0`000000fMWI0=WIf@0[0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WIf@030000003IfMT0fMWI\n02/0fMWI00<0003o0=WIf@3IfMT0b03IfMT002L0fMWI00<000000=WIf@3IfMT0:`3IfMT00`000?l0\nfMWI0=WIf@380=WIf@009`3IfMT2000002`0fMWI00<0003o0=WIf@3IfMT0b03IfMT002L0fMWI00<0\n00000=WIf@3IfMT0:`3IfMT00`000?l0fMWI0=WIf@380=WIf@009`3IfMT00`000000fMWI0=WIf@0[\n0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WIf@800000;03IfMT00`000?l0fMWI0=WIf@380=WI\nf@009`3IfMT00`000000fMWI0=WIf@0[0=WIf@030000o`3IfMT0fMWI0<P0fMWI00080=WIf@@00000\n0`3IfMT2000000@0fMWI0P0000040=WIf@800000103IfMT2000000@0fMWI00<000000=WIf@3IfMT0\n:`3IfMT00`000?l0fMWI0=WIf@380=WIf@00203IfMT00`000000fMWI0=WIf@030=WIf@040000003I\nfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WI\nf@040000003IfMT0fMWI000000<0fMWI00<000000=WIf@3IfMT0:`3IfMT00`000?l0fMWI0=WIf@38\n0=WIf@002@3IfMT00`000000fMWI0=WIf@020=WIf@040000003IfMT0fMWI00000080fMWI00@00000\n0=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI000000<0\nfMWI0`00000[0=WIf@030000o`3IfMT0fMWI0<P0fMWI000:0=WIf@050000003IfMT0fMWI0=WIf@00\n00000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00@00000\n0=WIf@3IfMT000000P3IfMT01@000000fMWI0=WIf@3IfMT0000002d0fMWI00<0003o0=WIf@3IfMT0\nb03IfMT000P0fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@04\n0000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@00\n00030=WIf@030000003IfMT0fMWI02/0fMWI00<0003o0=WIf@3IfMT0b03IfMT000T0fMWI0P000004\n0=WIf@800000103IfMT2000000@0fMWI0P0000040=WIf@800000103IfMT00`000000fMWI0=WIf@0[\n0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WIf@800000;03IfMT00`000?l0fMWI0=WIf@380=WI\nf@009`3IfMT00`000000fMWI0=WIf@0[0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WIf@030000\n003IfMT0fMWI02/0fMWI00<0003o0=WIf@3IfMT0b03IfMT002L0fMWI00<000000=WIf@3IfMT0:`3I\nfMT00`000?l0fMWI0=WIf@380=WIf@009`3IfMT2000002`0fMWI00<0003o0=WIf@3IfMT0b03IfMT0\n02L0fMWI00<000000=WIf@3IfMT0:`3IfMT00`000?l0fMWI0=WIf@380=WIf@009`3IfMT00`000000\nfMWI0=WIf@0[0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WIf@030000003IfMT0fMWI02/0fMWI\n00<0003o0=WIf@3IfMT0b03IfMT002L0fMWI0P00000/0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W\n0=WIf@030000003IfMT0fMWI02/0fMWI00<0003o0=WIf@3IfMT0b03IfMT002L0fMWI00<000000=WI\nf@3IfMT0:`3IfMT00`000?l0fMWI0=WIf@380=WIf@009`3IfMT00`000000fMWI0=WIf@0[0=WIf@03\n0000o`3IfMT0fMWI0<P0fMWI000W0=WIf@800000;03IfMT00`000?l0fMWI0=WIf@380=WIf@009`3I\nfMT00`000000fMWI0=WIf@0[0=WIf@030000o`3IfMT0fMWI0<P0fMWI00080=WIf@@000000`3IfMT2\n000000@0fMWI0P0000040=WIf@800000103IfMT2000000@0fMWI00<000000=WIf@3IfMT0:`3IfMT0\n0`000?l0fMWI0=WIf@380=WIf@00203IfMT00`000000fMWI0=WIf@030=WIf@040000003IfMT0fMWI\n00000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000\n003IfMT0fMWI000000<0fMWI00<000000=WIf@3IfMT0:`3IfMT00`000?l0fMWI0=WIf@380=WIf@00\n2@3IfMT00`000000fMWI0=WIf@050=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3I\nfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI0=WIf@<00000:`3I\nfMT00`000?l0fMWI0=WIf@380=WIf@002P3IfMT00`000000fMWI0=WIf@020=WIf@8000000`3IfMT0\n10000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT0\n00000`3IfMT00`000000fMWI0=WIf@0[0=WIf@030000o`3IfMT0fMWI0<P0fMWI00080=WIf@040000\n003IfMT0fMWI000000<0fMWI00<000000=WIf@3IfMT00P3IfMT010000000fMWI0=WIf@0000020=WI\nf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000`3IfMT00`000000fMWI0=WI\nf@0[0=WIf@030000o`3IfMT0fMWI0<P0fMWI00090=WIf@800000103IfMT3000000<0fMWI0P000004\n0=WIf@800000103IfMT2000000@0fMWI0P00000/0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WI\nf@030000003IfMT0fMWI02/0fMWI00<0003o0=WIf@3IfMT0b03IfMT002L0fMWI00<000000=WIf@3I\nfMT0:`3IfMT00`000?l0fMWI0=WIf@380=WIf@009`3IfMT00`000000fMWI0=WIf@0[0=WIf@030000\no`3IfMT0fMWI0<P0fMWI000W0=WIf@800000;03IfMT00`000?l0fMWI0=WIf@380=WIf@009`3IfMT0\n0`000000fMWI0=WIf@0[0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WIf@030000003IfMT0fMWI\n02/0fMWI00<0003o0=WIf@3IfMT0b03IfMT002L0fMWI00<000000=WIf@3IfMT0:`3IfMT00`000?l0\nfMWI0=WIf@380=WIf@009`3IfMT2000002`0fMWI00<0003o0=WIf@3IfMT0b03IfMT002L0fMWI00<0\n00000=WIf@3IfMT0:`3IfMT00`000?l0fMWI0=WIf@380=WIf@009`3IfMT00`000000fMWI0=WIf@0[\n0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WIf@030000003IfMT0fMWI02/0fMWI00<0003o0=WI\nf@3IfMT0b03IfMT002L0fMWI0P00000/0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WIf@030000\n003IfMT0fMWI02/0fMWI00<0003o0=WIf@3IfMT0b03IfMT000T0fMWI0P0000040=WIf@800000103I\nfMT2000000@0fMWI0P0000040=WIf@800000103IfMT00`000000fMWI0=WIf@0[0=WIf@030000o`3I\nfMT0fMWI0<P0fMWI00080=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT00000\n0P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WI\nf@3IfMT000000`3IfMT00`000000fMWI0=WIf@0[0=WIf@030000o`3IfMT0fMWI0<P0fMWI000:0=WI\nf@050000003IfMT0fMWI0=WIf@0000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003I\nfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@3IfMT30000\n02/0fMWI00<0003o0=WIf@3IfMT0b03IfMT000/0fMWI00@000000=WIf@3IfMT000000P3IfMT01000\n0000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT00000\n0P3IfMT01@000000fMWI0=WIf@3IfMT0000002d0fMWI00<0003o0=WIf@3IfMT0b03IfMT000P0fMWI\n00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI\n00000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000030=WIf@030000\n003IfMT0fMWI02/0fMWI00<0003o0=WIf@3IfMT0b03IfMT000T0fMWI0P0000040=WIf@800000103I\nfMT2000000@0fMWI0P0000040=WIf@800000103IfMT00`000000fMWI0=WIf@0[0=WIf@030000o`3I\nfMT0fMWI0<P0fMWI000W0=WIf@800000;03IfMT00`000?l0fMWI0=WIf@380=WIf@009`3IfMT00`00\n0000fMWI0=WIf@0[0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WIf@030000003IfMT0fMWI02/0\nfMWI00<0003o0=WIf@3IfMT0b03IfMT002L0fMWI00<000000=WIf@3IfMT0:`3IfMT00`000?l0fMWI\n0=WIf@380=WIf@009`3IfMT2000002`0fMWI00<0003o0=WIf@3IfMT0b03IfMT002L0fMWI00<00000\n0=WIf@3IfMT0:`3IfMT00`000?l0fMWI0=WIf@380=WIf@009`3IfMT00`000000fMWI0=WIf@0[0=WI\nf@030000o`3IfMT0fMWI0<P0fMWI000W0=WIf@800000;03IfMT00`000?l0fMWI0=WIf@380=WIf@00\n9`3IfMT00`000000fMWI0=WIf@0[0=WIf@030000o`3IfMT0fMWI0<P0fMWI000W0=WIf@030000003I\nfMT0fMWI02/0fMWI00<0003o0=WIf@3IfMT0b03IfMT002L0fMWI00<000000=WIf@3IfMT0:`3IfMT0\n0`000?l0fMWI0=WIf@380=WIf@009`3IfMT2000002`0fMWI00<0003o0=WIf@3IfMT0b03IfMT002L0\nfMWI00<000000=WIf@3IfMT0:`3IfMT00`000?l0fMWI0=WIf@380=WIf@002@3IfMT2000000@0fMWI\n0P0000040=WIf@800000103IfMT2000000@0fMWI0P0000040=WIf@030000003IfMT0fMWI02/0fMWI\n00<0003o0=WIf@3IfMT0b03IfMT000P0fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI\n0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT0\n10000000fMWI0=WIf@0000030=WIf@030000003IfMT0fMWI02/0fMWI00<0003o0=WIf@3IfMT0b03I\nfMT000X0fMWI00<000000=WIf@3IfMT0103IfMT010000000fMWI0=WIf@0000020=WIf@040000003I\nfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@3IfMT30000\n02/0fMWI00<0003o0=WIf@3IfMT0b03IfMT000/0fMWI00@000000=WIf@3IfMT0fMWI0P0000030=WI\nf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WI\nf@0000030=WIf@030000003IfMT0fMWI02/0fMWI00<0003o0=WIf@3IfMT0b03IfMT000P0fMWI00@0\n00000=WIf@3IfMT000000`3IfMT00`000000fMWI0=WIf@020=WIf@040000003IfMT0fMWI00000080\nfMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000030=WIf@030000003IfMT0\nfMWI02/0fMWI00<0003o0=WIf@3IfMT0b03IfMT000T0fMWI0P0000040=WIf@<000000`3IfMT20000\n00@0fMWI0P0000040=WIf@800000103IfMT00`000000fMWI0=WIf@0[0=WIf@030000o`3IfMT0fMWI\n0<P0fMWI000W0=WIf@800000;03IfMT00`000?l0fMWI0=WIf@380=WIf@009`3IfMT_0000olX0fMWI\n000W0=WIf@030000003IfMT0fMWI0?H0fMWI000W0=WIf@030000003IfMT0fMWI0?H0fMWI000W0=WI\nf@800000m`3IfMT002L0fMWI00<000000=WIf@3IfMT0mP3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3I\nfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3I\nfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3I\nfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3I\nfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3I\nfMT002D0fMWI00<000000=WIf@3IfMT01@3IfMT3000004H0fMWI00<000000=WIf@3IfMT01@3IfMT2\n000000P0fMWI0P00002F0=WIf@00903IfMT00`000000fMWI0=WIf@070=WIf@030000003IfMT0fMWI\n04H0fMWI00<000000=WIf@3IfMT0103IfMT00`000000fMWI0=WIf@080=WIf@030000003IfMT0fMWI\n09@0fMWI000S0=WIf@030000003IfMT0fMWI0080fMWI1@000000103IfMT000000000000000040=WI\nf@8000000`3IfMT3000000<0fMWI0`0000040=WIf@800000103IfMT2000000@0fMWI0P0000020=WI\nf@<0000000@0fMWI000000000000fMWI100000030=WIf@@0000000@0fMWI0000000000000000103I\nfMT2000000D0fMWI00<000000=WIf@3IfMT00`3IfMT00`000000fMWI0=WIf@020=WIf@800000103I\nfMT00`000000fMWI0=WIf@2D0=WIf@008`3IfMT00`000000fMWI0=WIf@020=WIf@@000000P3IfMT0\n10000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI000000<0fMWI00<000000=WIf@3IfMT0\n0`3IfMT00`000000fMWI0=WIf@020=WIf@040000003IfMT0fMWI000000P0fMWI00@000000=WIf@3I\nfMT000000P3IfMT010000000fMWI0=WIf@0000030=WIf@030000003IfMT0fMWI0080fMWI00@00000\n0=WIf@3IfMT000001@3IfMT010000000fMWI0=WIf@0000020=WIf@030000003IfMT0fMWI0080fMWI\n00<000000=WIf@3IfMT00`3IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00D000000=WIf@3I\nfMT0fMWI0000002F0=WIf@005P3IfMT80000o`D0fMWI00<000000=WIf@3IfMT01@3IfMT010000000\nfMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00D000000=WIf@3IfMT0fMWI0000\n00050=WIf@030000003IfMT0fMWI0080fMWI00@000000=WIf@3IfMT00000203IfMT00`000000fMWI\n0=WIf@030=WIf@040000003IfMT0fMWI000000<0fMWI00<000000=WIf@3IfMT00P3IfMT010000000\nfMWI0=WIf@0000020=WIf@<000000`3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI\n00<0fMWI00D000000=WIf@3IfMT0fMWI000000060=WIf@030000003IfMT0fMWI09@0fMWI000S0=WI\nf@030000003IfMT0fMWI00<0fMWI0`0000000`3IfMT0000000000002000000@0fMWI0P0000040=WI\nf@030000003IfMT0fMWI00<0fMWI00<000000=WIf@3IfMT00`3IfMT2000000P0fMWI1@0000020=WI\nf@<000000`3IfMT4000000040=WIf@00000000000=WIf@8000000P3IfMT4000000030=WIf@000000\n000000<00000103IfMT00`000000fMWI0=WIf@030=WIf@030000003IfMT0fMWI00D000000`3IfMT0\n0`000000fMWI0=WIf@2D0=WIf@00903IfMT00`000000fMWI0=WIf@0D0=WIf@030000003IfMT0fMWI\n00<0fMWI00<000000=WIf@3IfMT03P3IfMT00`000000fMWI0=WIf@030=WIf@030000003IfMT0fMWI\n01D0fMWI00<000000=WIf@3IfMT0103IfMT00`000000fMWI0=WIf@040=WIf@050000003IfMT0fMWI\n0=WIf@0000001P3IfMT00`000000fMWI0=WIf@2D0=WIf@009@3IfMT00`000000fMWI0=WIf@0B0=WI\nf@800000103IfMT2000001D0fMWI0P00000M0=WIf@030000003IfMT0fMWI00D0fMWI0P0000080=WI\nf@800000UP3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT0\n0?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT0\n0?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT0\n0?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT0\n0?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00001"]], Rule[ImageRangeCache, List[Rule[List[List[0, 287], List[213.25`, 0]], List[-1.05141`, -0.655244`, 0.00732689`, 0.00732689`]], Rule[List[List[7, 279.938`], List[208.125`, 39.4375`]], List[-37.9664`, -4350.79`, 0.952173`, 259.081`]], Rule[List[List[20.625`, 157.125`], List[46, 5.0625`]], List[-2.57534`, -5.65634`, 0.119891`, 0.0332217`]], Rule[List[List[22.125`, 30.4375`], List[40.5625`, 10.4375`]], List[-6.32337`, -45.1734`, 0.240604`, 0.240604`]]]]], Cell[TextData[List["\t\t\t\t\t\t", StyleBox["Diagram 2:", Rule[FontWeight, "Bold"]], " Thrust from the rocket motor, with an initial high thrust f1 followed by a lower thrust f2.\n"]], "Text"], Cell["plot( apollo.mass );", "ModelicaInput"], Cell[GraphicsData["PostScript", "%!\n%%Creator: Mathematica\n%%AspectRatio: .74402 \nMathPictureStart\n/Mabs {\nMgmatrix idtransform\nMtmatrix dtransform\n} bind def\n/Mabsadd { Mabs\n3 -1 roll add\n3 1 roll add\nexch } bind def\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.5 0.47619 0.312017 0.47619 [\n[ 0 0 0 0 ]\n[ 1 .74402 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n% Start of sub-graphic\np\n0.0238095 0.0177147 0.97619 0.606318 MathSubStart\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.0238095 0.00414079 -0.630362 0.00118811 [\n[.23085 .07 -6 -9 ]\n[.23085 .07 6 0 ]\n[.43789 .07 -9 -9 ]\n[.43789 .07 9 0 ]\n[.64493 .07 -9 -9 ]\n[.64493 .07 9 0 ]\n[.85197 .07 -9 -9 ]\n[.85197 .07 9 0 ]\n[1.025 .0825 0 -6.28125 ]\n[1.025 .0825 10 6.28125 ]\n[.01131 .20131 -18 -4.5 ]\n[.01131 .20131 0 4.5 ]\n[.01131 .32012 -18 -4.5 ]\n[.01131 .32012 0 4.5 ]\n[.01131 .43893 -18 -4.5 ]\n[.01131 .43893 0 4.5 ]\n[.01131 .55775 -24 -4.5 ]\n[.01131 .55775 0 4.5 ]\n[ 0 0 0 0 ]\n[ 1 .61803 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n0 g\n.25 Mabswid\n[ ] 0 setdash\n.23085 .0825 m\n.23085 .08875 L\ns\n[(50)] .23085 .07 0 1 Mshowa\n.43789 .0825 m\n.43789 .08875 L\ns\n[(100)] .43789 .07 0 1 Mshowa\n.64493 .0825 m\n.64493 .08875 L\ns\n[(150)] .64493 .07 0 1 Mshowa\n.85197 .0825 m\n.85197 .08875 L\ns\n[(200)] .85197 .07 0 1 Mshowa\n.125 Mabswid\n.06522 .0825 m\n.06522 .08625 L\ns\n.10663 .0825 m\n.10663 .08625 L\ns\n.14803 .0825 m\n.14803 .08625 L\ns\n.18944 .0825 m\n.18944 .08625 L\ns\n.27226 .0825 m\n.27226 .08625 L\ns\n.31366 .0825 m\n.31366 .08625 L\ns\n.35507 .0825 m\n.35507 .08625 L\ns\n.39648 .0825 m\n.39648 .08625 L\ns\n.4793 .0825 m\n.4793 .08625 L\ns\n.5207 .0825 m\n.5207 .08625 L\ns\n.56211 .0825 m\n.56211 .08625 L\ns\n.60352 .0825 m\n.60352 .08625 L\ns\n.68634 .0825 m\n.68634 .08625 L\ns\n.72774 .0825 m\n.72774 .08625 L\ns\n.76915 .0825 m\n.76915 .08625 L\ns\n.81056 .0825 m\n.81056 .08625 L\ns\n.89337 .0825 m\n.89337 .08625 L\ns\n.93478 .0825 m\n.93478 .08625 L\ns\n.97619 .0825 m\n.97619 .08625 L\ns\n.25 Mabswid\n0 .0825 m\n1 .0825 L\ns\ngsave\n1.025 .0825 -61 -10.2813 Mabsadd m\n1 1 Mabs scale\ncurrentpoint translate\n0 20.5625 translate 1 -1 scale\n/g { setgray} bind def\n/k { setcmykcolor} bind def\n/p { gsave} bind def\n/r { setrgbcolor} bind def\n/w { setlinewidth} bind def\n/C { curveto} bind def\n/F { fill} bind def\n/L { lineto} bind def\n/rL { rlineto} bind def\n/P { grestore} bind def\n/s { stroke} bind def\n/S { show} bind def\n/N {currentpoint 3 -1 roll show moveto} bind def\n/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def\n/m { moveto} bind def\n/Mr { rmoveto} bind def\n/Mx {currentpoint exch pop moveto} bind def\n/My {currentpoint pop exch moveto} bind def\n/X {0 rmoveto} bind def\n/Y {0 exch rmoveto} bind def\n63.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n0.000 0.000 rmoveto\n63.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(t) show\n69.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n0.000 0.000 rmoveto\n1.000 setlinewidth\ngrestore\n.02381 .20131 m\n.03006 .20131 L\ns\n[(700)] .01131 .20131 1 0 Mshowa\n.02381 .32012 m\n.03006 .32012 L\ns\n[(800)] .01131 .32012 1 0 Mshowa\n.02381 .43893 m\n.03006 .43893 L\ns\n[(900)] .01131 .43893 1 0 Mshowa\n.02381 .55775 m\n.03006 .55775 L\ns\n[(1000)] .01131 .55775 1 0 Mshowa\n.125 Mabswid\n.02381 .10626 m\n.02756 .10626 L\ns\n.02381 .13003 m\n.02756 .13003 L\ns\n.02381 .15379 m\n.02756 .15379 L\ns\n.02381 .17755 m\n.02756 .17755 L\ns\n.02381 .22508 m\n.02756 .22508 L\ns\n.02381 .24884 m\n.02756 .24884 L\ns\n.02381 .2726 m\n.02756 .2726 L\ns\n.02381 .29636 m\n.02756 .29636 L\ns\n.02381 .34389 m\n.02756 .34389 L\ns\n.02381 .36765 m\n.02756 .36765 L\ns\n.02381 .39141 m\n.02756 .39141 L\ns\n.02381 .41517 m\n.02756 .41517 L\ns\n.02381 .4627 m\n.02756 .4627 L\ns\n.02381 .48646 m\n.02756 .48646 L\ns\n.02381 .51022 m\n.02756 .51022 L\ns\n.02381 .53398 m\n.02756 .53398 L\ns\n.02381 .05874 m\n.02756 .05874 L\ns\n.02381 .03498 m\n.02756 .03498 L\ns\n.02381 .01122 m\n.02756 .01122 L\ns\n.02381 .58151 m\n.02756 .58151 L\ns\n.02381 .60527 m\n.02756 .60527 L\ns\n.25 Mabswid\n.02381 0 m\n.02381 .61803 L\ns\n0 0 1 r\n.001 w\n.02381 .60332 m\n.02571 .59782 L\n.02762 .59231 L\n.02952 .58681 L\n.03143 .58131 L\n.03333 .5758 L\n.03524 .5703 L\n.03714 .5648 L\n.03905 .5593 L\n.04095 .55379 L\n.04286 .54829 L\n.04476 .54279 L\n.04667 .53728 L\n.04857 .53178 L\n.05048 .52628 L\n.05238 .52077 L\n.05429 .51527 L\n.05619 .50977 L\n.0581 .50427 L\n.06 .49876 L\n.0619 .49326 L\n.06381 .48776 L\n.06571 .48225 L\n.06762 .47675 L\n.06952 .47125 L\n.07143 .46574 L\n.07333 .46024 L\n.07524 .45474 L\n.07714 .44924 L\n.07905 .44373 L\n.08095 .43823 L\n.08286 .43273 L\n.08476 .42722 L\n.08667 .42172 L\n.08857 .41622 L\n.09048 .41071 L\n.09238 .40521 L\n.09429 .39971 L\n.09619 .39421 L\n.0981 .3887 L\n.1 .3832 L\n.1019 .3777 L\n.10381 .37219 L\n.10571 .36669 L\n.10762 .36119 L\n.10952 .35568 L\n.11143 .35018 L\n.11333 .34468 L\n.11524 .33918 L\n.11714 .33367 L\nMistroke\n.11905 .32817 L\n.12095 .32267 L\n.12286 .31716 L\n.12476 .31166 L\n.12667 .30616 L\n.12857 .30066 L\n.13048 .29515 L\n.13238 .28965 L\n.13429 .28415 L\n.13619 .27864 L\n.1381 .27314 L\n.14 .26764 L\n.1419 .26213 L\n.14381 .25663 L\n.14571 .25113 L\n.14762 .24563 L\n.14952 .24012 L\n.15143 .23462 L\n.15333 .22912 L\n.15524 .22361 L\n.15714 .21811 L\n.15905 .21261 L\n.16095 .2071 L\n.16286 .2016 L\n.16476 .1961 L\n.16667 .1906 L\n.16857 .18509 L\n.17048 .17959 L\n.17238 .17409 L\n.17429 .16858 L\n.17619 .16308 L\n.1781 .15758 L\n.18 .15207 L\n.1819 .14657 L\n.18381 .14107 L\n.18571 .13557 L\n.18762 .13006 L\n.18952 .12456 L\n.19143 .11906 L\n.19333 .11355 L\n.19524 .10805 L\n.19714 .10255 L\n.19905 .09704 L\n.20095 .09154 L\n.20269 .08652 L\n.20269 .08652 L\n.20286 .0865 L\n.20476 .0863 L\n.20667 .0861 L\n.20857 .08591 L\nMistroke\n.21048 .08571 L\n.21238 .08551 L\n.21429 .08531 L\n.21619 .08511 L\n.2181 .08492 L\n.22 .08472 L\n.2219 .08452 L\n.22381 .08432 L\n.22571 .08412 L\n.22762 .08393 L\n.22952 .08373 L\n.23143 .08353 L\n.23333 .08333 L\n.23524 .08313 L\n.23714 .08294 L\n.23905 .08274 L\n.24095 .08254 L\n.24286 .08234 L\n.24476 .08214 L\n.24667 .08195 L\n.24857 .08175 L\n.25048 .08155 L\n.25238 .08135 L\n.25429 .08115 L\n.25619 .08096 L\n.2581 .08076 L\n.26 .08056 L\n.2619 .08036 L\n.26381 .08016 L\n.26571 .07997 L\n.26762 .07977 L\n.26952 .07957 L\n.27143 .07937 L\n.27333 .07917 L\n.27524 .07898 L\n.27714 .07878 L\n.27905 .07858 L\n.28095 .07838 L\n.28286 .07818 L\n.28476 .07799 L\n.28667 .07779 L\n.28857 .07759 L\n.29048 .07739 L\n.29238 .07719 L\n.29429 .077 L\n.29619 .0768 L\n.2981 .0766 L\n.3 .0764 L\n.3019 .0762 L\n.30381 .07601 L\nMistroke\n.30571 .07581 L\n.30762 .07561 L\n.30952 .07541 L\n.31143 .07521 L\n.31333 .07502 L\n.31524 .07482 L\n.31714 .07462 L\n.31905 .07442 L\n.32095 .07422 L\n.32286 .07403 L\n.32476 .07383 L\n.32667 .07363 L\n.32857 .07343 L\n.33048 .07323 L\n.33238 .07304 L\n.33429 .07284 L\n.33619 .07264 L\n.3381 .07244 L\n.34 .07224 L\n.3419 .07205 L\n.34381 .07185 L\n.34571 .07165 L\n.34762 .07145 L\n.34952 .07125 L\n.35143 .07106 L\n.35333 .07086 L\n.35524 .07066 L\n.35714 .07046 L\n.35905 .07026 L\n.36095 .07006 L\n.36286 .06987 L\n.36476 .06967 L\n.36667 .06947 L\n.36857 .06927 L\n.37048 .06907 L\n.37238 .06888 L\n.37429 .06868 L\n.37619 .06848 L\n.3781 .06828 L\n.38 .06808 L\n.3819 .06789 L\n.38381 .06769 L\n.38571 .06749 L\n.38762 .06729 L\n.38952 .06709 L\n.39143 .0669 L\n.39333 .0667 L\n.39524 .0665 L\n.39714 .0663 L\n.39905 .0661 L\nMistroke\n.40095 .06591 L\n.40286 .06571 L\n.40476 .06551 L\n.40667 .06531 L\n.40857 .06511 L\n.41048 .06492 L\n.41238 .06472 L\n.41429 .06452 L\n.41619 .06432 L\n.4181 .06412 L\n.42 .06393 L\n.4219 .06373 L\n.42381 .06353 L\n.42571 .06333 L\n.42762 .06313 L\n.42952 .06294 L\n.43143 .06274 L\n.43333 .06254 L\n.43524 .06234 L\n.43714 .06214 L\n.43905 .06195 L\n.44095 .06175 L\n.44286 .06155 L\n.44476 .06135 L\n.44667 .06115 L\n.44857 .06096 L\n.45048 .06076 L\n.45238 .06056 L\n.45429 .06036 L\n.45619 .06016 L\n.4581 .05997 L\n.46 .05977 L\n.4619 .05957 L\n.46381 .05937 L\n.46571 .05917 L\n.46762 .05898 L\n.46952 .05878 L\n.47143 .05858 L\n.47333 .05838 L\n.47524 .05818 L\n.47714 .05799 L\n.47905 .05779 L\n.48095 .05759 L\n.48286 .05739 L\n.48476 .05719 L\n.48667 .057 L\n.48857 .0568 L\n.49048 .0566 L\n.49238 .0564 L\n.49429 .0562 L\nMistroke\n.49619 .05601 L\n.4981 .05581 L\n.5 .05561 L\n.5019 .05541 L\n.50381 .05521 L\n.50571 .05502 L\n.50762 .05482 L\n.50952 .05462 L\n.51143 .05442 L\n.51333 .05422 L\n.51524 .05403 L\n.51714 .05383 L\n.51905 .05363 L\n.52095 .05343 L\n.52286 .05323 L\n.52476 .05304 L\n.52667 .05284 L\n.52857 .05264 L\n.53048 .05244 L\n.53238 .05224 L\n.53429 .05205 L\n.53619 .05185 L\n.5381 .05165 L\n.54 .05145 L\n.5419 .05125 L\n.54381 .05106 L\n.54571 .05086 L\n.54762 .05066 L\n.54952 .05046 L\n.55143 .05026 L\n.55333 .05007 L\n.55524 .04987 L\n.55714 .04967 L\n.55905 .04947 L\n.56095 .04927 L\n.56286 .04908 L\n.56476 .04888 L\n.56667 .04868 L\n.56857 .04848 L\n.57048 .04828 L\n.57238 .04809 L\n.57429 .04789 L\n.57619 .04769 L\n.5781 .04749 L\n.58 .04729 L\n.5819 .0471 L\n.58381 .0469 L\n.58571 .0467 L\n.58762 .0465 L\n.58952 .0463 L\nMistroke\n.59143 .0461 L\n.59333 .04591 L\n.59524 .04571 L\n.59714 .04551 L\n.59905 .04531 L\n.60095 .04511 L\n.60286 .04492 L\n.60476 .04472 L\n.60667 .04452 L\n.60857 .04432 L\n.61048 .04412 L\n.61238 .04393 L\n.61429 .04373 L\n.61619 .04353 L\n.6181 .04333 L\n.62 .04313 L\n.6219 .04294 L\n.62381 .04274 L\n.62571 .04254 L\n.62762 .04234 L\n.62952 .04214 L\n.63143 .04195 L\n.63333 .04175 L\n.63524 .04155 L\n.63714 .04135 L\n.63905 .04115 L\n.64095 .04096 L\n.64286 .04076 L\n.64476 .04056 L\n.64667 .04036 L\n.64857 .04016 L\n.65048 .03997 L\n.65238 .03977 L\n.65429 .03957 L\n.65619 .03937 L\n.6581 .03917 L\n.66 .03898 L\n.6619 .03878 L\n.66381 .03858 L\n.66571 .03838 L\n.66762 .03818 L\n.66952 .03799 L\n.67143 .03779 L\n.67333 .03759 L\n.67524 .03739 L\n.67714 .03719 L\n.67905 .037 L\n.68095 .0368 L\n.68286 .0366 L\n.68476 .0364 L\nMistroke\n.68667 .0362 L\n.68857 .03601 L\n.69048 .03581 L\n.69238 .03561 L\n.69429 .03541 L\n.69619 .03521 L\n.6981 .03502 L\n.7 .03482 L\n.7019 .03462 L\n.70381 .03442 L\n.70571 .03422 L\n.70762 .03403 L\n.70952 .03383 L\n.71143 .03363 L\n.71333 .03343 L\n.71524 .03323 L\n.71714 .03304 L\n.71905 .03284 L\n.72095 .03264 L\n.72286 .03244 L\n.72476 .03224 L\n.72667 .03205 L\n.72857 .03185 L\n.73048 .03165 L\n.73238 .03145 L\n.73429 .03125 L\n.73619 .03106 L\n.7381 .03086 L\n.74 .03066 L\n.7419 .03046 L\n.74381 .03026 L\n.74571 .03007 L\n.74762 .02987 L\n.74952 .02967 L\n.75143 .02947 L\n.75333 .02927 L\n.75524 .02908 L\n.75714 .02888 L\n.75905 .02868 L\n.76095 .02848 L\n.76286 .02828 L\n.76476 .02809 L\n.76667 .02789 L\n.76857 .02769 L\n.77048 .02749 L\n.77238 .02729 L\n.77429 .0271 L\n.77619 .0269 L\n.7781 .0267 L\n.78 .0265 L\nMistroke\n.7819 .0263 L\n.78381 .02611 L\n.78571 .02591 L\n.78762 .02571 L\n.78952 .02551 L\n.79143 .02531 L\n.79333 .02512 L\n.79524 .02492 L\n.79714 .02472 L\n.79905 .02452 L\n.80095 .02432 L\n.80286 .02413 L\n.80476 .02393 L\n.80667 .02373 L\n.80857 .02353 L\n.81048 .02333 L\n.81238 .02314 L\n.81429 .02294 L\n.81619 .02274 L\n.8181 .02254 L\n.82 .02234 L\n.8219 .02214 L\n.82381 .02195 L\n.82571 .02175 L\n.82762 .02155 L\n.82952 .02135 L\n.83143 .02115 L\n.83333 .02096 L\n.83524 .02076 L\n.83714 .02056 L\n.83905 .02036 L\n.84095 .02016 L\n.84286 .01997 L\n.84476 .01977 L\n.84667 .01957 L\n.84857 .01937 L\n.85048 .01917 L\n.85238 .01898 L\n.85429 .01878 L\n.85619 .01858 L\n.8581 .01838 L\n.86 .01818 L\n.8619 .01799 L\n.86381 .01779 L\n.86571 .01759 L\n.86762 .01739 L\n.86952 .01719 L\n.87143 .017 L\n.87333 .0168 L\n.87524 .0166 L\nMistroke\n.87714 .0164 L\n.87905 .0162 L\n.88095 .01601 L\n.88286 .01581 L\n.88476 .01561 L\n.88667 .01541 L\n.88857 .01521 L\n.89048 .01502 L\n.89238 .01482 L\n.89337 .01472 L\n.89337 .01472 L\n.89429 .01472 L\n.89619 .01472 L\n.8981 .01472 L\n.9 .01472 L\n.9019 .01472 L\n.90381 .01472 L\n.90571 .01472 L\n.90762 .01472 L\n.90952 .01472 L\n.91143 .01472 L\n.91333 .01472 L\n.91524 .01472 L\n.91714 .01472 L\n.91905 .01472 L\n.92095 .01472 L\n.92286 .01472 L\n.92476 .01472 L\n.92667 .01472 L\n.92857 .01472 L\n.93048 .01472 L\n.93238 .01472 L\n.93429 .01472 L\n.93619 .01472 L\n.9381 .01472 L\n.94 .01472 L\n.9419 .01472 L\n.94381 .01472 L\n.94571 .01472 L\n.94762 .01472 L\n.94952 .01472 L\n.95143 .01472 L\n.95333 .01472 L\n.95524 .01472 L\n.95714 .01472 L\n.95905 .01472 L\n.96095 .01472 L\n.96286 .01472 L\n.96476 .01472 L\n.96667 .01472 L\nMistroke\n.96857 .01472 L\n.97048 .01472 L\n.97238 .01472 L\n.97429 .01472 L\n.97619 .01472 L\nMfstroke\n0 0 m\n1 0 L\n1 .61803 L\n0 .61803 L\nclosepath\nclip\nnewpath\nMathSubEnd\nP\n% End of sub-graphic\n% Start of sub-graphic\np\n0.0714286 0.583445 0.547619 0.726302 MathSubStart\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.00611247 0.0611247 0.0220588 0.220588 [\n[ 0 0 0 0 ]\n[ 1 .3 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n0 0 m\n1 0 L\n1 .3 L\n0 .3 L\nclosepath\nclip\nnewpath\n% Start of sub-graphic\np\n0.0110024 0.0397059 0.0721271 0.260294 MathSubStart\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.5 0.5 0.5 0.5 [\n[ 0 0 0 0 ]\n[ 1 1 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n0 0 m\n1 0 L\n1 1 L\n0 1 L\nclosepath\nclip\nnewpath\n0 0 1 r\n.00187 w\n[ ] 0 setdash\n0 .5 m\n1 .5 L\ns\nMathSubEnd\nP\n% End of sub-graphic\n0 g\ngsave\n.08007 .15 -61 -10.2813 Mabsadd m\n1 1 Mabs scale\ncurrentpoint translate\n0 20.5625 translate 1 -1 scale\n/g { setgray} bind def\n/k { setcmykcolor} bind def\n/p { gsave} bind def\n/r { setrgbcolor} bind def\n/w { setlinewidth} bind def\n/C { curveto} bind def\n/F { fill} bind def\n/L { lineto} bind def\n/rL { rlineto} bind def\n/P { grestore} bind def\n/s { stroke} bind def\n/S { show} bind def\n/N {currentpoint 3 -1 roll show moveto} bind def\n/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def\n/m { moveto} bind def\n/Mr { rmoveto} bind def\n/Mx {currentpoint exch pop moveto} bind def\n/My {currentpoint pop exch moveto} bind def\n/X {0 rmoveto} bind def\n/Y {0 exch rmoveto} bind def\n%%IncludeResource: font Mathematica2Mono\n%%IncludeFont: Mathematica2Mono\n/Mathematica2Mono findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n63.000 12.813 moveto\n(H) show\n69.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(apollo) show\n105.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(.) show\n111.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(mass) show\n%%IncludeResource: font Mathematica2Mono\n%%IncludeFont: Mathematica2Mono\n/Mathematica2Mono findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n135.000 12.813 moveto\n(L) show\n141.000 12.813 moveto\n(@) show\n147.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(t) show\n%%IncludeResource: font Mathematica2Mono\n%%IncludeFont: Mathematica2Mono\n/Mathematica2Mono findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n153.000 12.813 moveto\n(D) show\n1.000 setlinewidth\ngrestore\nMathSubEnd\nP\n% End of sub-graphic\n0 0 m\n1 0 L\n1 .74402 L\n0 .74402 L\nclosepath\nclip\nnewpath\n% End of Graphics\nMathPictureEnd\n"], "Graphics", Rule[ImageSize, List[288, 214.25`]], Rule[ImageMargins, List[List[35, 0], List[0, 0]]], Rule[ImageRegion, List[List[0, 1], List[0, 1]]], Rule[ImageCache, GraphicsData["Bitmap", "CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000eR000`400?l00000o`00003oo`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@008@3IfMT00`000000fMWI0=WIf@3l0=WIf@008@3IfMT00`000000fMWI\n0=WIf@3l0=WIf@008@3IfMT00`000000fMWI0=WIf@3l0=WIf@008@3IfMT200000<X0fMWI5P000?lM\n0=WIf@008@3IfMT00`000000fMWI0=WIf@2o0=WIf@/0003o<P3IfMT00240fMWI00<000000=WIf@3I\nfMT0]P3IfMT:0000oc`0fMWI000Q0=WIf@030000003IfMT0fMWI0:d0fMWI2P000?m50=WIf@008@3I\nfMT00`000000fMWI0=WIf@2S0=WIf@X0003oC`3IfMT00240fMWI0P00000[0=WIf@800000103IfMT2\n000002D0fMWI1@0000020=WIf@800000103IfMT200000280fMWI1@0000020=WIf@800000103IfMT2\n00000080fMWI2P000?lF0=WIf@@000000`3IfMT2000000@0fMWI0P00000d0=WIf@008@3IfMT00`00\n0000fMWI0=WIf@0Y0=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000009P3I\nfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00@000000=WIf@3IfMT000000P3IfMT00`000000\nfMWI0=WIf@0Q0=WIf@050000003IfMT0fMWI0=WIf@0000002`000?lO0=WIf@030000003IfMT0fMWI\n00<0fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@00000c0=WIf@008@3IfMT0\n0`000000fMWI0=WIf@0/0=WIf@040000003IfMT0fMWI00000080fMWI00<000000=WIf@3IfMT0903I\nfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00@000000=WIf@3IfMT000000P3IfMT00`000000\nfMWI0=WIf@0M0=WIf@X0003o00D0fMWI0000003IfMT0fMWI000000020=WIf@030000003IfMT0fMWI\n0200fMWI00<000000=WIf@3IfMT00P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0\nfMWI000003<0fMWI000Q0=WIf@030000003IfMT0fMWI02X0fMWI0P0000030=WIf@040000003IfMT0\nfMWI000002H0fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@040000003IfMT0fMWI00000080\nfMWI00<000000=WIf@3IfMT04`3IfMT:0000o`@0fMWI00<000000=WIf@3IfMT00P3IfMT2000000<0\nfMWI00@000000=WIf@3IfMT000008`3IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00@00000\n0=WIf@3IfMT000000P3IfMT00`000000fMWI0=WIf@0a0=WIf@008@3IfMT00`000000fMWI0=WIf@0Z\n0=WIf@030000003IfMT0fMWI0080fMWI00@000000=WIf@3IfMT000009P3IfMT01@000000fMWI0=WI\nf@3IfMT000000080fMWI00@000000=WIf@3IfMT000000P3IfMT00`000000fMWI0=WIf@0:0=WIf@X0\n003o3@3IfMT00`000000fMWI0=WIf@020=WIf@030000003IfMT0fMWI0080fMWI00@000000=WIf@3I\nfMT000008@3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00@0\n00000=WIf@3IfMT00000<`3IfMT00240fMWI00<000000=WIf@3IfMT0:P3IfMT3000000<0fMWI0P00\n000V0=WIf@800000103IfMT2000000@0fMWI0P0000030=WIf@X0003o5P3IfMT2000000@0fMWI0`00\n00030=WIf@8000008`3IfMT2000000@0fMWI0P0000040=WIf@800000=03IfMT00240fMWI0P00001P\n0=WIf@/0003oTP3IfMT00240fMWI00<000000=WIf@3IfMT0EP3IfMT:0000oi`0fMWI000Q0=WIf@03\n0000003IfMT0fMWI04`0fMWI2P000?nV0=WIf@008@3IfMT00`000000fMWI0=WIf@130=WIf@X0003o\n[`3IfMT00240fMWI00<000000=WIf@3IfMT0>@3IfMT:0000ojX0fMWI0P00000=0=WIf@00703IfMTg\n000000X0003o[00000070=WIf@040000003IfMT0fMWI000000`0fMWI000Q0=WIf@030000003IfMT0\nfMWI00L0fMWI00<000000=WIf@3IfMT01`3IfMT00`000000fMWI0=WIf@070=WIf@030000003IfMT0\nfMWI00H0fMWI00@000000=WIf@3IfMT0fMWI20000?l80=WIf@030000003IfMT0fMWI00L0fMWI00<0\n00000=WIf@3IfMT01`3IfMT00`000000fMWI0=WIf@060=WIf@030000003IfMT0fMWI00L0fMWI00<0\n00000=WIf@3IfMT01`3IfMT00`000000fMWI0=WIf@070=WIf@030000003IfMT0fMWI00H0fMWI00<0\n00000=WIf@3IfMT01`3IfMT00`000000fMWI0=WIf@070=WIf@030000003IfMT0fMWI00L0fMWI00<0\n00000=WIf@3IfMT01P3IfMT00`000000fMWI0=WIf@070=WIf@030000003IfMT0fMWI00L0fMWI00<0\n00000=WIf@3IfMT01`3IfMT00`000000fMWI0=WIf@060=WIf@030000003IfMT0fMWI00L0fMWI00<0\n00000=WIf@3IfMT01`3IfMT00`000000fMWI0=WIf@0;0=WIf@030000003IfMT0fMWI00d0fMWI000Q\n0=WIf@030000003IfMT0fMWI02L0fMWI00<0003o0=WIf@3IfMT0103IfMT00`000000fMWI0=WIf@0^\n0=WIf@030000003IfMT0fMWI02h0fMWI00<000000=WIf@3IfMT0;P3IfMT00`000000fMWI0=WIf@0W\n0=WIf@D00000303IfMT00240fMWI00<000000=WIf@3IfMT09`3IfMT00`000?l0fMWI0=WIf@320=WI\nf@030000003IfMT0fMWI00d0fMWI000Q0=WIf@030000003IfMT0fMWI02L0fMWI00<0003o0=WIf@3I\nfMT0dP3IfMT00240fMWI00<000000=WIf@3IfMT09P3IfMT00`000?l0fMWI0=WIf@3C0=WIf@008@3I\nfMT2000002L0fMWI00<0003o0=WIf@3IfMT0d`3IfMT00240fMWI00<000000=WIf@3IfMT09@3IfMT0\n0`000?l0fMWI0=WIf@3D0=WIf@008@3IfMT00`000000fMWI0=WIf@0U0=WIf@030000o`3IfMT0fMWI\n0=@0fMWI000Q0=WIf@030000003IfMT0fMWI02D0fMWI00<0003o0=WIf@3IfMT0e03IfMT00240fMWI\n00<000000=WIf@3IfMT09@3IfMT00`000?l0fMWI0=WIf@3D0=WIf@008@3IfMT00`000000fMWI0=WI\nf@0T0=WIf@030000o`3IfMT0fMWI0=D0fMWI000Q0=WIf@8000009@3IfMT00`000?l0fMWI0=WIf@3E\n0=WIf@008@3IfMT00`000000fMWI0=WIf@0T0=WIf@030000o`3IfMT0fMWI0=D0fMWI000Q0=WIf@03\n0000003IfMT0fMWI02<0fMWI00<0003o0=WIf@3IfMT0eP3IfMT00240fMWI00<000000=WIf@3IfMT0\n8`3IfMT00`000?l0fMWI0=WIf@3F0=WIf@008@3IfMT00`000000fMWI0=WIf@0R0=WIf@030000o`3I\nfMT0fMWI0=L0fMWI000Q0=WIf@8000008`3IfMT00`000?l0fMWI0=WIf@3G0=WIf@008@3IfMT00`00\n0000fMWI0=WIf@0R0=WIf@030000o`3IfMT0fMWI0=L0fMWI000Q0=WIf@030000003IfMT0fMWI0240\nfMWI00<0003o0=WIf@3IfMT0f03IfMT00240fMWI00<000000=WIf@3IfMT08@3IfMT00`000?l0fMWI\n0=WIf@3H0=WIf@008@3IfMT00`000000fMWI0=WIf@0Q0=WIf@030000o`3IfMT0fMWI0=P0fMWI000Q\n0=WIf@030000003IfMT0fMWI0200fMWI00<0003o0=WIf@3IfMT0f@3IfMT00240fMWI0P00000Q0=WI\nf@030000o`3IfMT0fMWI0=T0fMWI000Q0=WIf@030000003IfMT0fMWI0200fMWI00<0003o0=WIf@3I\nfMT0f@3IfMT00240fMWI00<000000=WIf@3IfMT0803IfMT00`000?l0fMWI0=WIf@3I0=WIf@00403I\nfMT00`000000fMWI0=WIf@020=WIf@800000103IfMT2000000@0fMWI00<000000=WIf@3IfMT07`3I\nfMT00`000?l0fMWI0=WIf@3J0=WIf@00403IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00@0\n00000=WIf@3IfMT000000P3IfMT01@000000fMWI0=WIf@3IfMT000000240fMWI00<0003o0=WIf@3I\nfMT0fP3IfMT00100fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@040000003IfMT0fMWI0000\n0080fMWI00@000000=WIf@3IfMT0fMWI0`00000N0=WIf@030000o`3IfMT0fMWI0=/0fMWI000A0=WI\nf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT01@000000fMWI0=WI\nf@3IfMT000000200fMWI00<0003o0=WIf@3IfMT0f`3IfMT000h0fMWI00@000000=WIf@3IfMT00000\n0P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI000000<0fMWI00<000000=WI\nf@3IfMT07P3IfMT00`000?l0fMWI0=WIf@3K0=WIf@003P3IfMT4000000<0fMWI0P0000040=WIf@80\n0000103IfMT00`000000fMWI0=WIf@0M0=WIf@030000o`3IfMT0fMWI0=`0fMWI000Q0=WIf@030000\n003IfMT0fMWI01d0fMWI00<0003o0=WIf@3IfMT0g03IfMT00240fMWI00<000000=WIf@3IfMT0703I\nfMT00`000?l0fMWI0=WIf@3M0=WIf@008@3IfMT2000001d0fMWI00<0003o0=WIf@3IfMT0g@3IfMT0\n0240fMWI00<000000=WIf@3IfMT0703IfMT00`000?l0fMWI0=WIf@3M0=WIf@008@3IfMT00`000000\nfMWI0=WIf@0L0=WIf@030000o`3IfMT0fMWI0=d0fMWI000Q0=WIf@030000003IfMT0fMWI01/0fMWI\n00<0003o0=WIf@3IfMT0gP3IfMT00240fMWI00<000000=WIf@3IfMT06`3IfMT00`000?l0fMWI0=WI\nf@3N0=WIf@008@3IfMT00`000000fMWI0=WIf@0K0=WIf@030000o`3IfMT0fMWI0=h0fMWI000Q0=WI\nf@8000006`3IfMT00`000?l0fMWI0=WIf@3O0=WIf@008@3IfMT00`000000fMWI0=WIf@0J0=WIf@03\n0000o`3IfMT0fMWI0=l0fMWI000Q0=WIf@030000003IfMT0fMWI01T0fMWI00<0003o0=WIf@3IfMT0\nh03IfMT00240fMWI00<000000=WIf@3IfMT06@3IfMT00`000?l0fMWI0=WIf@3P0=WIf@008@3IfMT0\n0`000000fMWI0=WIf@0I0=WIf@030000o`3IfMT0fMWI0>00fMWI000Q0=WIf@8000006@3IfMT00`00\n0?l0fMWI0=WIf@3Q0=WIf@008@3IfMT00`000000fMWI0=WIf@0H0=WIf@030000o`3IfMT0fMWI0>40\nfMWI000Q0=WIf@030000003IfMT0fMWI01P0fMWI00<0003o0=WIf@3IfMT0h@3IfMT00240fMWI00<0\n00000=WIf@3IfMT05`3IfMT00`000?l0fMWI0=WIf@3R0=WIf@008@3IfMT00`000000fMWI0=WIf@0G\n0=WIf@030000o`3IfMT0fMWI0>80fMWI000Q0=WIf@030000003IfMT0fMWI01L0fMWI00<0003o0=WI\nf@3IfMT0hP3IfMT00240fMWI0P00000G0=WIf@030000o`3IfMT0fMWI0><0fMWI000Q0=WIf@030000\n003IfMT0fMWI01H0fMWI00<0003o0=WIf@3IfMT0h`3IfMT00240fMWI00<000000=WIf@3IfMT05P3I\nfMT00`000?l0fMWI0=WIf@3S0=WIf@003`3IfMT2000000@0fMWI0P0000040=WIf@800000103IfMT0\n0`000000fMWI0=WIf@0E0=WIf@030000o`3IfMT0fMWI0>@0fMWI000>0=WIf@040000003IfMT0fMWI\n00000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000030=WIf@030000\n003IfMT0fMWI01D0fMWI00<0003o0=WIf@3IfMT0i03IfMT000h0fMWI00@000000=WIf@3IfMT00000\n0P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI000000<0fMWI0`00000E0=WI\nf@030000o`3IfMT0fMWI0>@0fMWI000?0=WIf@8000000`3IfMT010000000fMWI0=WIf@0000020=WI\nf@040000003IfMT0fMWI000000<0fMWI00<000000=WIf@3IfMT0503IfMT00`000?l0fMWI0=WIf@3U\n0=WIf@003P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00@0\n00000=WIf@3IfMT000000`3IfMT00`000000fMWI0=WIf@0D0=WIf@030000o`3IfMT0fMWI0>D0fMWI\n000?0=WIf@800000103IfMT2000000@0fMWI0P0000040=WIf@030000003IfMT0fMWI01<0fMWI00<0\n003o0=WIf@3IfMT0iP3IfMT00240fMWI00<000000=WIf@3IfMT04`3IfMT00`000?l0fMWI0=WIf@3V\n0=WIf@008@3IfMT00`000000fMWI0=WIf@0C0=WIf@030000o`3IfMT0fMWI0>H0fMWI000Q0=WIf@80\n0000503IfMT00`000?l0fMWI0=WIf@3V0=WIf@008@3IfMT00`000000fMWI0=WIf@0B0=WIf@030000\no`3IfMT0fMWI0>L0fMWI000Q0=WIf@030000003IfMT0fMWI0180fMWI00<0003o0=WIf@3IfMT0i`3I\nfMT00240fMWI00<000000=WIf@3IfMT04P3IfMT00`000?l0fMWI0=WIf@3W0=WIf@008@3IfMT00`00\n0000fMWI0=WIf@0A0=WIf@030000o`3IfMT0fMWI0>P0fMWI000Q0=WIf@030000003IfMT0fMWI0140\nfMWI00<0003o0=WIf@3IfMT0j03IfMT00240fMWI0P00000A0=WIf@030000o`3IfMT0fMWI0>T0fMWI\n000Q0=WIf@030000003IfMT0fMWI0100fMWI00<0003o0=WIf@3IfMT0j@3IfMT00240fMWI00<00000\n0=WIf@3IfMT0403IfMT00`000?l0fMWI0=WIf@3Y0=WIf@008@3IfMT00`000000fMWI0=WIf@0?0=WI\nf@030000o`3IfMT0fMWI0>X0fMWI000Q0=WIf@030000003IfMT0fMWI00l0fMWI00<0003o0=WIf@3I\nfMT0jP3IfMT00240fMWI0P00000@0=WIf@030000o`3IfMT0fMWI0>X0fMWI000Q0=WIf@030000003I\nfMT0fMWI00l0fMWI00<0003o0=WIf@3IfMT0jP3IfMT00240fMWI00<000000=WIf@3IfMT03P3IfMT0\n0`000?l0fMWI0=WIf@3[0=WIf@008@3IfMT00`000000fMWI0=WIf@0>0=WIf@030000o`3IfMT0fMWI\n0>/0fMWI000Q0=WIf@030000003IfMT0fMWI00d0fMWI00<0003o0=WIf@3IfMT0k03IfMT00240fMWI\n00<000000=WIf@3IfMT03@3IfMT00`000?l0fMWI0=WIf@3/0=WIf@008@3IfMT2000000h0fMWI00<0\n003o0=WIf@3IfMT0k03IfMT00240fMWI00<000000=WIf@3IfMT0303IfMT00`000?l0fMWI0=WIf@3]\n0=WIf@008@3IfMT00`000000fMWI0=WIf@0<0=WIf@030000o`3IfMT0fMWI0>d0fMWI000>0=WIf@<0\n0000103IfMT2000000@0fMWI0P0000040=WIf@030000003IfMT0fMWI00`0fMWI00<0003o0=WIf@3I\nfMT0k@3IfMT00100fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@040000003IfMT0fMWI0000\n0080fMWI00D000000=WIf@3IfMT0fMWI0000000=0=WIf@030000o`3IfMT0fMWI0>h0fMWI000?0=WI\nf@<000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI000000<0fMWI0`00\n000;0=WIf@030000o`3IfMT0fMWI0>h0fMWI000>0=WIf@040000003IfMT0fMWI00000080fMWI00@0\n00000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000030=WIf@030000003IfMT0fMWI00X0\nfMWI00<0003o0=WIf@3IfMT0k`3IfMT000h0fMWI00@000000=WIf@3IfMT000000P3IfMT010000000\nfMWI0=WIf@0000020=WIf@040000003IfMT0fMWI000000<0fMWI00<000000=WIf@3IfMT02P3IfMT0\n0`000?l0fMWI0=WIf@3_0=WIf@003`3IfMT3000000<0fMWI0P0000040=WIf@800000103IfMT00`00\n0000fMWI0=WIf@0:0=WIf@030000o`3IfMT0fMWI0>l0fMWI000Q0=WIf@030000003IfMT0fMWI00X0\nfMWI00<0003o0=WIf@3IfMT0k`3IfMT00240fMWI00<000000=WIf@3IfMT02@3IfMT00`000?l0fMWI\n0=WIf@3`0=WIf@008@3IfMT2000000X0fMWI00<0003o0=WIf@3IfMT0l03IfMT00240fMWI00<00000\n0=WIf@3IfMT02@3IfMT00`000?l0fMWI0=WIf@3`0=WIf@008@3IfMT00`000000fMWI0=WIf@080=WI\nf@030000o`3IfMT0fMWI0?40fMWI000Q0=WIf@030000003IfMT0fMWI00P0fMWI00<0003o0=WIf@3I\nfMT0l@3IfMT00240fMWI00<000000=WIf@3IfMT01`3IfMT00`000?l0fMWI0=WIf@3b0=WIf@008@3I\nfMT00`000000fMWI0=WIf@070=WIf@030000o`3IfMT0fMWI0?80fMWI000Q0=WIf@800000203IfMT0\n0`000?l0fMWI0=WIf@3b0=WIf@008@3IfMT00`000000fMWI0=WIf@060=WIf@030000o`3IfMT0fMWI\n0?<0fMWI000Q0=WIf@030000003IfMT0fMWI00H0fMWI00<0003o0=WIf@3IfMT0l`3IfMT00240fMWI\n00<000000=WIf@3IfMT01P3IfMT00`000?l0fMWI0=WIf@3c0=WIf@008@3IfMT00`000000fMWI0=WI\nf@060=WIf@030000o`3IfMT0fMWI0?<0fMWI000Q0=WIf@8000001P3IfMT00`000?l0fMWI0=WIf@3d\n0=WIf@008@3IfMT00`000000fMWI0=WIf@050=WIf@030000o`3IfMT0fMWI0?@0fMWI000Q0=WIf@03\n0000003IfMT0fMWI00@0fMWI00<0003o0=WIf@3IfMT0m@3IfMT00240fMWI00<000000=WIf@3IfMT0\n103IfMT00`000?l0fMWI0=WIf@3e0=WIf@008@3IfMT00`000000fMWI0=WIf@040=WIf@030000o`3I\nfMT0fMWI0?D0fMWI000Q0=WIf@030000003IfMT0fMWI00<0fMWI00<0003o0=WIf@3IfMT0mP3IfMT0\n0240fMWI0P0000040=WIf@030000o`3IfMT0fMWI0?H0fMWI000Q0=WIf@030000003IfMT0fMWI00<0\nfMWI00<0003o0=WIf@3IfMT0mP3IfMT00240fMWI00<000000=WIf@3IfMT00P3IfMT00`000?l0fMWI\n0=WIf@3g0=WIf@00203IfMT500000080fMWI0P0000040=WIf@800000103IfMT2000000@0fMWI00<0\n00000=WIf@3IfMT00P3IfMT00`000?l0fMWI0=WIf@3g0=WIf@002P3IfMT01@000000fMWI0=WIf@3I\nfMT000000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@05\n0000003IfMT0fMWI0=WIf@0000000`3IfMT00`000?l0fMWI0=WIf@3h0=WIf@002P3IfMT01@000000\nfMWI0=WIf@3IfMT000000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@00\n00020=WIf@040000003IfMT0fMWI0=WIf@<0000000<0fMWI0000o`3IfMT0n@3IfMT000X0fMWI00D0\n00000=WIf@3IfMT0fMWI000000020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3I\nfMT000000P3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI00<0003o0=WIf@3IfMT0n03IfMT0\n00X0fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@040000003IfMT0fMWI00000080fMWI00@0\n00000=WIf@3IfMT000000P3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI00<0003o0=WIf@3I\nfMT0n03IfMT000T0fMWI0P0000040=WIf@800000103IfMT2000000@0fMWI0P0000040=WIf@040000\n003IfMT0fMWI0000oo/0fMWI000Q0=WIf@040000003IfMT0fMWI0000oo/0fMWI000Q0=WIf@040000\n003IfMT0fMWI0000oo/0fMWI000Q0=WIf@80000000<0003o0=WIf@3IfMT0nP3IfMT00240fMWI00<0\n00000=WIf@000?l0o03IfMT00240fMWI00<000000000o`3IfMT0o03IfMT00240fMWI00<000000000\no`3IfMT0o03IfMT00240fMWI00<000000000o`3IfMT0o03IfMT00240fMWI00<0003o0=WIf@3IfMT0\no03IfMT00240fMWI0P00003m0=WIf@008@3IfMT00`000000fMWI0=WIf@3l0=WIf@008@3IfMT00`00\n0000fMWI0=WIf@3l0=WIf@008@3IfMT00`000000fMWI0=WIf@3l0=WIf@00o`3IfMTQ0=WIf@00o`3I\nfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3I\nfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3I\nfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3I\nfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@009@3IfMT00`000000fMWI\n0=WIf@050=WIf@<00000>P3IfMT00`000000fMWI0=WIf@050=WIf@800000203IfMT200000:80fMWI\n000T0=WIf@030000003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT0>P3IfMT00`000000fMWI0=WI\nf@040=WIf@030000003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT0X03IfMT002<0fMWI00<00000\n0=WIf@3IfMT00P3IfMT5000000040=WIf@0000000000000000@0fMWI0P0000030=WIf@<000000`3I\nfMT3000000@0fMWI0P0000040=WIf@8000000P3IfMT2000000050=WIf@000000fMWI0000003IfMT0\n1@000000103IfMT000000000000000030=WIf@<000001@3IfMT00`000000fMWI0=WIf@030=WIf@03\n0000003IfMT0fMWI0080fMWI0P0000040=WIf@030000003IfMT0fMWI0:00fMWI000S0=WIf@030000\n003IfMT0fMWI0080fMWI100000020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3I\nfMT000000`3IfMT00`000000fMWI0=WIf@030=WIf@030000003IfMT0fMWI0080fMWI00@000000=WI\nf@3IfMT00000203IfMT01P000000fMWI0000003IfMT000000=WIf@@000001@3IfMT00`000000fMWI\n0=WIf@030=WIf@030000003IfMT0fMWI0080fMWI00<000000=WIf@3IfMT00`3IfMT01@000000fMWI\n0=WIf@3IfMT000000080fMWI00D000000=WIf@3IfMT0fMWI0000002R0=WIf@005P3IfMT80000o`D0\nfMWI00<000000=WIf@3IfMT01@3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI\n00000080fMWI00D000000=WIf@3IfMT0fMWI000000050=WIf@030000003IfMT0fMWI0080fMWI00@0\n00000=WIf@3IfMT00000203IfMT01@000000fMWI0000003IfMT0000000@0fMWI00<000000=WIf@3I\nfMT00`0000030=WIf@<000001@3IfMT00`000000fMWI0=WIf@030=WIf@050000003IfMT0fMWI0=WI\nf@0000001P3IfMT00`000000fMWI0=WIf@2P0=WIf@008`3IfMT00`000000fMWI0=WIf@030=WIf@<0\n000000<0fMWI0000000000000P0000040=WIf@800000103IfMT00`000000fMWI0=WIf@030=WIf@03\n0000003IfMT0fMWI00<0fMWI0P0000080=WIf@<0000000<0fMWI0000003IfMT00P3IfMT300000080\nfMWI100000020=WIf@@00000103IfMT00`000000fMWI0=WIf@030=WIf@030000003IfMT0fMWI00D0\n00000`3IfMT00`000000fMWI0=WIf@2P0=WIf@00903IfMT00`000000fMWI0=WIf@0D0=WIf@030000\n003IfMT0fMWI00<0fMWI00<000000=WIf@3IfMT09`3IfMT00`000000fMWI0=WIf@040=WIf@050000\n003IfMT0fMWI0=WIf@0000001P3IfMT00`000000fMWI0=WIf@2P0=WIf@009@3IfMT00`000000fMWI\n0=WIf@0B0=WIf@800000103IfMT2000002P0fMWI00<000000=WIf@3IfMT01@3IfMT2000000P0fMWI\n0P00002R0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00\no`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00\no`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00\no`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00\no`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00"]], Rule[ImageRangeCache, List[Rule[List[List[0, 287], List[213.25`, 0]], List[-1.05141`, -0.655244`, 0.00732689`, 0.00732689`]], Rule[List[List[7, 279.938`], List[208.125`, 39.4375`]], List[-34.7815`, 471.171`, 1.02457`, 3.57082`]], Rule[List[List[20.625`, 157.125`], List[46, 5.0625`]], List[-2.57534`, -5.65634`, 0.119891`, 0.0332217`]], Rule[List[List[22.125`, 30.4375`], List[40.5625`, 10.4375`]], List[-6.32337`, -45.1734`, 0.240604`, 0.240604`]]]]], Cell[TextData[List["\t\t\t\t\t\t", StyleBox["Diagram 3:", Rule[FontWeight, "Bold"]], " Rocket mass decreases when the fuel is consumed\n"]], "Text"], Cell["plot( apollo.gravity, xrange={0,208} );", "ModelicaInput"], Cell[GraphicsData["PostScript", "%!\n%%Creator: Mathematica\n%%AspectRatio: .74402 \nMathPictureStart\n/Mabs {\nMgmatrix idtransform\nMtmatrix dtransform\n} bind def\n/Mabsadd { Mabs\n3 -1 roll add\n3 1 roll add\nexch } bind def\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.5 0.47619 0.312017 0.47619 [\n[ 0 0 0 0 ]\n[ 1 .74402 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n% Start of sub-graphic\np\n0.0238095 0.0177147 0.97619 0.606318 MathSubStart\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.0238095 0.0045704 -8.46169 5.55998 [\n[.25233 .42177 -6 -9 ]\n[.25233 .42177 6 0 ]\n[.48085 .42177 -9 -9 ]\n[.48085 .42177 9 0 ]\n[.70937 .42177 -9 -9 ]\n[.70937 .42177 9 0 ]\n[.93789 .42177 -9 -9 ]\n[.93789 .42177 9 0 ]\n[1.025 .43427 0 -6.28125 ]\n[1.025 .43427 10 6.28125 ]\n[.01131 .10068 -24 -4.5 ]\n[.01131 .10068 0 4.5 ]\n[.01131 .21187 -24 -4.5 ]\n[.01131 .21187 0 4.5 ]\n[.01131 .32307 -24 -4.5 ]\n[.01131 .32307 0 4.5 ]\n[.01131 .54547 -24 -4.5 ]\n[.01131 .54547 0 4.5 ]\n[ 0 0 0 0 ]\n[ 1 .61803 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n0 g\n.25 Mabswid\n[ ] 0 setdash\n.25233 .43427 m\n.25233 .44052 L\ns\n[(50)] .25233 .42177 0 1 Mshowa\n.48085 .43427 m\n.48085 .44052 L\ns\n[(100)] .48085 .42177 0 1 Mshowa\n.70937 .43427 m\n.70937 .44052 L\ns\n[(150)] .70937 .42177 0 1 Mshowa\n.93789 .43427 m\n.93789 .44052 L\ns\n[(200)] .93789 .42177 0 1 Mshowa\n.125 Mabswid\n.06951 .43427 m\n.06951 .43802 L\ns\n.11522 .43427 m\n.11522 .43802 L\ns\n.16092 .43427 m\n.16092 .43802 L\ns\n.20663 .43427 m\n.20663 .43802 L\ns\n.29803 .43427 m\n.29803 .43802 L\ns\n.34374 .43427 m\n.34374 .43802 L\ns\n.38944 .43427 m\n.38944 .43802 L\ns\n.43515 .43427 m\n.43515 .43802 L\ns\n.52655 .43427 m\n.52655 .43802 L\ns\n.57226 .43427 m\n.57226 .43802 L\ns\n.61796 .43427 m\n.61796 .43802 L\ns\n.66367 .43427 m\n.66367 .43802 L\ns\n.75507 .43427 m\n.75507 .43802 L\ns\n.80078 .43427 m\n.80078 .43802 L\ns\n.84648 .43427 m\n.84648 .43802 L\ns\n.89219 .43427 m\n.89219 .43802 L\ns\n.98359 .43427 m\n.98359 .43802 L\ns\n.25 Mabswid\n0 .43427 m\n1 .43427 L\ns\ngsave\n1.025 .43427 -61 -10.2813 Mabsadd m\n1 1 Mabs scale\ncurrentpoint translate\n0 20.5625 translate 1 -1 scale\n/g { setgray} bind def\n/k { setcmykcolor} bind def\n/p { gsave} bind def\n/r { setrgbcolor} bind def\n/w { setlinewidth} bind def\n/C { curveto} bind def\n/F { fill} bind def\n/L { lineto} bind def\n/rL { rlineto} bind def\n/P { grestore} bind def\n/s { stroke} bind def\n/S { show} bind def\n/N {currentpoint 3 -1 roll show moveto} bind def\n/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def\n/m { moveto} bind def\n/Mr { rmoveto} bind def\n/Mx {currentpoint exch pop moveto} bind def\n/My {currentpoint pop exch moveto} bind def\n/X {0 rmoveto} bind def\n/Y {0 exch rmoveto} bind def\n63.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n0.000 0.000 rmoveto\n63.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(t) show\n69.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n0.000 0.000 rmoveto\n1.000 setlinewidth\ngrestore\n.02381 .10068 m\n.03006 .10068 L\ns\n[(1.54)] .01131 .10068 1 0 Mshowa\n.02381 .21187 m\n.03006 .21187 L\ns\n[(1.56)] .01131 .21187 1 0 Mshowa\n.02381 .32307 m\n.03006 .32307 L\ns\n[(1.58)] .01131 .32307 1 0 Mshowa\n.02381 .54547 m\n.03006 .54547 L\ns\n[(1.62)] .01131 .54547 1 0 Mshowa\n.125 Mabswid\n.02381 .12848 m\n.02756 .12848 L\ns\n.02381 .15628 m\n.02756 .15628 L\ns\n.02381 .18407 m\n.02756 .18407 L\ns\n.02381 .23967 m\n.02756 .23967 L\ns\n.02381 .26747 m\n.02756 .26747 L\ns\n.02381 .29527 m\n.02756 .29527 L\ns\n.02381 .35087 m\n.02756 .35087 L\ns\n.02381 .37867 m\n.02756 .37867 L\ns\n.02381 .40647 m\n.02756 .40647 L\ns\n.02381 .46207 m\n.02756 .46207 L\ns\n.02381 .48987 m\n.02756 .48987 L\ns\n.02381 .51767 m\n.02756 .51767 L\ns\n.02381 .07288 m\n.02756 .07288 L\ns\n.02381 .04508 m\n.02756 .04508 L\ns\n.02381 .01728 m\n.02756 .01728 L\ns\n.02381 .57327 m\n.02756 .57327 L\ns\n.02381 .60107 m\n.02756 .60107 L\ns\n.25 Mabswid\n.02381 0 m\n.02381 .61803 L\ns\n0 0 1 r\n.001 w\n.02381 .01472 m\n.02591 .02338 L\n.02801 .03199 L\n.03012 .04054 L\n.03222 .04904 L\n.03432 .05748 L\n.03642 .06587 L\n.03853 .0742 L\n.04063 .08247 L\n.04273 .09068 L\n.04483 .09884 L\n.04694 .10693 L\n.04904 .11496 L\n.05114 .12294 L\n.05324 .13085 L\n.05535 .1387 L\n.05745 .14648 L\n.05955 .15421 L\n.06165 .16186 L\n.06375 .16946 L\n.06586 .17699 L\n.06796 .18445 L\n.07006 .19185 L\n.07216 .19918 L\n.07427 .20644 L\n.07637 .21363 L\n.07847 .22076 L\n.08057 .22781 L\n.08268 .23479 L\n.08478 .24171 L\n.08688 .24855 L\n.08898 .25531 L\n.09109 .26201 L\n.09319 .26863 L\n.09529 .27517 L\n.09739 .28164 L\n.0995 .28803 L\n.1016 .29435 L\n.1037 .30059 L\n.1058 .30674 L\n.1079 .31282 L\n.11001 .31882 L\n.11211 .32474 L\n.11421 .33058 L\n.11631 .33634 L\n.11842 .34201 L\n.12052 .3476 L\n.12262 .3531 L\n.12472 .35852 L\n.12683 .36385 L\nMistroke\n.12893 .3691 L\n.13103 .37425 L\n.13313 .37932 L\n.13524 .3843 L\n.13734 .38919 L\n.13944 .39399 L\n.14154 .3987 L\n.14365 .40332 L\n.14575 .40784 L\n.14785 .41226 L\n.14995 .4166 L\n.15206 .42083 L\n.15416 .42497 L\n.15626 .42902 L\n.15836 .43296 L\n.16046 .43681 L\n.16257 .44055 L\n.16467 .4442 L\n.16677 .44774 L\n.16887 .45118 L\n.17098 .45452 L\n.17308 .45775 L\n.17518 .46088 L\n.17728 .4639 L\n.17939 .46681 L\n.18149 .46962 L\n.18359 .47231 L\n.18569 .4749 L\n.1878 .47738 L\n.1899 .47974 L\n.192 .482 L\n.1941 .48414 L\n.19621 .48616 L\n.19831 .48807 L\n.20041 .48987 L\n.20251 .49154 L\n.20461 .4931 L\n.20672 .49454 L\n.20882 .49586 L\n.21092 .49706 L\n.21302 .49814 L\n.21513 .49909 L\n.21723 .49992 L\n.21933 .50062 L\n.22125 .50115 L\n.22125 .50115 L\n.22143 .5012 L\n.22354 .50172 L\n.22564 .50224 L\n.22774 .50277 L\nMistroke\n.22984 .50329 L\n.23195 .50381 L\n.23405 .50432 L\n.23615 .50484 L\n.23825 .50536 L\n.24036 .50587 L\n.24246 .50638 L\n.24456 .5069 L\n.24666 .50741 L\n.24876 .50792 L\n.25087 .50843 L\n.25297 .50893 L\n.25507 .50944 L\n.25717 .50995 L\n.25928 .51045 L\n.26138 .51095 L\n.26348 .51145 L\n.26558 .51195 L\n.26769 .51245 L\n.26979 .51295 L\n.27189 .51345 L\n.27399 .51394 L\n.2761 .51444 L\n.2782 .51493 L\n.2803 .51542 L\n.2824 .51591 L\n.28451 .5164 L\n.28661 .51689 L\n.28871 .51738 L\n.29081 .51787 L\n.29291 .51835 L\n.29502 .51883 L\n.29712 .51932 L\n.29922 .5198 L\n.30132 .52028 L\n.30343 .52076 L\n.30553 .52123 L\n.30763 .52171 L\n.30973 .52219 L\n.31184 .52266 L\n.31394 .52313 L\n.31604 .5236 L\n.31814 .52407 L\n.32025 .52454 L\n.32235 .52501 L\n.32445 .52548 L\n.32655 .52594 L\n.32866 .52641 L\n.33076 .52687 L\n.33286 .52733 L\nMistroke\n.33496 .52779 L\n.33707 .52825 L\n.33917 .52871 L\n.34127 .52916 L\n.34337 .52962 L\n.34547 .53007 L\n.34758 .53053 L\n.34968 .53098 L\n.35178 .53143 L\n.35388 .53188 L\n.35599 .53232 L\n.35809 .53277 L\n.36019 .53322 L\n.36229 .53366 L\n.3644 .5341 L\n.3665 .53455 L\n.3686 .53499 L\n.3707 .53542 L\n.37281 .53586 L\n.37491 .5363 L\n.37701 .53673 L\n.37911 .53717 L\n.38122 .5376 L\n.38332 .53803 L\n.38542 .53846 L\n.38752 .53889 L\n.38962 .53932 L\n.39173 .53975 L\n.39383 .54017 L\n.39593 .54059 L\n.39803 .54102 L\n.40014 .54144 L\n.40224 .54186 L\n.40434 .54228 L\n.40644 .54269 L\n.40855 .54311 L\n.41065 .54352 L\n.41275 .54394 L\n.41485 .54435 L\n.41696 .54476 L\n.41906 .54517 L\n.42116 .54558 L\n.42326 .54599 L\n.42537 .54639 L\n.42747 .5468 L\n.42957 .5472 L\n.43167 .5476 L\n.43377 .548 L\n.43588 .5484 L\n.43798 .5488 L\nMistroke\n.44008 .5492 L\n.44218 .54959 L\n.44429 .54998 L\n.44639 .55038 L\n.44849 .55077 L\n.45059 .55116 L\n.4527 .55155 L\n.4548 .55194 L\n.4569 .55232 L\n.459 .55271 L\n.46111 .55309 L\n.46321 .55347 L\n.46531 .55385 L\n.46741 .55423 L\n.46952 .55461 L\n.47162 .55499 L\n.47372 .55536 L\n.47582 .55574 L\n.47792 .55611 L\n.48003 .55648 L\n.48213 .55685 L\n.48423 .55722 L\n.48633 .55759 L\n.48844 .55795 L\n.49054 .55832 L\n.49264 .55868 L\n.49474 .55904 L\n.49685 .5594 L\n.49895 .55976 L\n.50105 .56012 L\n.50315 .56048 L\n.50526 .56083 L\n.50736 .56119 L\n.50946 .56154 L\n.51156 .56189 L\n.51367 .56224 L\n.51577 .56259 L\n.51787 .56294 L\n.51997 .56328 L\n.52208 .56363 L\n.52418 .56397 L\n.52628 .56431 L\n.52838 .56465 L\n.53048 .56499 L\n.53259 .56533 L\n.53469 .56567 L\n.53679 .566 L\n.53889 .56633 L\n.541 .56667 L\n.5431 .567 L\nMistroke\n.5452 .56733 L\n.5473 .56765 L\n.54941 .56798 L\n.55151 .56831 L\n.55361 .56863 L\n.55571 .56895 L\n.55782 .56927 L\n.55992 .56959 L\n.56202 .56991 L\n.56412 .57023 L\n.56623 .57054 L\n.56833 .57086 L\n.57043 .57117 L\n.57253 .57148 L\n.57463 .57179 L\n.57674 .5721 L\n.57884 .57241 L\n.58094 .57271 L\n.58304 .57301 L\n.58515 .57332 L\n.58725 .57362 L\n.58935 .57392 L\n.59145 .57422 L\n.59356 .57451 L\n.59566 .57481 L\n.59776 .5751 L\n.59986 .5754 L\n.60197 .57569 L\n.60407 .57598 L\n.60617 .57627 L\n.60827 .57655 L\n.61038 .57684 L\n.61248 .57712 L\n.61458 .57741 L\n.61668 .57769 L\n.61878 .57797 L\n.62089 .57825 L\n.62299 .57852 L\n.62509 .5788 L\n.62719 .57907 L\n.6293 .57935 L\n.6314 .57962 L\n.6335 .57989 L\n.6356 .58016 L\n.63771 .58042 L\n.63981 .58069 L\n.64191 .58095 L\n.64401 .58121 L\n.64612 .58148 L\n.64822 .58173 L\nMistroke\n.65032 .58199 L\n.65242 .58225 L\n.65453 .5825 L\n.65663 .58276 L\n.65873 .58301 L\n.66083 .58326 L\n.66293 .58351 L\n.66504 .58376 L\n.66714 .58401 L\n.66924 .58425 L\n.67134 .58449 L\n.67345 .58474 L\n.67555 .58498 L\n.67765 .58522 L\n.67975 .58545 L\n.68186 .58569 L\n.68396 .58592 L\n.68606 .58616 L\n.68816 .58639 L\n.69027 .58662 L\n.69237 .58685 L\n.69447 .58707 L\n.69657 .5873 L\n.69868 .58752 L\n.70078 .58775 L\n.70288 .58797 L\n.70498 .58819 L\n.70709 .5884 L\n.70919 .58862 L\n.71129 .58884 L\n.71339 .58905 L\n.71549 .58926 L\n.7176 .58947 L\n.7197 .58968 L\n.7218 .58989 L\n.7239 .59009 L\n.72601 .5903 L\n.72811 .5905 L\n.73021 .5907 L\n.73231 .5909 L\n.73442 .5911 L\n.73652 .5913 L\n.73862 .59149 L\n.74072 .59169 L\n.74283 .59188 L\n.74493 .59207 L\n.74703 .59226 L\n.74913 .59245 L\n.75124 .59263 L\n.75334 .59282 L\nMistroke\n.75544 .593 L\n.75754 .59318 L\n.75964 .59336 L\n.76175 .59354 L\n.76385 .59372 L\n.76595 .59389 L\n.76805 .59407 L\n.77016 .59424 L\n.77226 .59441 L\n.77436 .59458 L\n.77646 .59475 L\n.77857 .59491 L\n.78067 .59508 L\n.78277 .59524 L\n.78487 .5954 L\n.78698 .59556 L\n.78908 .59572 L\n.79118 .59587 L\n.79328 .59603 L\n.79539 .59618 L\n.79749 .59633 L\n.79959 .59648 L\n.80169 .59663 L\n.80379 .59678 L\n.8059 .59693 L\n.808 .59707 L\n.8101 .59721 L\n.8122 .59735 L\n.81431 .59749 L\n.81641 .59763 L\n.81851 .59777 L\n.82061 .5979 L\n.82272 .59803 L\n.82482 .59816 L\n.82692 .59829 L\n.82902 .59842 L\n.83113 .59855 L\n.83323 .59867 L\n.83533 .5988 L\n.83743 .59892 L\n.83954 .59904 L\n.84164 .59916 L\n.84374 .59927 L\n.84584 .59939 L\n.84794 .5995 L\n.85005 .59961 L\n.85215 .59973 L\n.85425 .59983 L\n.85635 .59994 L\n.85846 .60005 L\nMistroke\n.86056 .60015 L\n.86266 .60025 L\n.86476 .60035 L\n.86687 .60045 L\n.86897 .60055 L\n.87107 .60065 L\n.87317 .60074 L\n.87528 .60083 L\n.87738 .60092 L\n.87948 .60101 L\n.88158 .6011 L\n.88369 .60119 L\n.88579 .60127 L\n.88789 .60135 L\n.88999 .60143 L\n.89209 .60151 L\n.8942 .60159 L\n.8963 .60167 L\n.8984 .60174 L\n.9005 .60181 L\n.90261 .60188 L\n.90471 .60195 L\n.90681 .60202 L\n.90891 .60209 L\n.91102 .60215 L\n.91312 .60222 L\n.91522 .60228 L\n.91732 .60234 L\n.91943 .60239 L\n.92153 .60245 L\n.92363 .6025 L\n.92573 .60256 L\n.92784 .60261 L\n.92994 .60266 L\n.93204 .60271 L\n.93414 .60275 L\n.93625 .6028 L\n.93835 .60284 L\n.94045 .60288 L\n.94255 .60292 L\n.94465 .60296 L\n.94676 .60299 L\n.94886 .60303 L\n.95096 .60306 L\n.95306 .60309 L\n.95517 .60312 L\n.95727 .60315 L\n.95937 .60317 L\n.96147 .6032 L\n.96358 .60322 L\nMistroke\n.96568 .60324 L\n.96778 .60326 L\n.96988 .60328 L\n.97199 .60329 L\n.97409 .60331 L\n.97619 .60332 L\nMfstroke\n0 0 m\n1 0 L\n1 .61803 L\n0 .61803 L\nclosepath\nclip\nnewpath\nMathSubEnd\nP\n% End of sub-graphic\n% Start of sub-graphic\np\n0.0714286 0.583445 0.547619 0.726302 MathSubStart\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.00611247 0.0611247 0.0220588 0.220588 [\n[ 0 0 0 0 ]\n[ 1 .3 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n0 0 m\n1 0 L\n1 .3 L\n0 .3 L\nclosepath\nclip\nnewpath\n% Start of sub-graphic\np\n0.0110024 0.0397059 0.0721271 0.260294 MathSubStart\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.5 0.5 0.5 0.5 [\n[ 0 0 0 0 ]\n[ 1 1 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n0 0 m\n1 0 L\n1 1 L\n0 1 L\nclosepath\nclip\nnewpath\n0 0 1 r\n.00187 w\n[ ] 0 setdash\n0 .5 m\n1 .5 L\ns\nMathSubEnd\nP\n% End of sub-graphic\n0 g\ngsave\n.08007 .15 -61 -10.2813 Mabsadd m\n1 1 Mabs scale\ncurrentpoint translate\n0 20.5625 translate 1 -1 scale\n/g { setgray} bind def\n/k { setcmykcolor} bind def\n/p { gsave} bind def\n/r { setrgbcolor} bind def\n/w { setlinewidth} bind def\n/C { curveto} bind def\n/F { fill} bind def\n/L { lineto} bind def\n/rL { rlineto} bind def\n/P { grestore} bind def\n/s { stroke} bind def\n/S { show} bind def\n/N {currentpoint 3 -1 roll show moveto} bind def\n/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def\n/m { moveto} bind def\n/Mr { rmoveto} bind def\n/Mx {currentpoint exch pop moveto} bind def\n/My {currentpoint pop exch moveto} bind def\n/X {0 rmoveto} bind def\n/Y {0 exch rmoveto} bind def\n%%IncludeResource: font Mathematica2Mono\n%%IncludeFont: Mathematica2Mono\n/Mathematica2Mono findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n63.000 12.813 moveto\n(H) show\n69.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(apollo) show\n105.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(.) show\n111.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(gravity) show\n%%IncludeResource: font Mathematica2Mono\n%%IncludeFont: Mathematica2Mono\n/Mathematica2Mono findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n153.000 12.813 moveto\n(L) show\n159.000 12.813 moveto\n(@) show\n165.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(t) show\n%%IncludeResource: font Mathematica2Mono\n%%IncludeFont: Mathematica2Mono\n/Mathematica2Mono findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n171.000 12.813 moveto\n(D) show\n1.000 setlinewidth\ngrestore\nMathSubEnd\nP\n% End of sub-graphic\n0 0 m\n1 0 L\n1 .74402 L\n0 .74402 L\nclosepath\nclip\nnewpath\n% End of Graphics\nMathPictureEnd\n"], "Graphics", Rule[ImageSize, List[288, 214.25`]], Rule[ImageMargins, List[List[35, 0], List[0, 0]]], Rule[ImageRegion, List[List[0, 1], List[0, 1]]], Rule[ImageCache, GraphicsData["Bitmap", "CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000eR000`400?l00000o`00003oo`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@008@3IfMT00`000000fMWI0=WIf@3l0=WIf@008@3IfMT00`000000fMWI\n0=WIf@3l0=WIf@008@3IfMT00`000000fMWI0=WIf@3l0=WIf@008@3IfMT00`000?l0fMWI0=WIf@3l\n0=WIf@008@3IfMT00`000?l000000=WIf@3l0=WIf@008@3IfMT00`000000003o0=WIf@3l0=WIf@00\n8@3IfMT00`000000003o0=WIf@3l0=WIf@008@3IfMT00`000000003o0=WIf@3l0=WIf@008@3IfMT0\n0`000000003o0=WIf@3l0=WIf@008@3IfMT00`000000fMWI0000o`3l0=WIf@008@3IfMT00`000000\nfMWI0000o`3l0=WIf@008@3IfMT2000000030000o`3IfMT0fMWI0?X0fMWI000Q0=WIf@030000003I\nfMT0003o0?`0fMWI000Q0=WIf@040000003IfMT0fMWI0000oo/0fMWI000Q0=WIf@040000003IfMT0\nfMWI0000oo/0fMWI000Q0=WIf@040000003IfMT0fMWI0000oo/0fMWI000Q0=WIf@040000003IfMT0\nfMWI0000oo/0fMWI000Q0=WIf@8000000P3IfMT00`000?l0fMWI0=WIf@3h0=WIf@008@3IfMT01@00\n0000fMWI0=WIf@3IfMT0003o0?X0fMWI000Q0=WIf@050000003IfMT0fMWI0=WIf@000?l0nP3IfMT0\n0240fMWI00D000000=WIf@3IfMT0fMWI0000o`3j0=WIf@008@3IfMT00`000000fMWI0=WIf@020=WI\nf@030000o`3IfMT0fMWI0?L0fMWI00080=WIf@D000000P3IfMT2000000@0fMWI0P0000050=WIf@<0\n00000P3IfMT00`000000fMWI0=WIf@020=WIf@030000o`3IfMT0fMWI0?L0fMWI000:0=WIf@030000\n003IfMT0fMWI00L0fMWI00@000000=WIf@3IfMT000001@3IfMT01@000000fMWI0=WIf@3IfMT00000\n00@0fMWI00<0003o0=WIf@3IfMT0m`3IfMT000X0fMWI00<000000=WIf@3IfMT02P3IfMT00`000000\nfMWI0=WIf@0500000080fMWI0`0000020=WIf@030000o`3IfMT0fMWI0?L0fMWI000:0=WIf@030000\n003IfMT0fMWI00P0fMWI0P0000030=WIf@040000003IfMT0fMWI000000<0fMWI00<000000=WIf@3I\nfMT00`3IfMT00`000?l0fMWI0=WIf@3f0=WIf@002P3IfMT00`000000fMWI0=WIf@080=WIf@030000\n003IfMT0fMWI00<0fMWI00<000000=WIf@0000000`3IfMT00`000000fMWI0=WIf@030=WIf@030000\no`3IfMT0fMWI0?H0fMWI00090=WIf@8000002P3IfMT3000000@0fMWI0P0000030=WIf@030000003I\nfMT0fMWI00<0fMWI00<0003o0=WIf@3IfMT0mP3IfMT00240fMWI00<000000=WIf@3IfMT00`3IfMT0\n0`000?l0fMWI0=WIf@3f0=WIf@008@3IfMT00`000000fMWI0=WIf@040=WIf@030000o`3IfMT0fMWI\n0?D0fMWI000Q0=WIf@8000001@3IfMT00`000?l0fMWI0=WIf@3e0=WIf@008@3IfMT00`000000fMWI\n0=WIf@040=WIf@030000o`3IfMT0fMWI0?D0fMWI000Q0=WIf@030000003IfMT0fMWI00@0fMWI00<0\n003o0=WIf@3IfMT0m@3IfMT00240fMWI00<000000=WIf@3IfMT01@3IfMT00`000?l0fMWI0=WIf@3d\n0=WIf@008@3IfMT00`000000fMWI0=WIf@050=WIf@030000o`3IfMT0fMWI0?@0fMWI000Q0=WIf@03\n0000003IfMT0fMWI00D0fMWI00<0003o0=WIf@3IfMT0m03IfMT00240fMWI00<000000=WIf@3IfMT0\n1P3IfMT00`000?l0fMWI0=WIf@3c0=WIf@008@3IfMT2000000L0fMWI00<0003o0=WIf@3IfMT0l`3I\nfMT00240fMWI00<000000=WIf@3IfMT01P3IfMT00`000?l0fMWI0=WIf@3c0=WIf@008@3IfMT00`00\n0000fMWI0=WIf@060=WIf@030000o`3IfMT0fMWI0?<0fMWI000Q0=WIf@030000003IfMT0fMWI00L0\nfMWI00<0003o0=WIf@3IfMT0lP3IfMT00240fMWI00<000000=WIf@3IfMT01`3IfMT00`000?l0fMWI\n0=WIf@3b0=WIf@008@3IfMT00`000000fMWI0=WIf@070=WIf@030000o`3IfMT0fMWI0?80fMWI000Q\n0=WIf@8000002@3IfMT00`000?l0fMWI0=WIf@3a0=WIf@008@3IfMT00`000000fMWI0=WIf@080=WI\nf@030000o`3IfMT0fMWI0?40fMWI000Q0=WIf@030000003IfMT0fMWI00P0fMWI00<0003o0=WIf@3I\nfMT0l@3IfMT00240fMWI00<000000=WIf@3IfMT0203IfMT00`000?l0fMWI0=WIf@3a0=WIf@008@3I\nfMT00`000000fMWI0=WIf@090=WIf@030000o`3IfMT0fMWI0?00fMWI00080=WIf@D000000P3IfMT2\n000000@0fMWI0P0000030=WIf@<00000103IfMT00`000000fMWI0=WIf@090=WIf@030000o`3IfMT0\nfMWI0?00fMWI000:0=WIf@030000003IfMT0fMWI00L0fMWI00@000000=WIf@3IfMT000000P3IfMT0\n10000000fMWI0=WIf@0000030=WIf@030000003IfMT0fMWI00T0fMWI00<0003o0=WIf@3IfMT0l03I\nfMT000X0fMWI00<000000=WIf@3IfMT02P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003I\nfMT0fMWI0=WIf@<000002P3IfMT00`000?l0fMWI0=WIf@3_0=WIf@002P3IfMT00`000000fMWI0=WI\nf@080=WIf@8000000`3IfMT3000000@0fMWI00<000000=WIf@3IfMT02P3IfMT00`000?l0fMWI0=WI\nf@3_0=WIf@002P3IfMT00`000000fMWI0=WIf@080=WIf@030000003IfMT0fMWI00<0fMWI00<00000\n0=WIf@3IfMT00`3IfMT00`000000fMWI0=WIf@0:0=WIf@030000o`3IfMT0fMWI0>l0fMWI00090=WI\nf@8000002P3IfMT3000000<0fMWI0`0000030=WIf@030000003IfMT0fMWI00X0fMWI00<0003o0=WI\nf@3IfMT0k`3IfMT00240fMWI00<000000=WIf@3IfMT02`3IfMT00`000?l0fMWI0=WIf@3^0=WIf@00\n8@3IfMT00`000000fMWI0=WIf@0;0=WIf@030000o`3IfMT0fMWI0>h0fMWI000Q0=WIf@800000303I\nfMT00`000?l0fMWI0=WIf@3^0=WIf@008@3IfMT00`000000fMWI0=WIf@0<0=WIf@030000o`3IfMT0\nfMWI0>d0fMWI000Q0=WIf@030000003IfMT0fMWI00`0fMWI00<0003o0=WIf@3IfMT0k@3IfMT00240\nfMWI00<000000=WIf@3IfMT0303IfMT00`000?l0fMWI0=WIf@3]0=WIf@008@3IfMT00`000000fMWI\n0=WIf@0=0=WIf@030000o`3IfMT0fMWI0>`0fMWI000Q0=WIf@030000003IfMT0fMWI00d0fMWI00<0\n003o0=WIf@3IfMT0k03IfMT00240fMWI00<000000=WIf@3IfMT03@3IfMT00`000?l0fMWI0=WIf@3/\n0=WIf@008@3IfMT2000000l0fMWI00<0003o0=WIf@3IfMT0j`3IfMT00240fMWI00<000000=WIf@3I\nfMT03P3IfMT00`000?l0fMWI0=WIf@3[0=WIf@008@3IfMT00`000000fMWI0=WIf@0>0=WIf@030000\no`3IfMT0fMWI0>/0fMWI000Q0=WIf@030000003IfMT0fMWI00l0fMWI00<0003o0=WIf@3IfMT0jP3I\nfMT00240fMWI00<000000=WIf@3IfMT03`3IfMT00`000?l0fMWI0=WIf@3Z0=WIf@008@3IfMT00`00\n0000fMWI0=WIf@0?0=WIf@030000o`3IfMT0fMWI0>X0fMWI000Q0=WIf@8000004@3IfMT00`000?l0\nfMWI0=WIf@3Y0=WIf@008@3IfMT00`000000fMWI0=WIf@0@0=WIf@030000o`3IfMT0fMWI0>T0fMWI\n000Q0=WIf@030000003IfMT0fMWI0100fMWI00<0003o0=WIf@3IfMT0j@3IfMT00240fMWI00<00000\n0=WIf@3IfMT04@3IfMT00`000?l0fMWI0=WIf@3X0=WIf@008@3IfMT00`000000fMWI0=WIf@0A0=WI\nf@030000o`3IfMT0fMWI0>P0fMWI00080=WIf@D000000P3IfMT2000000@0fMWI0P0000040=WIf@80\n0000103IfMT00`000000fMWI0=WIf@0A0=WIf@030000o`3IfMT0fMWI0>P0fMWI000:0=WIf@030000\n003IfMT0fMWI00L0fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000030=WI\nf@030000003IfMT0fMWI0180fMWI00<0003o0=WIf@3IfMT0i`3IfMT000X0fMWI00<000000=WIf@3I\nfMT02P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI0=WIf@<000004P3IfMT0\n0`000?l0fMWI0=WIf@3W0=WIf@002P3IfMT00`000000fMWI0=WIf@080=WIf@800000103IfMT20000\n00@0fMWI00<000000=WIf@3IfMT04P3IfMT00`000?l0fMWI0=WIf@3W0=WIf@002P3IfMT00`000000\nfMWI0=WIf@080=WIf@030000003IfMT0fMWI0080fMWI00@000000=WIf@3IfMT000000`3IfMT00`00\n0000fMWI0=WIf@0C0=WIf@030000o`3IfMT0fMWI0>H0fMWI00090=WIf@8000002P3IfMT3000000<0\nfMWI0P0000040=WIf@030000003IfMT0fMWI01<0fMWI00<0003o0=WIf@3IfMT0iP3IfMT00240fMWI\n00<000000=WIf@3IfMT0503IfMT00`000?l0fMWI0=WIf@3U0=WIf@008@3IfMT00`000000fMWI0=WI\nf@0D0=WIf@030000o`3IfMT0fMWI0>D0fMWI000Q0=WIf@030000003IfMT0fMWI01@0fMWI00<0003o\n0=WIf@3IfMT0i@3IfMT00240fMWI0P00000F0=WIf@030000o`3IfMT0fMWI0>@0fMWI000Q0=WIf@03\n0000003IfMT0fMWI01D0fMWI00<0003o0=WIf@3IfMT0i03IfMT00240fMWI00<000000=WIf@3IfMT0\n5@3IfMT00`000?l0fMWI0=WIf@3T0=WIf@008@3IfMT00`000000fMWI0=WIf@0F0=WIf@030000o`3I\nfMT0fMWI0><0fMWI000Q0=WIf@030000003IfMT0fMWI01H0fMWI00<0003o0=WIf@3IfMT0h`3IfMT0\n0240fMWI00<000000=WIf@3IfMT05`3IfMT00`000?l0fMWI0=WIf@3R0=WIf@008@3IfMT2000001P0\nfMWI00<0003o0=WIf@3IfMT0hP3IfMT00240fMWI00<000000=WIf@3IfMT0603IfMT00`000?l0fMWI\n0=WIf@3Q0=WIf@008@3IfMT00`000000fMWI0=WIf@0H0=WIf@030000o`3IfMT0fMWI01@0fMWI0P00\n00040=WIf@800000:P3IfMT500000080fMWI0P0000040=WIf@8000009`3IfMT500000080fMWI0P00\n00040=WIf@8000009`3IfMT4000000<0fMWI0P0000040=WIf@800000803IfMT00240fMWI00<00000\n0=WIf@3IfMT0603IfMT00`000?l0fMWI0=WIf@0C0=WIf@040000003IfMT0fMWI00000080fMWI00@0\n00000=WIf@3IfMT00000:`3IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00@000000=WIf@3I\nfMT000000P3IfMT00`000000fMWI0=WIf@0V0=WIf@050000003IfMT0fMWI0=WIf@0000000P3IfMT0\n10000000fMWI0=WIf@0000020=WIf@030000003IfMT0fMWI02@0fMWI00<000000=WIf@3IfMT00`3I\nfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI000001l0fMWI000Q0=WIf@030000\n003IfMT0fMWI01T0fMWI00<0003o0=WIf@3IfMT05@3IfMT010000000fMWI0=WIf@0000020=WIf@03\n0000003IfMT0fMWI02T0fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@040000003IfMT0fMWI\n00000080fMWI00<000000=WIf@3IfMT09P3IfMT00`000000fMWI0=WIf@040=WIf@040000003IfMT0\nfMWI00000080fMWI00<000000=WIf@3IfMT09@3IfMT00`000000fMWI0=WIf@020=WIf@040000003I\nfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000007`3IfMT00240fMWI00<000000=WIf@3IfMT0\n6@3IfMT00`000?l0fMWI0=WIf@0C0=WIf@8000000`3IfMT010000000fMWI0=WIf@00000[0=WIf@05\n0000003IfMT0fMWI0=WIf@0000000P3IfMT010000000fMWI0=WIf@0000020=WIf@030000003IfMT0\nfMWI02H0fMWI00<000000=WIf@3IfMT00P3IfMT2000000<0fMWI00@000000=WIf@3IfMT00000:03I\nfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00@000000=WIf@3IfMT000000P3IfMT00`000000\nfMWI0=WIf@0M0=WIf@008@3IfMT00`000000fMWI0=WIf@0J0=WIf@030000o`3IfMT0fMWI0180fMWI\n00<000000=WIf@3IfMT00P3IfMT010000000fMWI0=WIf@00000[0=WIf@050000003IfMT0fMWI0=WI\nf@0000000P3IfMT010000000fMWI0=WIf@0000020=WIf@030000003IfMT0fMWI02H0fMWI00<00000\n0=WIf@3IfMT00P3IfMT00`000000fMWI0=WIf@020=WIf@040000003IfMT0fMWI000002H0fMWI00@0\n00000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI0000\n01l0fMWI000Q0=WIf@8000006`3IfMT00`000?l0fMWI0=WIf@0B0=WIf@<000000`3IfMT2000002/0\nfMWI0P0000040=WIf@800000103IfMT2000002P0fMWI0P0000040=WIf@<000000`3IfMT2000002P0\nfMWI0P0000040=WIf@800000103IfMT200000200fMWI000Q0=WIf@030000003IfMT0fMWI01/0fMWI\n00<0003o0=WIf@3IfMT0gP3IfMT00240fMWI00<000000=WIf@3IfMT06`3IfMT00`000?l0fMWI0=WI\nf@3N0=WIf@008@3IfMT00`000000fMWI0=WIf@0L0=WIf@030000o`3IfMT0fMWI0=d0fMWI000Q0=WI\nf@030000003IfMT0fMWI01`0fMWI00<0003o0=WIf@3IfMT0g@3IfMT00240fMWI00<000000=WIf@3I\nfMT07@3IfMT00`000?l0fMWI0=WIf@3=0=WIf@8000003@3IfMT001`0fMWI9@0000000`000?l00000\n00000035000000L0fMWI00@000000=WIf@3IfMT00000303IfMT00240fMWI00<000000=WIf@3IfMT0\n203IfMT00`000000fMWI0=WIf@080=WIf@030000003IfMT0fMWI00P0fMWI00<0003o0=WIf@3IfMT0\n203IfMT00`000000fMWI0=WIf@070=WIf@030000003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT0\n203IfMT00`000000fMWI0=WIf@080=WIf@030000003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT0\n203IfMT00`000000fMWI0=WIf@080=WIf@030000003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT0\n1`3IfMT00`000000fMWI0=WIf@080=WIf@030000003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT0\n203IfMT00`000000fMWI0=WIf@080=WIf@030000003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT0\n203IfMT00`000000fMWI0=WIf@080=WIf@030000003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT0\n2@3IfMT00`000000fMWI0=WIf@0=0=WIf@008@3IfMT00`000000fMWI0=WIf@0N0=WIf@030000o`3I\nfMT0fMWI0180fMWI00<000000=WIf@3IfMT0<`3IfMT00`000000fMWI0=WIf@0c0=WIf@030000003I\nfMT0fMWI03<0fMWI00<000000=WIf@3IfMT04`3IfMT5000000`0fMWI000Q0=WIf@030000003IfMT0\nfMWI01l0fMWI00<0003o0=WIf@3IfMT0bP3IfMT00`000000fMWI0=WIf@0=0=WIf@008@3IfMT00`00\n0000fMWI0=WIf@0P0=WIf@030000o`3IfMT0fMWI0=T0fMWI000Q0=WIf@030000003IfMT0fMWI0200\nfMWI00<0003o0=WIf@3IfMT0f@3IfMT00240fMWI00<000000=WIf@3IfMT08@3IfMT00`000?l0fMWI\n0=WIf@3H0=WIf@008@3IfMT200000280fMWI0P000?oI0=WIf@008@3IfMT00`000000fMWI0=WIf@0R\n0=WIf@030000o`3IfMT0fMWI0=L0fMWI000Q0=WIf@030000003IfMT0fMWI02<0fMWI00<0003o0=WI\nf@3IfMT0eP3IfMT00240fMWI00<000000=WIf@3IfMT0903IfMT00`000?l0fMWI0=WIf@3E0=WIf@00\n8@3IfMT00`000000fMWI0=WIf@0U0=WIf@030000o`3IfMT0fMWI0=@0fMWI000Q0=WIf@030000003I\nfMT0fMWI02H0fMWI00<0003o0=WIf@3IfMT0d`3IfMT00240fMWI0P00000X0=WIf@030000o`3IfMT0\nfMWI0=80fMWI000Q0=WIf@030000003IfMT0fMWI02P0fMWI0P000?oB0=WIf@008@3IfMT00`000000\nfMWI0=WIf@0Y0=WIf@80003od@3IfMT00240fMWI00<000000=WIf@3IfMT0:`3IfMT40000old0fMWI\n000Q0=WIf@030000003IfMT0fMWI02h0fMWI1@000?o90=WIf@008@3IfMT00`000000fMWI0=WIf@0b\n0=WIf@D0003oa@3IfMT00240fMWI00<000000=WIf@3IfMT0=P3IfMT50000ol40fMWI000Q0=WIf@80\n0000?03IfMT40000okd0fMWI000Q0=WIf@030000003IfMT0fMWI03l0fMWI1@000?nh0=WIf@008@3I\nfMT00`000000fMWI0=WIf@130=WIf@D0003o]03IfMT00240fMWI00<000000=WIf@3IfMT0B03IfMT5\n0000ojl0fMWI00080=WIf@D000000P3IfMT2000000<0fMWI0`0000030=WIf@@000000`3IfMT00`00\n0000fMWI0=WIf@1=0=WIf@D0003oZP3IfMT000X0fMWI00<000000=WIf@3IfMT01`3IfMT010000000\nfMWI0=WIf@0000020=WIf@030000003IfMT0fMWI00@0fMWI00<000000=WIf@3IfMT0DP3IfMT50000\nojD0fMWI000:0=WIf@030000003IfMT0fMWI00L0fMWI00@000000=WIf@3IfMT000000`3IfMT00`00\n0000fMWI0=WIf@030=WIf@<00000EP3IfMT60000oj00fMWI000:0=WIf@030000003IfMT0fMWI00L0\nfMWI0`0000050=WIf@030000003IfMT0fMWI0080fMWI00<000000=WIf@3IfMT0G03IfMT50000oi/0\nfMWI000:0=WIf@030000003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT00P3IfMT010000000fMWI\n0=WIf@0000030=WIf@030000003IfMT0fMWI0640fMWI1P000?nE0=WIf@002@3IfMT2000000X0fMWI\n0`0000030=WIf@800000103IfMT00`000000fMWI0=WIf@1V0=WIf@H0003oT03IfMT00240fMWI00<0\n00000=WIf@3IfMT0K03IfMT60000ohX0fMWI000Q0=WIf@030000003IfMT0fMWI0780fMWI1P000?n4\n0=WIf@008@3IfMT00`000000fMWI0=WIf@1h0=WIf@L0003oO@3IfMT00240fMWI0P00001o0=WIf@P0\n003oMP3IfMT00240fMWI00<000000=WIf@3IfMT0Q@3IfMT80000ofl0fMWI000Q0=WIf@030000003I\nfMT0fMWI08d0fMWI2@000?mV0=WIf@008@3IfMT00`000000fMWI0=WIf@2E0=WIf@X0003oG@3IfMT0\n0240fMWI00<000000=WIf@3IfMT0WP3IfMT;0000oe<0fMWI000Q0=WIf@030000003IfMT0fMWI0:P0\nfMWI3@000?m70=WIf@008@3IfMT00`000000fMWI0=WIf@2e0=WIfA80003o=@3IfMT00240fMWI0P00\n00370=WIfAT0003o7@3IfMT00240fMWI00<000000=WIf@3IfMT0o03IfMT00240fMWI00<000000=WI\nf@3IfMT0o03IfMT00240fMWI00<000000=WIf@3IfMT0o03IfMT00240fMWI00<000000=WIf@3IfMT0\no03IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI\n8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI\n8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI\n8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI\n8@3IfMT002D0fMWI00<000000=WIf@3IfMT01@3IfMT300000280fMWI0`00000Q0=WIf@800000103I\nfMT00`000000fMWI0=WIf@050=WIf@800000203IfMT200000900fMWI000T0=WIf@030000003IfMT0\nfMWI00L0fMWI00<000000=WIf@3IfMT0903IfMT00`000000fMWI0=WIf@0O0=WIf@030000003IfMT0\nfMWI00<0fMWI00<000000=WIf@3IfMT0103IfMT00`000000fMWI0=WIf@080=WIf@030000003IfMT0\nfMWI08h0fMWI000S0=WIf@030000003IfMT0fMWI0080fMWI1@000000103IfMT00000000000000004\n0=WIf@8000000`3IfMT3000000<0fMWI0`0000040=WIf@800000103IfMT2000000@0fMWI0`000002\n0=WIf@@000000P3IfMT500000080fMWI0P0000040=WIf@<000000`3IfMT2000000D0fMWI00<00000\n0=WIf@3IfMT00`3IfMT00`000000fMWI0=WIf@030=WIf@030000003IfMT0fMWI0080fMWI0P000004\n0=WIf@030000003IfMT0fMWI08h0fMWI000S0=WIf@030000003IfMT0fMWI0080fMWI100000020=WI\nf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000`3IfMT00`000000fMWI0=WI\nf@030=WIf@030000003IfMT0fMWI0080fMWI00@000000=WIf@3IfMT00000203IfMT010000000fMWI\n0=WIf@0000030=WIf@030000003IfMT0fMWI0080fMWI100000030=WIf@8000001@3IfMT01@000000\nfMWI0=WIf@3IfMT000000080fMWI00L000000=WIf@3IfMT0fMWI0000003IfMT0000000@0fMWI00<0\n00000=WIf@3IfMT00`3IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00D000000=WIf@3IfMT0\nfMWI0000002@0=WIf@005P3IfMT80000o`D0fMWI00<000000=WIf@3IfMT01@3IfMT010000000fMWI\n0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00D000000=WIf@3IfMT0fMWI00000005\n0=WIf@030000003IfMT0fMWI0080fMWI00@000000=WIf@3IfMT00000203IfMT010000000fMWI0=WI\nf@0000030=WIf@030000003IfMT0fMWI00D0fMWI00@000000=WIf@3IfMT000000P3IfMT00`000000\nfMWI0=WIf@020=WIf@050000003IfMT0fMWI0=WIf@0000001@3IfMT010000000fMWI0=WIf@000004\n0=WIf@030000003IfMT0fMWI00<0fMWI00D000000=WIf@3IfMT0fMWI000000060=WIf@030000003I\nfMT0fMWI08h0fMWI000S0=WIf@030000003IfMT0fMWI00<0fMWI0`0000000`3IfMT0000000000002\n000000@0fMWI0P0000040=WIf@030000003IfMT0fMWI00<0fMWI00<000000=WIf@3IfMT00`3IfMT2\n000000X0fMWI100000000`3IfMT0000000000002000000<0fMWI0`0000000`3IfMT0000000000002\n0=WIf@8000000P3IfMT200000080fMWI1@0000001@3IfMT00000000000000000fMWI008000000`3I\nfMT00`000000fMWI0=WIf@030=WIf@030000003IfMT0fMWI00D000000`3IfMT00`000000fMWI0=WI\nf@2>0=WIf@00903IfMT00`000000fMWI0=WIf@0D0=WIf@030000003IfMT0fMWI00<0fMWI00<00000\n0=WIf@3IfMT0;03IfMT00`000000fMWI0=WIf@0:0=WIf@030000003IfMT0fMWI00@0fMWI00D00000\n0=WIf@3IfMT0fMWI000000060=WIf@030000003IfMT0fMWI08h0fMWI000U0=WIf@030000003IfMT0\nfMWI0180fMWI0P0000040=WIf@800000:P3IfMT00`000000fMWI0=WIf@0=0=WIf@030000003IfMT0\nfMWI00D0fMWI0P0000080=WIf@800000T03IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI\n8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI\n8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI\n8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI\n8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00001"]], Rule[ImageRangeCache, List[Rule[List[List[0, 287], List[213.25`, 0]], List[-1.05141`, -0.655244`, 0.00732689`, 0.00732689`]], Rule[List[List[7, 279.938`], List[208.125`, 39.4375`]], List[-31.5121`, 1.5092`, 0.928263`, 0.000763048`]], Rule[List[List[20.625`, 157.125`], List[46, 5.0625`]], List[-2.57534`, -5.65634`, 0.119891`, 0.0332217`]], Rule[List[List[22.125`, 30.4375`], List[40.5625`, 10.4375`]], List[-6.32337`, -45.1734`, 0.240604`, 0.240604`]]]]], Cell[TextData[List["\t\t\t\t\t\t", StyleBox["Diagram 4:", Rule[FontWeight, "Bold"]], " Gradually increasing gravity when the rocket approaches the lunar surface\n"]], "Text"], Cell["plot( apollo.velocity, xrange={0,208} );", "ModelicaInput"], Cell[GraphicsData["PostScript", "%!\n%%Creator: Mathematica\n%%AspectRatio: .74402 \nMathPictureStart\n/Mabs {\nMgmatrix idtransform\nMtmatrix dtransform\n} bind def\n/Mabsadd { Mabs\n3 -1 roll add\n3 1 roll add\nexch } bind def\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.5 0.47619 0.312017 0.47619 [\n[ 0 0 0 0 ]\n[ 1 .74402 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n% Start of sub-graphic\np\n0.0238095 0.0177147 0.97619 0.606318 MathSubStart\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.0238095 0.0045704 0.604014 0.000294208 [\n[.25233 .59151 -6 -9 ]\n[.25233 .59151 6 0 ]\n[.48085 .59151 -9 -9 ]\n[.48085 .59151 9 0 ]\n[.70937 .59151 -9 -9 ]\n[.70937 .59151 9 0 ]\n[.93789 .59151 -9 -9 ]\n[.93789 .59151 9 0 ]\n[1.025 .60401 0 -6.28125 ]\n[1.025 .60401 10 6.28125 ]\n[.01131 .0156 -30 -4.5 ]\n[.01131 .0156 0 4.5 ]\n[.01131 .1627 -30 -4.5 ]\n[.01131 .1627 0 4.5 ]\n[.01131 .30981 -30 -4.5 ]\n[.01131 .30981 0 4.5 ]\n[.01131 .45691 -24 -4.5 ]\n[.01131 .45691 0 4.5 ]\n[ 0 0 0 0 ]\n[ 1 .61803 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n0 g\n.25 Mabswid\n[ ] 0 setdash\n.25233 .60401 m\n.25233 .61026 L\ns\n[(50)] .25233 .59151 0 1 Mshowa\n.48085 .60401 m\n.48085 .61026 L\ns\n[(100)] .48085 .59151 0 1 Mshowa\n.70937 .60401 m\n.70937 .61026 L\ns\n[(150)] .70937 .59151 0 1 Mshowa\n.93789 .60401 m\n.93789 .61026 L\ns\n[(200)] .93789 .59151 0 1 Mshowa\n.125 Mabswid\n.06951 .60401 m\n.06951 .60776 L\ns\n.11522 .60401 m\n.11522 .60776 L\ns\n.16092 .60401 m\n.16092 .60776 L\ns\n.20663 .60401 m\n.20663 .60776 L\ns\n.29803 .60401 m\n.29803 .60776 L\ns\n.34374 .60401 m\n.34374 .60776 L\ns\n.38944 .60401 m\n.38944 .60776 L\ns\n.43515 .60401 m\n.43515 .60776 L\ns\n.52655 .60401 m\n.52655 .60776 L\ns\n.57226 .60401 m\n.57226 .60776 L\ns\n.61796 .60401 m\n.61796 .60776 L\ns\n.66367 .60401 m\n.66367 .60776 L\ns\n.75507 .60401 m\n.75507 .60776 L\ns\n.80078 .60401 m\n.80078 .60776 L\ns\n.84648 .60401 m\n.84648 .60776 L\ns\n.89219 .60401 m\n.89219 .60776 L\ns\n.98359 .60401 m\n.98359 .60776 L\ns\n.25 Mabswid\n0 .60401 m\n1 .60401 L\ns\ngsave\n1.025 .60401 -61 -10.2813 Mabsadd m\n1 1 Mabs scale\ncurrentpoint translate\n0 20.5625 translate 1 -1 scale\n/g { setgray} bind def\n/k { setcmykcolor} bind def\n/p { gsave} bind def\n/r { setrgbcolor} bind def\n/w { setlinewidth} bind def\n/C { curveto} bind def\n/F { fill} bind def\n/L { lineto} bind def\n/rL { rlineto} bind def\n/P { grestore} bind def\n/s { stroke} bind def\n/S { show} bind def\n/N {currentpoint 3 -1 roll show moveto} bind def\n/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def\n/m { moveto} bind def\n/Mr { rmoveto} bind def\n/Mx {currentpoint exch pop moveto} bind def\n/My {currentpoint pop exch moveto} bind def\n/X {0 rmoveto} bind def\n/Y {0 exch rmoveto} bind def\n63.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n0.000 0.000 rmoveto\n63.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(t) show\n69.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n0.000 0.000 rmoveto\n1.000 setlinewidth\ngrestore\n.02381 .0156 m\n.03006 .0156 L\ns\n[(-2000)] .01131 .0156 1 0 Mshowa\n.02381 .1627 m\n.03006 .1627 L\ns\n[(-1500)] .01131 .1627 1 0 Mshowa\n.02381 .30981 m\n.03006 .30981 L\ns\n[(-1000)] .01131 .30981 1 0 Mshowa\n.02381 .45691 m\n.03006 .45691 L\ns\n[(-500)] .01131 .45691 1 0 Mshowa\n.125 Mabswid\n.02381 .04502 m\n.02756 .04502 L\ns\n.02381 .07444 m\n.02756 .07444 L\ns\n.02381 .10386 m\n.02756 .10386 L\ns\n.02381 .13328 m\n.02756 .13328 L\ns\n.02381 .19212 m\n.02756 .19212 L\ns\n.02381 .22154 m\n.02756 .22154 L\ns\n.02381 .25096 m\n.02756 .25096 L\ns\n.02381 .28038 m\n.02756 .28038 L\ns\n.02381 .33923 m\n.02756 .33923 L\ns\n.02381 .36865 m\n.02756 .36865 L\ns\n.02381 .39807 m\n.02756 .39807 L\ns\n.02381 .42749 m\n.02756 .42749 L\ns\n.02381 .48633 m\n.02756 .48633 L\ns\n.02381 .51575 m\n.02756 .51575 L\ns\n.02381 .54517 m\n.02756 .54517 L\ns\n.02381 .57459 m\n.02756 .57459 L\ns\n.25 Mabswid\n.02381 0 m\n.02381 .61803 L\ns\n0 0 1 r\n.001 w\n.02381 .01472 m\n.02591 .01926 L\n.02801 .02382 L\n.03012 .0284 L\n.03222 .03301 L\n.03432 .03764 L\n.03642 .04229 L\n.03853 .04696 L\n.04063 .05166 L\n.04273 .05637 L\n.04483 .06111 L\n.04694 .06588 L\n.04904 .07066 L\n.05114 .07547 L\n.05324 .08031 L\n.05535 .08516 L\n.05745 .09005 L\n.05955 .09495 L\n.06165 .09988 L\n.06375 .10484 L\n.06586 .10982 L\n.06796 .11482 L\n.07006 .11985 L\n.07216 .12491 L\n.07427 .12999 L\n.07637 .1351 L\n.07847 .14024 L\n.08057 .1454 L\n.08268 .15059 L\n.08478 .1558 L\n.08688 .16105 L\n.08898 .16632 L\n.09109 .17162 L\n.09319 .17695 L\n.09529 .18231 L\n.09739 .1877 L\n.0995 .19311 L\n.1016 .19856 L\n.1037 .20404 L\n.1058 .20954 L\n.1079 .21508 L\n.11001 .22065 L\n.11211 .22625 L\n.11421 .23189 L\n.11631 .23755 L\n.11842 .24325 L\n.12052 .24898 L\n.12262 .25474 L\n.12472 .26054 L\n.12683 .26637 L\nMistroke\n.12893 .27224 L\n.13103 .27814 L\n.13313 .28408 L\n.13524 .29005 L\n.13734 .29606 L\n.13944 .3021 L\n.14154 .30818 L\n.14365 .3143 L\n.14575 .32046 L\n.14785 .32666 L\n.14995 .33289 L\n.15206 .33917 L\n.15416 .34548 L\n.15626 .35183 L\n.15836 .35823 L\n.16046 .36466 L\n.16257 .37114 L\n.16467 .37766 L\n.16677 .38423 L\n.16887 .39083 L\n.17098 .39748 L\n.17308 .40418 L\n.17518 .41092 L\n.17728 .41771 L\n.17939 .42454 L\n.18149 .43142 L\n.18359 .43835 L\n.18569 .44532 L\n.1878 .45234 L\n.1899 .45942 L\n.192 .46654 L\n.1941 .47372 L\n.19621 .48094 L\n.19831 .48822 L\n.20041 .49556 L\n.20251 .50294 L\n.20461 .51038 L\n.20672 .51788 L\n.20882 .52543 L\n.21092 .53304 L\n.21302 .54071 L\n.21513 .54844 L\n.21723 .55622 L\n.21933 .56407 L\n.22125 .57129 L\n.22125 .57129 L\n.22143 .5713 L\n.22354 .57137 L\n.22564 .57145 L\n.22774 .57152 L\nMistroke\n.22984 .5716 L\n.23195 .57167 L\n.23405 .57175 L\n.23615 .57183 L\n.23825 .5719 L\n.24036 .57198 L\n.24246 .57205 L\n.24456 .57213 L\n.24666 .57221 L\n.24876 .57228 L\n.25087 .57236 L\n.25297 .57243 L\n.25507 .57251 L\n.25717 .57259 L\n.25928 .57266 L\n.26138 .57274 L\n.26348 .57282 L\n.26558 .57289 L\n.26769 .57297 L\n.26979 .57305 L\n.27189 .57312 L\n.27399 .5732 L\n.2761 .57328 L\n.2782 .57335 L\n.2803 .57343 L\n.2824 .57351 L\n.28451 .57359 L\n.28661 .57366 L\n.28871 .57374 L\n.29081 .57382 L\n.29291 .5739 L\n.29502 .57397 L\n.29712 .57405 L\n.29922 .57413 L\n.30132 .57421 L\n.30343 .57428 L\n.30553 .57436 L\n.30763 .57444 L\n.30973 .57452 L\n.31184 .5746 L\n.31394 .57467 L\n.31604 .57475 L\n.31814 .57483 L\n.32025 .57491 L\n.32235 .57499 L\n.32445 .57507 L\n.32655 .57515 L\n.32866 .57522 L\n.33076 .5753 L\n.33286 .57538 L\nMistroke\n.33496 .57546 L\n.33707 .57554 L\n.33917 .57562 L\n.34127 .5757 L\n.34337 .57578 L\n.34547 .57586 L\n.34758 .57594 L\n.34968 .57602 L\n.35178 .5761 L\n.35388 .57618 L\n.35599 .57626 L\n.35809 .57634 L\n.36019 .57642 L\n.36229 .5765 L\n.3644 .57658 L\n.3665 .57666 L\n.3686 .57674 L\n.3707 .57682 L\n.37281 .5769 L\n.37491 .57698 L\n.37701 .57706 L\n.37911 .57714 L\n.38122 .57722 L\n.38332 .5773 L\n.38542 .57738 L\n.38752 .57746 L\n.38962 .57754 L\n.39173 .57762 L\n.39383 .5777 L\n.39593 .57778 L\n.39803 .57787 L\n.40014 .57795 L\n.40224 .57803 L\n.40434 .57811 L\n.40644 .57819 L\n.40855 .57827 L\n.41065 .57835 L\n.41275 .57844 L\n.41485 .57852 L\n.41696 .5786 L\n.41906 .57868 L\n.42116 .57876 L\n.42326 .57885 L\n.42537 .57893 L\n.42747 .57901 L\n.42957 .57909 L\n.43167 .57917 L\n.43377 .57926 L\n.43588 .57934 L\n.43798 .57942 L\nMistroke\n.44008 .57951 L\n.44218 .57959 L\n.44429 .57967 L\n.44639 .57975 L\n.44849 .57984 L\n.45059 .57992 L\n.4527 .58 L\n.4548 .58009 L\n.4569 .58017 L\n.459 .58025 L\n.46111 .58034 L\n.46321 .58042 L\n.46531 .5805 L\n.46741 .58059 L\n.46952 .58067 L\n.47162 .58075 L\n.47372 .58084 L\n.47582 .58092 L\n.47792 .58101 L\n.48003 .58109 L\n.48213 .58118 L\n.48423 .58126 L\n.48633 .58134 L\n.48844 .58143 L\n.49054 .58151 L\n.49264 .5816 L\n.49474 .58168 L\n.49685 .58177 L\n.49895 .58185 L\n.50105 .58194 L\n.50315 .58202 L\n.50526 .58211 L\n.50736 .58219 L\n.50946 .58228 L\n.51156 .58236 L\n.51367 .58245 L\n.51577 .58253 L\n.51787 .58262 L\n.51997 .5827 L\n.52208 .58279 L\n.52418 .58288 L\n.52628 .58296 L\n.52838 .58305 L\n.53048 .58313 L\n.53259 .58322 L\n.53469 .58331 L\n.53679 .58339 L\n.53889 .58348 L\n.541 .58357 L\n.5431 .58365 L\nMistroke\n.5452 .58374 L\n.5473 .58383 L\n.54941 .58391 L\n.55151 .584 L\n.55361 .58409 L\n.55571 .58417 L\n.55782 .58426 L\n.55992 .58435 L\n.56202 .58443 L\n.56412 .58452 L\n.56623 .58461 L\n.56833 .5847 L\n.57043 .58478 L\n.57253 .58487 L\n.57463 .58496 L\n.57674 .58505 L\n.57884 .58514 L\n.58094 .58522 L\n.58304 .58531 L\n.58515 .5854 L\n.58725 .58549 L\n.58935 .58558 L\n.59145 .58566 L\n.59356 .58575 L\n.59566 .58584 L\n.59776 .58593 L\n.59986 .58602 L\n.60197 .58611 L\n.60407 .5862 L\n.60617 .58629 L\n.60827 .58638 L\n.61038 .58646 L\n.61248 .58655 L\n.61458 .58664 L\n.61668 .58673 L\n.61878 .58682 L\n.62089 .58691 L\n.62299 .587 L\n.62509 .58709 L\n.62719 .58718 L\n.6293 .58727 L\n.6314 .58736 L\n.6335 .58745 L\n.6356 .58754 L\n.63771 .58763 L\n.63981 .58772 L\n.64191 .58781 L\n.64401 .5879 L\n.64612 .58799 L\n.64822 .58808 L\nMistroke\n.65032 .58817 L\n.65242 .58826 L\n.65453 .58836 L\n.65663 .58845 L\n.65873 .58854 L\n.66083 .58863 L\n.66293 .58872 L\n.66504 .58881 L\n.66714 .5889 L\n.66924 .58899 L\n.67134 .58909 L\n.67345 .58918 L\n.67555 .58927 L\n.67765 .58936 L\n.67975 .58945 L\n.68186 .58954 L\n.68396 .58964 L\n.68606 .58973 L\n.68816 .58982 L\n.69027 .58991 L\n.69237 .59001 L\n.69447 .5901 L\n.69657 .59019 L\n.69868 .59028 L\n.70078 .59038 L\n.70288 .59047 L\n.70498 .59056 L\n.70709 .59066 L\n.70919 .59075 L\n.71129 .59084 L\n.71339 .59094 L\n.71549 .59103 L\n.7176 .59112 L\n.7197 .59122 L\n.7218 .59131 L\n.7239 .5914 L\n.72601 .5915 L\n.72811 .59159 L\n.73021 .59169 L\n.73231 .59178 L\n.73442 .59187 L\n.73652 .59197 L\n.73862 .59206 L\n.74072 .59216 L\n.74283 .59225 L\n.74493 .59235 L\n.74703 .59244 L\n.74913 .59254 L\n.75124 .59263 L\n.75334 .59273 L\nMistroke\n.75544 .59282 L\n.75754 .59292 L\n.75964 .59301 L\n.76175 .59311 L\n.76385 .5932 L\n.76595 .5933 L\n.76805 .59339 L\n.77016 .59349 L\n.77226 .59358 L\n.77436 .59368 L\n.77646 .59378 L\n.77857 .59387 L\n.78067 .59397 L\n.78277 .59406 L\n.78487 .59416 L\n.78698 .59426 L\n.78908 .59435 L\n.79118 .59445 L\n.79328 .59455 L\n.79539 .59464 L\n.79749 .59474 L\n.79959 .59484 L\n.80169 .59493 L\n.80379 .59503 L\n.8059 .59513 L\n.808 .59523 L\n.8101 .59532 L\n.8122 .59542 L\n.81431 .59552 L\n.81641 .59562 L\n.81851 .59571 L\n.82061 .59581 L\n.82272 .59591 L\n.82482 .59601 L\n.82692 .59611 L\n.82902 .5962 L\n.83113 .5963 L\n.83323 .5964 L\n.83533 .5965 L\n.83743 .5966 L\n.83954 .5967 L\n.84164 .5968 L\n.84374 .5969 L\n.84584 .59699 L\n.84794 .59709 L\n.85005 .59719 L\n.85215 .59729 L\n.85425 .59739 L\n.85635 .59749 L\n.85846 .59759 L\nMistroke\n.86056 .59769 L\n.86266 .59779 L\n.86476 .59789 L\n.86687 .59799 L\n.86897 .59809 L\n.87107 .59819 L\n.87317 .59829 L\n.87528 .59839 L\n.87738 .59849 L\n.87948 .59859 L\n.88158 .59869 L\n.88369 .59879 L\n.88579 .59889 L\n.88789 .59899 L\n.88999 .5991 L\n.89209 .5992 L\n.8942 .5993 L\n.8963 .5994 L\n.8984 .5995 L\n.9005 .5996 L\n.90261 .5997 L\n.90471 .5998 L\n.90681 .59991 L\n.90891 .60001 L\n.91102 .60011 L\n.91312 .60021 L\n.91522 .60031 L\n.91732 .60042 L\n.91943 .60052 L\n.92153 .60062 L\n.92363 .60072 L\n.92573 .60083 L\n.92784 .60093 L\n.92994 .60103 L\n.93204 .60114 L\n.93414 .60124 L\n.93625 .60134 L\n.93835 .60144 L\n.94045 .60155 L\n.94255 .60165 L\n.94465 .60175 L\n.94676 .60186 L\n.94886 .60196 L\n.95096 .60207 L\n.95306 .60217 L\n.95517 .60227 L\n.95727 .60238 L\n.95937 .60248 L\n.96147 .60259 L\n.96358 .60269 L\nMistroke\n.96568 .60279 L\n.96778 .6029 L\n.96988 .603 L\n.97199 .60311 L\n.97409 .60321 L\n.97619 .60332 L\nMfstroke\n0 0 m\n1 0 L\n1 .61803 L\n0 .61803 L\nclosepath\nclip\nnewpath\nMathSubEnd\nP\n% End of sub-graphic\n% Start of sub-graphic\np\n0.0714286 0.583445 0.547619 0.726302 MathSubStart\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.00611247 0.0611247 0.0220588 0.220588 [\n[ 0 0 0 0 ]\n[ 1 .3 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n0 0 m\n1 0 L\n1 .3 L\n0 .3 L\nclosepath\nclip\nnewpath\n% Start of sub-graphic\np\n0.0110024 0.0397059 0.0721271 0.260294 MathSubStart\n%% Graphics\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10  scalefont  setfont\n% Scaling calculations\n0.5 0.5 0.5 0.5 [\n[ 0 0 0 0 ]\n[ 1 1 0 0 ]\n] MathScale\n% Start of Graphics\n1 setlinecap\n1 setlinejoin\nnewpath\n0 0 m\n1 0 L\n1 1 L\n0 1 L\nclosepath\nclip\nnewpath\n0 0 1 r\n.00187 w\n[ ] 0 setdash\n0 .5 m\n1 .5 L\ns\nMathSubEnd\nP\n% End of sub-graphic\n0 g\ngsave\n.08007 .15 -61 -10.2813 Mabsadd m\n1 1 Mabs scale\ncurrentpoint translate\n0 20.5625 translate 1 -1 scale\n/g { setgray} bind def\n/k { setcmykcolor} bind def\n/p { gsave} bind def\n/r { setrgbcolor} bind def\n/w { setlinewidth} bind def\n/C { curveto} bind def\n/F { fill} bind def\n/L { lineto} bind def\n/rL { rlineto} bind def\n/P { grestore} bind def\n/s { stroke} bind def\n/S { show} bind def\n/N {currentpoint 3 -1 roll show moveto} bind def\n/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def\n/m { moveto} bind def\n/Mr { rmoveto} bind def\n/Mx {currentpoint exch pop moveto} bind def\n/My {currentpoint pop exch moveto} bind def\n/X {0 rmoveto} bind def\n/Y {0 exch rmoveto} bind def\n%%IncludeResource: font Mathematica2Mono\n%%IncludeFont: Mathematica2Mono\n/Mathematica2Mono findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n63.000 12.813 moveto\n(H) show\n69.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(apollo) show\n105.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(.) show\n111.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(velocity) show\n%%IncludeResource: font Mathematica2Mono\n%%IncludeFont: Mathematica2Mono\n/Mathematica2Mono findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n159.000 12.813 moveto\n(L) show\n165.000 12.813 moveto\n(@) show\n171.000 12.813 moveto\n%%IncludeResource: font Courier\n%%IncludeFont: Courier\n/Courier findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n(t) show\n%%IncludeResource: font Mathematica2Mono\n%%IncludeFont: Mathematica2Mono\n/Mathematica2Mono findfont 10.000 scalefont\n[1 0 0 -1 0 0 ] makefont setfont\n0.000 0.000 0.000 setrgbcolor\n177.000 12.813 moveto\n(D) show\n1.000 setlinewidth\ngrestore\nMathSubEnd\nP\n% End of sub-graphic\n0 0 m\n1 0 L\n1 .74402 L\n0 .74402 L\nclosepath\nclip\nnewpath\n% End of Graphics\nMathPictureEnd\n"], "Graphics", Rule[ImageSize, List[288, 214.25`]], Rule[ImageMargins, List[List[35, 0], List[0, 0]]], Rule[ImageRegion, List[List[0, 1], List[0, 1]]], Rule[ImageCache, GraphicsData["Bitmap", "CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000eR000`400?l00000o`00003oo`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ\n0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@009`3IfMT00`000000fMWI0=WIf@3f0=WIf@003P3I\nfMT4000000<0fMWI0P0000040=WIf@800000103IfMT2000000@0fMWI00<000000=WIf@3IfMT0mP3I\nfMT000h0fMWI00<000000=WIf@3IfMT00`3IfMT010000000fMWI0=WIf@0000020=WIf@040000003I\nfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000`3IfMT00`000000fMWI0=WIf@3f0=WIf@00\n3`3IfMT00`000000fMWI0=WIf@020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3I\nfMT000000P3IfMT010000000fMWI0=WIf@0000030=WIf@030000o`00000000000?H0fMWI00080=WI\nf@@00000103IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00@000000=WIf@3IfMT000000P3I\nfMT010000000fMWI0=WIf@0000020=WIf@060000003IfMT0fMWI0=WIf@000000003om`3IfMT000h0\nfMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0\nfMWI00000080fMWI00@000000=WIf@3IfMT000000`3IfMT00`000000003o0=WIf@3f0=WIf@003`3I\nfMT2000000@0fMWI0P0000040=WIf@800000103IfMT2000000@0fMWI00<000000=WIf@000?l0mP3I\nfMT002L0fMWI00<000000=WIf@000?l0mP3IfMT002L0fMWI00@000000=WIf@3IfMT0003om@3IfMT0\n02L0fMWI00@000000=WIf@3IfMT0003om@3IfMT002L0fMWI0P0000020=WIf@030000o`3IfMT0fMWI\n0?80fMWI000W0=WIf@050000003IfMT0fMWI0=WIf@000?l0m03IfMT002L0fMWI00D000000=WIf@3I\nfMT0fMWI0000o`3d0=WIf@009`3IfMT00`000000fMWI0=WIf@020=WIf@030000o`3IfMT0fMWI0?40\nfMWI000W0=WIf@030000003IfMT0fMWI0080fMWI00<0003o0=WIf@3IfMT0l@3IfMT002L0fMWI00<0\n00000=WIf@3IfMT00`3IfMT00`000?l0fMWI0=WIf@3`0=WIf@009`3IfMT00`000000fMWI0=WIf@03\n0=WIf@030000o`3IfMT0fMWI0?00fMWI000W0=WIf@8000001@3IfMT00`000?l0fMWI0=WIf@3_0=WI\nf@009`3IfMT00`000000fMWI0=WIf@040=WIf@030000o`3IfMT0fMWI0>l0fMWI000W0=WIf@030000\n003IfMT0fMWI00D0fMWI00<0003o0=WIf@3IfMT0kP3IfMT002L0fMWI00<000000=WIf@3IfMT01@3I\nfMT00`000?l0fMWI0=WIf@3^0=WIf@009`3IfMT00`000000fMWI0=WIf@060=WIf@030000o`3IfMT0\nfMWI0>d0fMWI000W0=WIf@030000003IfMT0fMWI00H0fMWI00<0003o0=WIf@3IfMT0k@3IfMT002L0\nfMWI00<000000=WIf@3IfMT01P3IfMT00`000?l0fMWI0=WIf@3]0=WIf@009`3IfMT2000000P0fMWI\n00<0003o0=WIf@3IfMT0k03IfMT002L0fMWI00<000000=WIf@3IfMT01`3IfMT00`000?l0fMWI0=WI\nf@3/0=WIf@009`3IfMT00`000000fMWI0=WIf@080=WIf@030000o`3IfMT0fMWI0>/0fMWI000W0=WI\nf@030000003IfMT0fMWI00P0fMWI00<0003o0=WIf@3IfMT0j`3IfMT002L0fMWI00<000000=WIf@3I\nfMT0203IfMT00`000?l0fMWI0=WIf@3[0=WIf@009`3IfMT00`000000fMWI0=WIf@080=WIf@030000\no`3IfMT0fMWI0>/0fMWI000W0=WIf@8000002P3IfMT00`000?l0fMWI0=WIf@3Z0=WIf@009`3IfMT0\n0`000000fMWI0=WIf@090=WIf@030000o`3IfMT0fMWI0>X0fMWI000W0=WIf@030000003IfMT0fMWI\n00X0fMWI00<0003o0=WIf@3IfMT0j@3IfMT002L0fMWI00<000000=WIf@3IfMT02P3IfMT00`000?l0\nfMWI0=WIf@3Y0=WIf@009`3IfMT00`000000fMWI0=WIf@0;0=WIf@030000o`3IfMT0fMWI0>P0fMWI\n000>0=WIf@D000000P3IfMT2000000@0fMWI0P0000040=WIf@800000103IfMT00`000000fMWI0=WI\nf@0;0=WIf@030000o`3IfMT0fMWI0>P0fMWI000@0=WIf@050000003IfMT0fMWI0=WIf@0000000P3I\nfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00D000000=WIf@3I\nfMT0fMWI0000000=0=WIf@030000o`3IfMT0fMWI0>P0fMWI000@0=WIf@030000003IfMT0fMWI00@0\nfMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0\nfMWI0=WIf@<00000303IfMT00`000?l0fMWI0=WIf@3W0=WIf@00203IfMT4000000@0fMWI00<00000\n0=WIf@3IfMT00P3IfMT2000000<0fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WI\nf@0000030=WIf@030000003IfMT0fMWI00`0fMWI00<0003o0=WIf@3IfMT0i`3IfMT00100fMWI00<0\n00000=WIf@3IfMT00P3IfMT00`000000fMWI0=WIf@020=WIf@040000003IfMT0fMWI00000080fMWI\n00@000000=WIf@3IfMT000000`3IfMT00`000000fMWI0=WIf@0=0=WIf@030000o`3IfMT0fMWI0>H0\nfMWI000?0=WIf@800000103IfMT3000000<0fMWI0P0000040=WIf@800000103IfMT00`000000fMWI\n0=WIf@0=0=WIf@030000o`3IfMT0fMWI0>H0fMWI000W0=WIf@030000003IfMT0fMWI00d0fMWI00<0\n003o0=WIf@3IfMT0iP3IfMT002L0fMWI00<000000=WIf@3IfMT03P3IfMT00`000?l0fMWI0=WIf@3U\n0=WIf@009`3IfMT00`000000fMWI0=WIf@0>0=WIf@030000o`3IfMT0fMWI0>D0fMWI000W0=WIf@80\n0000403IfMT00`000?l0fMWI0=WIf@3T0=WIf@009`3IfMT00`000000fMWI0=WIf@0?0=WIf@030000\no`3IfMT0fMWI0>@0fMWI000W0=WIf@030000003IfMT0fMWI00l0fMWI00<0003o0=WIf@3IfMT0i03I\nfMT002L0fMWI00<000000=WIf@3IfMT0403IfMT00`000?l0fMWI0=WIf@3S0=WIf@009`3IfMT00`00\n0000fMWI0=WIf@0@0=WIf@030000o`3IfMT0fMWI0><0fMWI000W0=WIf@030000003IfMT0fMWI0140\nfMWI00<0003o0=WIf@3IfMT0hP3IfMT002L0fMWI00<000000=WIf@3IfMT04@3IfMT00`000?l0fMWI\n0=WIf@3R0=WIf@009`3IfMT200000180fMWI00<0003o0=WIf@3IfMT0hP3IfMT002L0fMWI00<00000\n0=WIf@3IfMT04P3IfMT00`000?l0fMWI0=WIf@3Q0=WIf@009`3IfMT00`000000fMWI0=WIf@0B0=WI\nf@030000o`3IfMT0fMWI0>40fMWI000W0=WIf@030000003IfMT0fMWI01<0fMWI00<0003o0=WIf@3I\nfMT0h03IfMT002L0fMWI00<000000=WIf@3IfMT04`3IfMT00`000?l0fMWI0=WIf@3P0=WIf@009`3I\nfMT00`000000fMWI0=WIf@0C0=WIf@030000o`3IfMT0fMWI0>00fMWI000W0=WIf@8000005@3IfMT0\n0`000?l0fMWI0=WIf@3O0=WIf@009`3IfMT00`000000fMWI0=WIf@0D0=WIf@030000o`3IfMT0fMWI\n0=l0fMWI000W0=WIf@030000003IfMT0fMWI01@0fMWI00<0003o0=WIf@3IfMT0g`3IfMT002L0fMWI\n00<000000=WIf@3IfMT05@3IfMT00`000?l0fMWI0=WIf@3N0=WIf@009`3IfMT00`000000fMWI0=WI\nf@0E0=WIf@030000o`3IfMT0fMWI0=h0fMWI000W0=WIf@030000003IfMT0fMWI01H0fMWI00<0003o\n0=WIf@3IfMT0g@3IfMT002L0fMWI00<000000=WIf@3IfMT05P3IfMT00`000?l0fMWI0=WIf@3M0=WI\nf@009`3IfMT2000001L0fMWI00<0003o0=WIf@3IfMT0g@3IfMT002L0fMWI00<000000=WIf@3IfMT0\n5P3IfMT00`000?l0fMWI0=WIf@3M0=WIf@009`3IfMT00`000000fMWI0=WIf@0G0=WIf@030000o`3I\nfMT0fMWI0=`0fMWI000W0=WIf@030000003IfMT0fMWI01L0fMWI00<0003o0=WIf@3IfMT0g03IfMT0\n02L0fMWI00<000000=WIf@3IfMT05`3IfMT00`000?l0fMWI0=WIf@3L0=WIf@003P3IfMT500000080\nfMWI0P0000040=WIf@800000103IfMT2000000@0fMWI00<000000=WIf@3IfMT0603IfMT00`000?l0\nfMWI0=WIf@3K0=WIf@00403IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00@000000=WIf@3I\nfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@050000003IfMT0fMWI0=WIf@0000006P3I\nfMT00`000?l0fMWI0=WIf@3K0=WIf@00403IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00@0\n00000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI0=WI\nf@<00000603IfMT00`000?l0fMWI0=WIf@3K0=WIf@00203IfMT4000000@0fMWI00D000000=WIf@3I\nfMT0fMWI000000020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3I\nfMT01@000000fMWI0=WIf@3IfMT0000001/0fMWI00<0003o0=WIf@3IfMT0fP3IfMT00100fMWI00D0\n00000=WIf@3IfMT0fMWI000000020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3I\nfMT000000P3IfMT01@000000fMWI0=WIf@3IfMT0000001/0fMWI00<0003o0=WIf@3IfMT0fP3IfMT0\n00l0fMWI0P0000040=WIf@800000103IfMT2000000@0fMWI0P0000040=WIf@030000003IfMT0fMWI\n01T0fMWI00<0003o0=WIf@3IfMT0fP3IfMT002L0fMWI00<000000=WIf@3IfMT06P3IfMT00`000?l0\nfMWI0=WIf@3I0=WIf@009`3IfMT00`000000fMWI0=WIf@0J0=WIf@030000o`3IfMT0fMWI0=T0fMWI\n000W0=WIf@030000003IfMT0fMWI01X0fMWI00<0003o0=WIf@3IfMT0f@3IfMT002L0fMWI0P00000L\n0=WIf@030000o`3IfMT0fMWI0=P0fMWI000W0=WIf@030000003IfMT0fMWI01/0fMWI00<0003o0=WI\nf@3IfMT0f03IfMT002L0fMWI00<000000=WIf@3IfMT0703IfMT00`000?l0fMWI0=WIf@3G0=WIf@00\n9`3IfMT00`000000fMWI0=WIf@0L0=WIf@030000o`3IfMT0fMWI0=L0fMWI000W0=WIf@030000003I\nfMT0fMWI01`0fMWI00<0003o0=WIf@3IfMT0e`3IfMT002L0fMWI00<000000=WIf@3IfMT07@3IfMT0\n0`000?l0fMWI0=WIf@3F0=WIf@009`3IfMT2000001h0fMWI00<0003o0=WIf@3IfMT0eP3IfMT002L0\nfMWI00<000000=WIf@3IfMT07@3IfMT00`000?l0fMWI0=WIf@3F0=WIf@009`3IfMT00`000000fMWI\n0=WIf@0N0=WIf@030000o`3IfMT0fMWI0=D0fMWI000W0=WIf@030000003IfMT0fMWI01h0fMWI00<0\n003o0=WIf@3IfMT0e@3IfMT002L0fMWI00<000000=WIf@3IfMT07P3IfMT00`000?l0fMWI0=WIf@3E\n0=WIf@009`3IfMT00`000000fMWI0=WIf@0O0=WIf@030000o`3IfMT0fMWI0=@0fMWI000W0=WIf@03\n0000003IfMT0fMWI01l0fMWI00<0003o0=WIf@3IfMT0e03IfMT002L0fMWI0P00000P0=WIf@030000\no`3IfMT0fMWI0=@0fMWI000W0=WIf@030000003IfMT0fMWI01l0fMWI00<0003o0=WIf@3IfMT0e03I\nfMT002L0fMWI00<000000=WIf@3IfMT0803IfMT00`000?l0fMWI0=WIf@3C0=WIf@009`3IfMT00`00\n0000fMWI0=WIf@0P0=WIf@030000o`3IfMT0fMWI0=<0fMWI000W0=WIf@030000003IfMT0fMWI0200\nfMWI00<0003o0=WIf@3IfMT0d`3IfMT002L0fMWI00<000000=WIf@3IfMT08@3IfMT00`000?l0fMWI\n0=WIf@3B0=WIf@009`3IfMT00`000000fMWI0=WIf@0Q0=WIf@030000o`3IfMT0fMWI0=80fMWI000W\n0=WIf@8000008P3IfMT00`000?l0fMWI0=WIf@3B0=WIf@009`3IfMT00`000000fMWI0=WIf@0R0=WI\nf@030000o`3IfMT0fMWI0=40fMWI000W0=WIf@030000003IfMT0fMWI0280fMWI00<0003o0=WIf@3I\nfMT0d@3IfMT002L0fMWI00<000000=WIf@3IfMT08P3IfMT00`000?l0fMWI0=WIf@3A0=WIf@009`3I\nfMT00`000000fMWI0=WIf@0S0=WIf@030000o`3IfMT0fMWI0=00fMWI000E0=WIf@800000103IfMT2\n000000@0fMWI0P0000040=WIf@030000003IfMT0fMWI02<0fMWI00<0003o0=WIf@3IfMT0d03IfMT0\n01@0fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000020=WIf@040000003I\nfMT0fMWI000000<0fMWI00<000000=WIf@3IfMT08`3IfMT00`000?l0fMWI0=WIf@3@0=WIf@005`3I\nfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3I\nfMT0fMWI0`00000T0=WIf@030000o`3IfMT0fMWI0<l0fMWI000>0=WIf@@000000`3IfMT2000000<0\nfMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@0000030=WIf@030000003IfMT0\nfMWI02@0fMWI00<0003o0=WIf@3IfMT0c`3IfMT001D0fMWI00<000000=WIf@3IfMT00P3IfMT01000\n0000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI000000<0fMWI00<000000=WIf@3IfMT0903I\nfMT00`000?l0fMWI0=WIf@3?0=WIf@005@3IfMT3000000<0fMWI0P0000040=WIf@800000103IfMT0\n0`000000fMWI0=WIf@0U0=WIf@030000o`3IfMT0fMWI0<h0fMWI000W0=WIf@030000003IfMT0fMWI\n02D0fMWI00<0003o0=WIf@3IfMT0cP3IfMT002L0fMWI00<000000=WIf@3IfMT09@3IfMT00`000?l0\nfMWI0=WIf@3>0=WIf@009`3IfMT2000002H0fMWI00<0003o0=WIf@3IfMT0cP3IfMT002L0fMWI00<0\n00000=WIf@3IfMT09@3IfMT00`000?l0fMWI0=WIf@3>0=WIf@009`3IfMT00`000000fMWI0=WIf@0U\n0=WIf@030000o`3IfMT0fMWI0<h0fMWI000W0=WIf@030000003IfMT0fMWI02H0fMWI00<0003o0=WI\nf@3IfMT0c@3IfMT002L0fMWI00<000000=WIf@3IfMT09P3IfMT00`000?l0fMWI0=WIf@3=0=WIf@00\n9`3IfMT00`000000fMWI0=WIf@0V0=WIf@030000o`3IfMT0fMWI0<d0fMWI000W0=WIf@030000003I\nfMT0fMWI02L0fMWI00<0003o0=WIf@3IfMT0c03IfMT002L0fMWI0P00000X0=WIf@030000o`3IfMT0\nfMWI0<`0fMWI000W0=WIf@030000003IfMT0fMWI02L0fMWI00<0003o0=WIf@3IfMT0c03IfMT002L0\nfMWI00<000000=WIf@3IfMT0:03IfMT00`000?l0fMWI0=WIf@3;0=WIf@009`3IfMT00`000000fMWI\n0=WIf@0X0=WIf@030000o`3IfMT0fMWI0</0fMWI000W0=WIf@030000003IfMT0fMWI02P0fMWI00<0\n003o0=WIf@3IfMT0b`3IfMT002L0fMWI00<000000=WIf@3IfMT0:03IfMT00`000?l0fMWI0=WIf@3;\n0=WIf@009`3IfMT00`000000fMWI0=WIf@0Y0=WIf@030000o`3IfMT0fMWI0<X0fMWI000W0=WIf@80\n0000:P3IfMT00`000?l0fMWI0=WIf@3:0=WIf@009`3IfMT00`000000fMWI0=WIf@0Y0=WIf@030000\no`3IfMT0fMWI0<X0fMWI000W0=WIf@030000003IfMT0fMWI02X0fMWI00<0003o0=WIf@3IfMT0b@3I\nfMT002L0fMWI00<000000=WIf@3IfMT0:P3IfMT010000?l0fMWI0=WIf@3IfMT2000000@0fMWI0P00\n000X0=WIf@D000000P3IfMT2000000@0fMWI0P00000V0=WIf@D000000P3IfMT2000000@0fMWI0P00\n000U0=WIf@@000000`3IfMT2000000@0fMWI0P00000P0=WIf@009`3IfMT00`000000fMWI0=WIf@0Z\n0=WIf@040000o`3IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000000P3IfMT00`000000fMWI\n0=WIf@0W0=WIf@050000003IfMT0fMWI0=WIf@0000000P3IfMT010000000fMWI0=WIf@0000020=WI\nf@030000003IfMT0fMWI02D0fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@040000003IfMT0\nfMWI00000080fMWI00<000000=WIf@3IfMT08P3IfMT00`000000fMWI0=WIf@030=WIf@040000003I\nfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000007`3IfMT002L0fMWI00<000000=WIf@3IfMT0\n:P3IfMT20000o`@0fMWI00@000000=WIf@3IfMT000000P3IfMT00`000000fMWI0=WIf@0W0=WIf@05\n0000003IfMT0fMWI0=WIf@0000000P3IfMT010000000fMWI0=WIf@0000020=WIf@030000003IfMT0\nfMWI02D0fMWI00<000000=WIf@3IfMT0103IfMT010000000fMWI0=WIf@0000020=WIf@030000003I\nfMT0fMWI02<0fMWI00<000000=WIf@3IfMT00P3IfMT010000000fMWI0=WIf@0000020=WIf@040000\n003IfMT0fMWI000001l0fMWI000W0=WIf@030000003IfMT0fMWI02/0fMWI4@000?lT0=WIf@050000\n003IfMT0fMWI0=WIf@0000000P3IfMT010000000fMWI0=WIf@0000020=WIf@030000003IfMT0fMWI\n02D0fMWI00<000000=WIf@3IfMT00P3IfMT2000000<0fMWI00@000000=WIf@3IfMT000009P3IfMT0\n1@000000fMWI0=WIf@3IfMT000000080fMWI00@000000=WIf@3IfMT000000P3IfMT00`000000fMWI\n0=WIf@0M0=WIf@009`3IfMT2000002l0fMWI00<000000=WIf@3IfMT00P3IfMT010000000fMWI0=WI\nf@0000040=WIfA/0003o2P3IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00@000000=WIf@3I\nfMT000000P3IfMT00`000000fMWI0=WIf@0U0=WIf@030000003IfMT0fMWI0080fMWI00<000000=WI\nf@3IfMT00P3IfMT010000000fMWI0=WIf@00000T0=WIf@040000003IfMT0fMWI00000080fMWI00@0\n00000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@00000O0=WIf@009`3IfMT00`000000fMWI\n0=WIf@0^0=WIf@<000000`3IfMT200000200fMWI6@000?lU0=WIf@800000103IfMT3000000<0fMWI\n0P00000V0=WIf@800000103IfMT2000000@0fMWI0P00000P0=WIf@009`3IfMT00`000000fMWI0=WI\nf@1_0=WIfAP0003oK`3IfMT002L0fMWI00<000000=WIf@3IfMT0Q`3IfMTG0000oeP0fMWI000W0=WI\nf@030000003IfMT0fMWI09h0fMWI5P000?m20=WIf@009`3IfMT00`000000fMWI0=WIf@2d0=WIfAD0\n003o7P3IfMT2000000d0fMWI000R0=WIfM40000040000?l6000000L0fMWI00@000000=WIf@3IfMT0\n0000303IfMT002L0fMWI00<000000=WIf@3IfMT0203IfMT00`000000fMWI0=WIf@070=WIf@030000\n003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT01`3IfMT00`000000fMWI0=WIf@080=WIf@030000\n003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT0203IfMT00`000000fMWI0=WIf@070=WIf@030000\n003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT01`3IfMT00`000000fMWI0=WIf@080=WIf@030000\n003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT0203IfMT00`000000fMWI0=WIf@070=WIf@030000\n003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT01`3IfMT00`000000fMWI0=WIf@080=WIf@030000\n003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT0203IfMT00`000000fMWI0=WIf@070=WIf@030000\n003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT02@3IfMT00`000000fMWI0=WIf@0=0=WIf@009`3I\nfMT00`000000fMWI0=WIf@0b0=WIf@030000003IfMT0fMWI0340fMWI00<000000=WIf@3IfMT0<P3I\nfMT00`000000fMWI0=WIf@0a0=WIf@030000003IfMT0fMWI01<0fMWI1@00000<0=WIf@009`3IfMT0\n0`000000fMWI0=WIf@3V0=WIf@030000003IfMT0fMWI00d0fMWI000W0=WIf@030000003IfMT0fMWI\n0?H0fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WI\nfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WI\nfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WI\nfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WI\nfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI003o0=WIfB40fMWI000U0=WIf@030000003IfMT0\nfMWI00D0fMWI0`00001<0=WIf@800000103IfMT00`000000fMWI0=WIf@050=WIf@800000203IfMT2\n000008X0fMWI000T0=WIf@030000003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT0C03IfMT00`00\n0000fMWI0=WIf@030=WIf@030000003IfMT0fMWI00@0fMWI00<000000=WIf@3IfMT0203IfMT00`00\n0000fMWI0=WIf@280=WIf@008`3IfMT00`000000fMWI0=WIf@020=WIf@D0000000@0fMWI00000000\n00000000103IfMT2000000<0fMWI0`0000030=WIf@<00000103IfMT2000000@0fMWI0P0000040=WI\nf@800000103IfMT300000080fMWI0`0000040=WIf@800000103IfMT3000000<0fMWI0`0000030=WI\nf@8000001@3IfMT00`000000fMWI0=WIf@030=WIf@030000003IfMT0fMWI00<0fMWI00<000000=WI\nf@3IfMT00P3IfMT2000000@0fMWI00<000000=WIf@3IfMT0R03IfMT002<0fMWI00<000000=WIf@3I\nfMT00P3IfMT400000080fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@000003\n0=WIf@030000003IfMT0fMWI00<0fMWI00<000000=WIf@3IfMT00P3IfMT010000000fMWI0=WIf@00\n00090=WIf@8000000`3IfMT00`000000fMWI0=WIf@040=WIf@030000003IfMT0fMWI0080fMWI00@0\n00000=WIf@3IfMT000000P3IfMT00`000000fMWI0=WIf@050=WIf@050000003IfMT0fMWI0=WIf@00\n00000P3IfMT01`000000fMWI0=WIf@3IfMT000000=WIf@000000103IfMT00`000000fMWI0=WIf@03\n0=WIf@050000003IfMT0fMWI0=WIf@0000000P3IfMT01@000000fMWI0=WIf@3IfMT0000008X0fMWI\n000F0=WIf@P0003o1@3IfMT00`000000fMWI0=WIf@050=WIf@040000003IfMT0fMWI00000080fMWI\n00@000000=WIf@3IfMT000000P3IfMT01@000000fMWI0=WIf@3IfMT0000000D0fMWI00<000000=WI\nf@3IfMT00P3IfMT010000000fMWI0=WIf@0000080=WIf@040000003IfMT0fMWI00000080fMWI1000\n00030=WIf@030000003IfMT0fMWI0080fMWI00@000000=WIf@3IfMT000000P3IfMT00`000000fMWI\n0=WIf@050=WIf@050000003IfMT0fMWI0=WIf@0000001@3IfMT010000000fMWI0=WIf@0000040=WI\nf@030000003IfMT0fMWI00<0fMWI00D000000=WIf@3IfMT0fMWI000000060=WIf@030000003IfMT0\nfMWI08P0fMWI000S0=WIf@030000003IfMT0fMWI00<0fMWI0`0000000`3IfMT00000000000020000\n00@0fMWI0P0000040=WIf@030000003IfMT0fMWI00<0fMWI00<000000=WIf@3IfMT00`3IfMT20000\n00P0fMWI0P0000020=WIf@8000000P3IfMT2000000@0fMWI00<000000=WIf@3IfMT00`3IfMT20000\n00@0fMWI0`0000030=WIf@8000000P3IfMT5000000050=WIf@00000000000000003IfMT00P000003\n0=WIf@030000003IfMT0fMWI00<0fMWI00<000000=WIf@3IfMT01@0000030=WIf@030000003IfMT0\nfMWI08P0fMWI000T0=WIf@030000003IfMT0fMWI01@0fMWI00<000000=WIf@3IfMT00`3IfMT00`00\n0000fMWI0=WIf@0K0=WIf@030000003IfMT0fMWI01@0fMWI00<000000=WIf@3IfMT02P3IfMT00`00\n0000fMWI0=WIf@040=WIf@050000003IfMT0fMWI0=WIf@0000001P3IfMT00`000000fMWI0=WIf@28\n0=WIf@009@3IfMT00`000000fMWI0=WIf@0B0=WIf@800000103IfMT2000001`0fMWI0P00000B0=WI\nf@030000003IfMT0fMWI00d0fMWI00<000000=WIf@3IfMT01@3IfMT2000000P0fMWI0P00002:0=WI\nf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WI\nf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WI\nf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WI\nf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WI\nf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00"]], Rule[ImageRangeCache, List[Rule[List[List[0, 287], List[213.25`, 0]], List[-1.05141`, -0.655244`, 0.00732689`, 0.00732689`]], Rule[List[List[7, 279.938`], List[208.125`, 39.4375`]], List[-37.9664`, -2310.22`, 0.952173`, 14.7916`]], Rule[List[List[20.625`, 157.125`], List[46, 5.0625`]], List[-2.57534`, -5.65634`, 0.119891`, 0.0332217`]], Rule[List[List[22.125`, 30.4375`], List[40.5625`, 10.4375`]], List[-6.32337`, -45.1734`, 0.240604`, 0.240604`]]]]], Cell[TextData[List["\t\t\t\t\t\t", StyleBox["Diagram 5:", Rule[FontWeight, "Bold"]], " Vertical velocity relative to the lunar surface"]], "Text"]], Open]]], Open]]], Rule[FrontEndVersion, "5.1 for Microsoft Windows"], Rule[ScreenRectangle, List[List[0, 1280], List[0, 951]]], Rule[WindowSize, List[913, 924]], Rule[WindowMargins, List[List[0, Automatic], List[Automatic, 0]]], Rule[StyleDefinitions, "MathModelica.nb"]], Null, Null, Null, Null, Null]