List[Null, Null, Null, Null, Null, Null, Null, Notebook[List[Cell[CellGroupData[List[Cell["Moving Packages", "Title"], Cell[TextData[List["\nCopying or moving a ", StyleBox["nonencapsulated", Rule[FontFamily, "Courier"]], " subpackage might be a bit problematic since used declarations may not be available in the new location for that subclass. When copying or moving an encapsulated package or class at most the ", StyleBox["import", Rule[FontFamily, "Courier"]], " statements inside this package or class, including subpackages and local classes, need to be updated.\n"]], "Text"], Cell[TextData[List["encapsulated package Modelica\n\n  encapsulated package Blocks\n    encapsulated package Interfaces\n      connector InPort\n      end InPort;\n    end Interfaces;\n  end Blocks;\n    \n  encapsulated package Mechanics\n    encapsulated package Rotational\n     ", StyleBox[" import Modelica.Blocks.Interfaces;", Rule[FontColor, RGBColor[0, 0, 1]]], "\t\t// Import\n      \n      model Torque\n        Interfaces.InPort inPort;\t\t\t\t// Use\n      end Torque;\n    end Rotational;\n  end Mechanics;\n\nend Modelica;"]], "ModelicaInput"], Cell[TextData[List["\nIf you move the package ", StyleBox["Rotational", Rule[FontFamily, "Courier"]], " inside ", StyleBox["YourModelica", Rule[FontFamily, "Courier"]], " as below, it will continue to work without changes since its ", StyleBox["import", Rule[FontFamily, "Courier"]], " statements still refers to ", StyleBox["YourModelica", Rule[FontFamily, "Courier"]], StyleBox[".Blocks.Interfaces", Rule[FontFamily, "Courier"]], ". Maybe if you instead would like to refer the package ", StyleBox["YourModelica", Rule[FontFamily, "Courier"]], StyleBox[".Blocks.Interfaces", Rule[FontFamily, "Courier"]], ", just update the ", StyleBox["import", Rule[FontFamily, "Courier"]], " statement as we have done below.\n"]], "Text"], Cell[TextData[List["encapsulated package YourModelica\n\n  encapsulated package Blocks\n    encapsulated package Interfaces\n      connector InPort\n      end InPort;\n    end Interfaces;\n  end Blocks;\n    \n  encapsulated package Mechanics\n    encapsulated package Rotational\n     ", StyleBox[" import YourModelica.Blocks.Interfaces;", Rule[FontColor, RGBColor[0, 0, 1]]], "\t// Import\n      model Torque\n        Interfaces.InPort inPort;\t\t\t\t// Use\n      end Torque;\n    end Rotational;\n  end Mechanics;\n\nend YourModelica;"]], "ModelicaInput"]], Open]]], Rule[FrontEndVersion, "4.1 for Microsoft Windows"], Rule[ScreenRectangle, List[List[0, 1280], List[0, 951]]], Rule[WindowSize, List[915, 924]], Rule[WindowMargins, List[List[0, Automatic], List[Automatic, 0]]], Rule[StyleDefinitions, "MathModelica.nb"]], Null, Null, Null, Null, Null]