List[Null, Null, Null, Null, Null, Null, Null, Notebook[List[Cell[CellGroupData[List[Cell["Initial Values of Variables", "Title"], Cell[CellGroupData[List[Cell["Point", "Section"], Cell["class Point\t\t\t\t\t\t\t\t\"Point in a three-dimensional space\"\n  parameter Real x;\n  parameter Real y;\n  parameter Real z;\nend Point;    ", "ModelicaInput"]], Open]], Cell[CellGroupData[List[Cell["MyPoints", "Section"], Cell[TextData[List["A Modelica variable is either statically allocated and instantiated or is dynamically instantiated. The ", StyleBox["start", Rule[FontFamily, "Courier"]], " value of a variable is the default initial value of the variable. A start value can be specified for the ", StyleBox["Points", Rule[FontFamily, "Courier"]], " in ", StyleBox["MyPoints", Rule[FontFamily, "Courier"]], ".\n"]], "Text"], Cell["class MyPoints\n  Point point1(x = 1, y = 2, z = 3);\n  Point point2;\n  Point point3;\nend MyPoints;", "ModelicaInput"]], Open]], Cell[CellGroupData[List[Cell["Simulation of MyPoints", "Section"], Cell["simulate( MyPoints );", "ModelicaInput"], Cell[BoxData["\"<SimulationData: \\!\\(MyPoints\\) : 2004-1-30 10:44:6.2465258 : \\!\\({0.`, 1.`}\\) : 502 data points : 1 events : 11 variables>\\n\\!\\({\\*TagBox[\\\"\[UnderBracket]derdummy\\\", HoldForm], \\*TagBox[\\\"\[UnderBracket]dummy\\\", HoldForm], \\*TagBox[\\(point1 . x\\), HoldForm], \\*TagBox[\\(point1 . y\\), HoldForm], \\*TagBox[\\(point1 . z\\), HoldForm], \\*TagBox[\\(point2 . x\\), HoldForm], \\*TagBox[\\(point2 . y\\), HoldForm], \\*TagBox[\\(point2 . z\\), HoldForm], \\*TagBox[\\(point3 . x\\), HoldForm], \\*TagBox[\\(point3 . y\\), HoldForm], \\*TagBox[\\(point3 . z\\), HoldForm]}\\)\""], "Output"]], Open]], Cell[CellGroupData[List[Cell["Instantiation of MyPoints", "Section"], Cell[TextData[List["Instead of specifying the tha value of ", StyleBox["Point1", Rule[FontFamily, "Courier"]], " in M", StyleBox["yPoints", Rule[FontFamily, "Courier"]], " this can be done when instantiating M", StyleBox["yPoints", Rule[FontFamily, "Courier"]], " in M", StyleBox["yPointsInst", Rule[FontFamily, "Courier"]], ". This can be done in two different ways, which is shown in the classes ", StyleBox["MyPoints2Inst", Rule[FontFamily, "Courier"]], " and ", StyleBox["MyPoints2Inst", Rule[FontFamily, "Courier"]], "2 below.\n"]], "Text"], Cell["class MyPoints2\n  Point point1;\n  Point point2;\n  Point point3;\nend MyPoints2;", "ModelicaInput"], Cell["", "Text"], Cell[TextData[List["class MyPoints2Inst\n  ", StyleBox["MyPoints2 pts(point1.x = 1, point1.y = 2, point1.z = 3);", Rule[FontColor, RGBColor[0, 0, 1]]], "\nend MyPoints2Inst;"]], "ModelicaInput"], Cell["", "Text"], Cell[TextData[List["class MyPoints2Inst2\n ", StyleBox[" MyPoints2 pts(point1(x = 1, y = 2, z = 3));", Rule[FontColor, RGBColor[0, 0, 1]]], "\nend MyPoints2Inst2;"]], "ModelicaInput"]], Open]], Cell[CellGroupData[List[Cell["Simulation of MyPoints2", "Section"], Cell["simulate( MyPoints2Inst );", "ModelicaInput"], Cell[BoxData["\"<SimulationData: \\!\\(MyPoints2Inst\\) : 2004-1-30 10:44:13.7621027 : \\!\\({0.`, 1.`}\\) : 502 data points : 1 events : 11 variables>\\n\\!\\({\\*TagBox[\\\"\[UnderBracket]derdummy\\\", HoldForm], \\*TagBox[\\\"\[UnderBracket]dummy\\\", HoldForm], \\*TagBox[\\(pts . point1 . x\\), HoldForm], \\*TagBox[\\(pts . point1 . y\\), HoldForm], \\*TagBox[\\(pts . point1 . z\\), HoldForm], \\*TagBox[\\(pts . point2 . x\\), HoldForm], \\*TagBox[\\(pts . point2 . y\\), HoldForm], \\*TagBox[\\(pts . point2 . z\\), HoldForm], \\*TagBox[\\(pts . point3 . x\\), HoldForm], \\*TagBox[\\(pts . point3 . y\\), HoldForm], \\*TagBox[\\(pts . point3 . z\\), HoldForm]}\\)\""], "Output"], Cell["simulate( MyPoints2Inst2 );", "ModelicaInput"], Cell[BoxData["\"<SimulationData: \\!\\(MyPoints2Inst2\\) : 2004-1-30 10:44:19.6526900 : \\!\\({0.`, 1.`}\\) : 502 data points : 1 events : 11 variables>\\n\\!\\({\\*TagBox[\\\"\[UnderBracket]derdummy\\\", HoldForm], \\*TagBox[\\\"\[UnderBracket]dummy\\\", HoldForm], \\*TagBox[\\(pts . point1 . x\\), HoldForm], \\*TagBox[\\(pts . point1 . y\\), HoldForm], \\*TagBox[\\(pts . point1 . z\\), HoldForm], \\*TagBox[\\(pts . point2 . x\\), HoldForm], \\*TagBox[\\(pts . point2 . y\\), HoldForm], \\*TagBox[\\(pts . point2 . z\\), HoldForm], \\*TagBox[\\(pts . point3 . x\\), HoldForm], \\*TagBox[\\(pts . point3 . y\\), HoldForm], \\*TagBox[\\(pts . point3 . z\\), HoldForm]}\\)\""], "Output"]], Open]], Cell[CellGroupData[List[Cell["Arrays ", "Section"], Cell["In the class Arrays below are a few declarations with different of combinations of array dimension descriptors and modifiers.", "Text"], Cell[TextData[List["class Arrays\n  ", StyleBox["Real A3[2, 2];", Rule[FontColor, RGBColor[0, 0, 1]]], "\t\t\t\t\t\t\t\t\t// Array variable\n  ", StyleBox["Real A4[2, 2](start = {{1, 0}, {0, 1}});", Rule[FontColor, RGBColor[0, 0, 1]]], "\t\t\t// Array with explicit start value\n  ", StyleBox["Real A5[2, 2](start[2, 1] = 2.3);\t\t", Rule[FontColor, RGBColor[0, 0, 1]]], "\t\t\t// Array with single element modification \nend Arrays;"]], "ModelicaInput"]], Open]]], Open]]], Rule[FrontEndVersion, "5.1 for Microsoft Windows"], Rule[ScreenRectangle, List[List[0, 1280], List[0, 951]]], Rule[WindowSize, List[893, 924]], Rule[WindowMargins, List[List[4, Automatic], List[Automatic, 0]]], Rule[StyleDefinitions, "MathModelica.nb"]], Null, Null, Null, Null, Null]